/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.checkup_booking;

import org.apache.dubbo.common.stream.StreamObserver;
import org.apache.dubbo.common.URL;
import org.apache.dubbo.rpc.Invoker;
import org.apache.dubbo.rpc.PathResolver;
import org.apache.dubbo.rpc.RpcException;
import org.apache.dubbo.rpc.ServerService;
import org.apache.dubbo.rpc.TriRpcStatus;
import org.apache.dubbo.rpc.model.MethodDescriptor;
import org.apache.dubbo.rpc.model.ServiceDescriptor;
import org.apache.dubbo.rpc.model.StubMethodDescriptor;
import org.apache.dubbo.rpc.model.StubServiceDescriptor;
import org.apache.dubbo.rpc.stub.BiStreamMethodHandler;
import org.apache.dubbo.rpc.stub.ServerStreamMethodHandler;
import org.apache.dubbo.rpc.stub.StubInvocationUtil;
import org.apache.dubbo.rpc.stub.StubInvoker;
import org.apache.dubbo.rpc.stub.StubMethodHandler;
import org.apache.dubbo.rpc.stub.StubSuppliers;
import org.apache.dubbo.rpc.stub.UnaryStubMethodHandler;

import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public final class DubboCheckupBookingRpcServiceTriple {

    public static final String SERVICE_NAME = CheckupBookingRpcService.SERVICE_NAME;

    private static final StubServiceDescriptor serviceDescriptor = new StubServiceDescriptor(SERVICE_NAME,CheckupBookingRpcService.class);

    static {
        org.apache.dubbo.rpc.protocol.tri.service.SchemaDescriptorRegistry.addSchemaDescriptor(SERVICE_NAME,CheckupBookingProto.getDescriptor());
        StubSuppliers.addSupplier(SERVICE_NAME, DubboCheckupBookingRpcServiceTriple::newStub);
        StubSuppliers.addSupplier(CheckupBookingRpcService.JAVA_SERVICE_NAME,  DubboCheckupBookingRpcServiceTriple::newStub);
        StubSuppliers.addDescriptor(SERVICE_NAME, serviceDescriptor);
        StubSuppliers.addDescriptor(CheckupBookingRpcService.JAVA_SERVICE_NAME, serviceDescriptor);
    }

    @SuppressWarnings("all")
    public static CheckupBookingRpcService newStub(Invoker<?> invoker) {
        return new CheckupBookingRpcServiceStub((Invoker<CheckupBookingRpcService>)invoker);
    }

    /**
         * <pre>
         *  套餐等级 id
         * </pre>
         */
    private static final StubMethodDescriptor getAnnouncementMethod = new StubMethodDescriptor("getAnnouncement",
    com.ywt.gapi.checkup_booking.GetAnnouncementRequest.class, com.ywt.gapi.checkup_booking.GetAnnouncementResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetAnnouncementRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetAnnouncementResponse::parseFrom);

    private static final StubMethodDescriptor getAnnouncementAsyncMethod = new StubMethodDescriptor("getAnnouncement",
    com.ywt.gapi.checkup_booking.GetAnnouncementRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetAnnouncementRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetAnnouncementResponse::parseFrom);

    private static final StubMethodDescriptor getAnnouncementProxyAsyncMethod = new StubMethodDescriptor("getAnnouncementAsync",
    com.ywt.gapi.checkup_booking.GetAnnouncementRequest.class, com.ywt.gapi.checkup_booking.GetAnnouncementResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetAnnouncementRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetAnnouncementResponse::parseFrom);

    /**
         * <pre>
         *  套餐等级名称
         * </pre>
         */
    private static final StubMethodDescriptor createOrderMethod = new StubMethodDescriptor("createOrder",
    com.ywt.gapi.checkup_booking.CreateOrderRequest.class, com.ywt.gapi.checkup_booking.CreateOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.CreateOrderRequest::parseFrom,
    com.ywt.gapi.checkup_booking.CreateOrderResponse::parseFrom);

    private static final StubMethodDescriptor createOrderAsyncMethod = new StubMethodDescriptor("createOrder",
    com.ywt.gapi.checkup_booking.CreateOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.CreateOrderRequest::parseFrom,
    com.ywt.gapi.checkup_booking.CreateOrderResponse::parseFrom);

    private static final StubMethodDescriptor createOrderProxyAsyncMethod = new StubMethodDescriptor("createOrderAsync",
    com.ywt.gapi.checkup_booking.CreateOrderRequest.class, com.ywt.gapi.checkup_booking.CreateOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.CreateOrderRequest::parseFrom,
    com.ywt.gapi.checkup_booking.CreateOrderResponse::parseFrom);

    /**
         * <pre>
         *  科室代码
         * </pre>
         */
    private static final StubMethodDescriptor cancelOrderMethod = new StubMethodDescriptor("cancelOrder",
    com.ywt.gapi.checkup_booking.CancelRegRequest.class, com.ywt.gapi.checkup_booking.CancelOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.CancelRegRequest::parseFrom,
    com.ywt.gapi.checkup_booking.CancelOrderResponse::parseFrom);

    private static final StubMethodDescriptor cancelOrderAsyncMethod = new StubMethodDescriptor("cancelOrder",
    com.ywt.gapi.checkup_booking.CancelRegRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.CancelRegRequest::parseFrom,
    com.ywt.gapi.checkup_booking.CancelOrderResponse::parseFrom);

    private static final StubMethodDescriptor cancelOrderProxyAsyncMethod = new StubMethodDescriptor("cancelOrderAsync",
    com.ywt.gapi.checkup_booking.CancelRegRequest.class, com.ywt.gapi.checkup_booking.CancelOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.CancelRegRequest::parseFrom,
    com.ywt.gapi.checkup_booking.CancelOrderResponse::parseFrom);

    /**
         * <pre>
         *  HIS套餐ID
         * </pre>
         */
    private static final StubMethodDescriptor getOrderListMethod = new StubMethodDescriptor("getOrderList",
    com.ywt.gapi.checkup_booking.GetOrderListRequest.class, com.ywt.gapi.checkup_booking.GetOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetOrderListRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getOrderListAsyncMethod = new StubMethodDescriptor("getOrderList",
    com.ywt.gapi.checkup_booking.GetOrderListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetOrderListRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getOrderListProxyAsyncMethod = new StubMethodDescriptor("getOrderListAsync",
    com.ywt.gapi.checkup_booking.GetOrderListRequest.class, com.ywt.gapi.checkup_booking.GetOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetOrderListRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetOrderListResponse::parseFrom);

    /**
         * <pre>
         *  类型描述
         * </pre>
         */
    private static final StubMethodDescriptor getPackageNoticeMethod = new StubMethodDescriptor("getPackageNotice",
    com.ywt.gapi.checkup_booking.GetNoticeRequest.class, com.ywt.gapi.checkup_booking.GetNoticeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetNoticeRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetNoticeResponse::parseFrom);

    private static final StubMethodDescriptor getPackageNoticeAsyncMethod = new StubMethodDescriptor("getPackageNotice",
    com.ywt.gapi.checkup_booking.GetNoticeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetNoticeRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetNoticeResponse::parseFrom);

    private static final StubMethodDescriptor getPackageNoticeProxyAsyncMethod = new StubMethodDescriptor("getPackageNoticeAsync",
    com.ywt.gapi.checkup_booking.GetNoticeRequest.class, com.ywt.gapi.checkup_booking.GetNoticeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.checkup_booking.GetNoticeRequest::parseFrom,
    com.ywt.gapi.checkup_booking.GetNoticeResponse::parseFrom);





    public static class CheckupBookingRpcServiceStub implements CheckupBookingRpcService{
        private final Invoker<CheckupBookingRpcService> invoker;

        public CheckupBookingRpcServiceStub(Invoker<CheckupBookingRpcService> invoker) {
            this.invoker = invoker;
        }

            /**
         * <pre>
         *  套餐等级 id
         * </pre>
         */
        @Override
        public com.ywt.gapi.checkup_booking.GetAnnouncementResponse getAnnouncement(com.ywt.gapi.checkup_booking.GetAnnouncementRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAnnouncementMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.checkup_booking.GetAnnouncementResponse> getAnnouncementAsync(com.ywt.gapi.checkup_booking.GetAnnouncementRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAnnouncementAsyncMethod, request);
        }

            /**
         * <pre>
         *  套餐等级 id
         * </pre>
         */
        @Override
        public void getAnnouncement(com.ywt.gapi.checkup_booking.GetAnnouncementRequest request, StreamObserver<com.ywt.gapi.checkup_booking.GetAnnouncementResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getAnnouncementMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  套餐等级名称
         * </pre>
         */
        @Override
        public com.ywt.gapi.checkup_booking.CreateOrderResponse createOrder(com.ywt.gapi.checkup_booking.CreateOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.checkup_booking.CreateOrderResponse> createOrderAsync(com.ywt.gapi.checkup_booking.CreateOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createOrderAsyncMethod, request);
        }

            /**
         * <pre>
         *  套餐等级名称
         * </pre>
         */
        @Override
        public void createOrder(com.ywt.gapi.checkup_booking.CreateOrderRequest request, StreamObserver<com.ywt.gapi.checkup_booking.CreateOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, createOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  科室代码
         * </pre>
         */
        @Override
        public com.ywt.gapi.checkup_booking.CancelOrderResponse cancelOrder(com.ywt.gapi.checkup_booking.CancelRegRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.checkup_booking.CancelOrderResponse> cancelOrderAsync(com.ywt.gapi.checkup_booking.CancelRegRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelOrderAsyncMethod, request);
        }

            /**
         * <pre>
         *  科室代码
         * </pre>
         */
        @Override
        public void cancelOrder(com.ywt.gapi.checkup_booking.CancelRegRequest request, StreamObserver<com.ywt.gapi.checkup_booking.CancelOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, cancelOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  HIS套餐ID
         * </pre>
         */
        @Override
        public com.ywt.gapi.checkup_booking.GetOrderListResponse getOrderList(com.ywt.gapi.checkup_booking.GetOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.checkup_booking.GetOrderListResponse> getOrderListAsync(com.ywt.gapi.checkup_booking.GetOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderListAsyncMethod, request);
        }

            /**
         * <pre>
         *  HIS套餐ID
         * </pre>
         */
        @Override
        public void getOrderList(com.ywt.gapi.checkup_booking.GetOrderListRequest request, StreamObserver<com.ywt.gapi.checkup_booking.GetOrderListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getOrderListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  类型描述
         * </pre>
         */
        @Override
        public com.ywt.gapi.checkup_booking.GetNoticeResponse getPackageNotice(com.ywt.gapi.checkup_booking.GetNoticeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPackageNoticeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.checkup_booking.GetNoticeResponse> getPackageNoticeAsync(com.ywt.gapi.checkup_booking.GetNoticeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPackageNoticeAsyncMethod, request);
        }

            /**
         * <pre>
         *  类型描述
         * </pre>
         */
        @Override
        public void getPackageNotice(com.ywt.gapi.checkup_booking.GetNoticeRequest request, StreamObserver<com.ywt.gapi.checkup_booking.GetNoticeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPackageNoticeMethod , request, responseObserver);
        }



    }

    public static abstract class CheckupBookingRpcServiceImplBase implements CheckupBookingRpcService, ServerService<CheckupBookingRpcService> {

        private <T, R> BiConsumer<T, StreamObserver<R>> syncToAsync(java.util.function.Function<T, R> syncFun) {
            return new BiConsumer<T, StreamObserver<R>>() {
                @Override
                public void accept(T t, StreamObserver<R> observer) {
                    try {
                        R ret = syncFun.apply(t);
                        observer.onNext(ret);
                        observer.onCompleted();
                    } catch (Throwable e) {
                        observer.onError(e);
                    }
                }
            };
        }

        @Override
        public final Invoker<CheckupBookingRpcService> getInvoker(URL url) {
            PathResolver pathResolver = url.getOrDefaultFrameworkModel()
            .getExtensionLoader(PathResolver.class)
            .getDefaultExtension();
            Map<String,StubMethodHandler<?, ?>> handlers = new HashMap<>();

            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAnnouncement" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAnnouncementAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPackageNotice" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPackageNoticeAsync" );

            BiConsumer<com.ywt.gapi.checkup_booking.GetAnnouncementRequest, StreamObserver<com.ywt.gapi.checkup_booking.GetAnnouncementResponse>> getAnnouncementFunc = this::getAnnouncement;
            handlers.put(getAnnouncementMethod.getMethodName(), new UnaryStubMethodHandler<>(getAnnouncementFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.GetAnnouncementRequest, StreamObserver<com.ywt.gapi.checkup_booking.GetAnnouncementResponse>> getAnnouncementAsyncFunc = syncToAsync(this::getAnnouncement);
            handlers.put(getAnnouncementProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getAnnouncementAsyncFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.CreateOrderRequest, StreamObserver<com.ywt.gapi.checkup_booking.CreateOrderResponse>> createOrderFunc = this::createOrder;
            handlers.put(createOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(createOrderFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.CreateOrderRequest, StreamObserver<com.ywt.gapi.checkup_booking.CreateOrderResponse>> createOrderAsyncFunc = syncToAsync(this::createOrder);
            handlers.put(createOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(createOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.CancelRegRequest, StreamObserver<com.ywt.gapi.checkup_booking.CancelOrderResponse>> cancelOrderFunc = this::cancelOrder;
            handlers.put(cancelOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelOrderFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.CancelRegRequest, StreamObserver<com.ywt.gapi.checkup_booking.CancelOrderResponse>> cancelOrderAsyncFunc = syncToAsync(this::cancelOrder);
            handlers.put(cancelOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.GetOrderListRequest, StreamObserver<com.ywt.gapi.checkup_booking.GetOrderListResponse>> getOrderListFunc = this::getOrderList;
            handlers.put(getOrderListMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderListFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.GetOrderListRequest, StreamObserver<com.ywt.gapi.checkup_booking.GetOrderListResponse>> getOrderListAsyncFunc = syncToAsync(this::getOrderList);
            handlers.put(getOrderListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderListAsyncFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.GetNoticeRequest, StreamObserver<com.ywt.gapi.checkup_booking.GetNoticeResponse>> getPackageNoticeFunc = this::getPackageNotice;
            handlers.put(getPackageNoticeMethod.getMethodName(), new UnaryStubMethodHandler<>(getPackageNoticeFunc));
            BiConsumer<com.ywt.gapi.checkup_booking.GetNoticeRequest, StreamObserver<com.ywt.gapi.checkup_booking.GetNoticeResponse>> getPackageNoticeAsyncFunc = syncToAsync(this::getPackageNotice);
            handlers.put(getPackageNoticeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPackageNoticeAsyncFunc));




            return new StubInvoker<>(this, url, CheckupBookingRpcService.class, handlers);
        }


        @Override
        public com.ywt.gapi.checkup_booking.GetAnnouncementResponse getAnnouncement(com.ywt.gapi.checkup_booking.GetAnnouncementRequest request){
            throw unimplementedMethodException(getAnnouncementMethod);
        }

        @Override
        public com.ywt.gapi.checkup_booking.CreateOrderResponse createOrder(com.ywt.gapi.checkup_booking.CreateOrderRequest request){
            throw unimplementedMethodException(createOrderMethod);
        }

        @Override
        public com.ywt.gapi.checkup_booking.CancelOrderResponse cancelOrder(com.ywt.gapi.checkup_booking.CancelRegRequest request){
            throw unimplementedMethodException(cancelOrderMethod);
        }

        @Override
        public com.ywt.gapi.checkup_booking.GetOrderListResponse getOrderList(com.ywt.gapi.checkup_booking.GetOrderListRequest request){
            throw unimplementedMethodException(getOrderListMethod);
        }

        @Override
        public com.ywt.gapi.checkup_booking.GetNoticeResponse getPackageNotice(com.ywt.gapi.checkup_booking.GetNoticeRequest request){
            throw unimplementedMethodException(getPackageNoticeMethod);
        }





        @Override
        public final ServiceDescriptor getServiceDescriptor() {
            return serviceDescriptor;
        }
        private RpcException unimplementedMethodException(StubMethodDescriptor methodDescriptor) {
            return TriRpcStatus.UNIMPLEMENTED.withDescription(String.format("Method %s is unimplemented",
                "/" + serviceDescriptor.getInterfaceName() + "/" + methodDescriptor.getMethodName())).asException();
        }
    }

}
