/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.med_equip;

import org.apache.dubbo.common.stream.StreamObserver;
import org.apache.dubbo.common.URL;
import org.apache.dubbo.rpc.Invoker;
import org.apache.dubbo.rpc.PathResolver;
import org.apache.dubbo.rpc.RpcException;
import org.apache.dubbo.rpc.ServerService;
import org.apache.dubbo.rpc.TriRpcStatus;
import org.apache.dubbo.rpc.model.MethodDescriptor;
import org.apache.dubbo.rpc.model.ServiceDescriptor;
import org.apache.dubbo.rpc.model.StubMethodDescriptor;
import org.apache.dubbo.rpc.model.StubServiceDescriptor;
import org.apache.dubbo.rpc.stub.BiStreamMethodHandler;
import org.apache.dubbo.rpc.stub.ServerStreamMethodHandler;
import org.apache.dubbo.rpc.stub.StubInvocationUtil;
import org.apache.dubbo.rpc.stub.StubInvoker;
import org.apache.dubbo.rpc.stub.StubMethodHandler;
import org.apache.dubbo.rpc.stub.StubSuppliers;
import org.apache.dubbo.rpc.stub.UnaryStubMethodHandler;

import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public final class DubboMedEquipServiceTriple {

    public static final String SERVICE_NAME = MedEquipService.SERVICE_NAME;

    private static final StubServiceDescriptor serviceDescriptor = new StubServiceDescriptor(SERVICE_NAME,MedEquipService.class);

    static {
        org.apache.dubbo.rpc.protocol.tri.service.SchemaDescriptorRegistry.addSchemaDescriptor(SERVICE_NAME,MedEquipProto.getDescriptor());
        StubSuppliers.addSupplier(SERVICE_NAME, DubboMedEquipServiceTriple::newStub);
        StubSuppliers.addSupplier(MedEquipService.JAVA_SERVICE_NAME,  DubboMedEquipServiceTriple::newStub);
        StubSuppliers.addDescriptor(SERVICE_NAME, serviceDescriptor);
        StubSuppliers.addDescriptor(MedEquipService.JAVA_SERVICE_NAME, serviceDescriptor);
    }

    @SuppressWarnings("all")
    public static MedEquipService newStub(Invoker<?> invoker) {
        return new MedEquipServiceStub((Invoker<MedEquipService>)invoker);
    }

    /**
         * <pre>
         *  unused
         * </pre>
         */
    private static final StubMethodDescriptor createOrderMethod = new StubMethodDescriptor("createOrder",
    com.ywt.gapi.med_equip.CreateOrderRequest.class, com.ywt.gapi.med_equip.CreateOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CreateOrderRequest::parseFrom,
    com.ywt.gapi.med_equip.CreateOrderResponse::parseFrom);

    private static final StubMethodDescriptor createOrderAsyncMethod = new StubMethodDescriptor("createOrder",
    com.ywt.gapi.med_equip.CreateOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CreateOrderRequest::parseFrom,
    com.ywt.gapi.med_equip.CreateOrderResponse::parseFrom);

    private static final StubMethodDescriptor createOrderProxyAsyncMethod = new StubMethodDescriptor("createOrderAsync",
    com.ywt.gapi.med_equip.CreateOrderRequest.class, com.ywt.gapi.med_equip.CreateOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CreateOrderRequest::parseFrom,
    com.ywt.gapi.med_equip.CreateOrderResponse::parseFrom);

    /**
         * <pre>
         *  开单医生 id
         * </pre>
         */
    private static final StubMethodDescriptor queryOrderMethod = new StubMethodDescriptor("queryOrder",
    com.ywt.gapi.med_equip.QueryOrderRequest.class, com.ywt.gapi.med_equip.QueryOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryOrderRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryOrderResponse::parseFrom);

    private static final StubMethodDescriptor queryOrderAsyncMethod = new StubMethodDescriptor("queryOrder",
    com.ywt.gapi.med_equip.QueryOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryOrderRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryOrderResponse::parseFrom);

    private static final StubMethodDescriptor queryOrderProxyAsyncMethod = new StubMethodDescriptor("queryOrderAsync",
    com.ywt.gapi.med_equip.QueryOrderRequest.class, com.ywt.gapi.med_equip.QueryOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryOrderRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryOrderResponse::parseFrom);

    /**
         * <pre>
         *  科室 id, unused
         * </pre>
         */
    private static final StubMethodDescriptor queryOrderRecordsMethod = new StubMethodDescriptor("queryOrderRecords",
    com.ywt.gapi.med_equip.QueryOrderRecordsRequest.class, com.ywt.gapi.med_equip.QueryOrderRecordsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryOrderRecordsRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryOrderRecordsResponse::parseFrom);

    private static final StubMethodDescriptor queryOrderRecordsAsyncMethod = new StubMethodDescriptor("queryOrderRecords",
    com.ywt.gapi.med_equip.QueryOrderRecordsRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryOrderRecordsRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryOrderRecordsResponse::parseFrom);

    private static final StubMethodDescriptor queryOrderRecordsProxyAsyncMethod = new StubMethodDescriptor("queryOrderRecordsAsync",
    com.ywt.gapi.med_equip.QueryOrderRecordsRequest.class, com.ywt.gapi.med_equip.QueryOrderRecordsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryOrderRecordsRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryOrderRecordsResponse::parseFrom);

    /**
         * <pre>
         *  诊断
         * </pre>
         */
    private static final StubMethodDescriptor queryInspectionItemsMethod = new StubMethodDescriptor("queryInspectionItems",
    com.ywt.gapi.med_equip.QueryInspectionItemsRequest.class, com.ywt.gapi.med_equip.QueryInspectionItemsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryInspectionItemsRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryInspectionItemsResponse::parseFrom);

    private static final StubMethodDescriptor queryInspectionItemsAsyncMethod = new StubMethodDescriptor("queryInspectionItems",
    com.ywt.gapi.med_equip.QueryInspectionItemsRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryInspectionItemsRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryInspectionItemsResponse::parseFrom);

    private static final StubMethodDescriptor queryInspectionItemsProxyAsyncMethod = new StubMethodDescriptor("queryInspectionItemsAsync",
    com.ywt.gapi.med_equip.QueryInspectionItemsRequest.class, com.ywt.gapi.med_equip.QueryInspectionItemsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryInspectionItemsRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryInspectionItemsResponse::parseFrom);

    /**
         * <pre>
         *  检查项目列表
         * </pre>
         */
    private static final StubMethodDescriptor queryEquipListMethod = new StubMethodDescriptor("queryEquipList",
    com.ywt.gapi.med_equip.QueryEquipListRequest.class, com.ywt.gapi.med_equip.QueryEquipListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryEquipListRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryEquipListResponse::parseFrom);

    private static final StubMethodDescriptor queryEquipListAsyncMethod = new StubMethodDescriptor("queryEquipList",
    com.ywt.gapi.med_equip.QueryEquipListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryEquipListRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryEquipListResponse::parseFrom);

    private static final StubMethodDescriptor queryEquipListProxyAsyncMethod = new StubMethodDescriptor("queryEquipListAsync",
    com.ywt.gapi.med_equip.QueryEquipListRequest.class, com.ywt.gapi.med_equip.QueryEquipListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryEquipListRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryEquipListResponse::parseFrom);

    /**
         * <pre>
         *  总价，单位：分, unused
         * </pre>
         */
    private static final StubMethodDescriptor applyForRefundMethod = new StubMethodDescriptor("applyForRefund",
    com.ywt.gapi.med_equip.ApplyForRefundRequest.class, com.ywt.gapi.med_equip.ApplyForRefundResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.ApplyForRefundRequest::parseFrom,
    com.ywt.gapi.med_equip.ApplyForRefundResponse::parseFrom);

    private static final StubMethodDescriptor applyForRefundAsyncMethod = new StubMethodDescriptor("applyForRefund",
    com.ywt.gapi.med_equip.ApplyForRefundRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.ApplyForRefundRequest::parseFrom,
    com.ywt.gapi.med_equip.ApplyForRefundResponse::parseFrom);

    private static final StubMethodDescriptor applyForRefundProxyAsyncMethod = new StubMethodDescriptor("applyForRefundAsync",
    com.ywt.gapi.med_equip.ApplyForRefundRequest.class, com.ywt.gapi.med_equip.ApplyForRefundResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.ApplyForRefundRequest::parseFrom,
    com.ywt.gapi.med_equip.ApplyForRefundResponse::parseFrom);

    /**
         * <pre>
         *  医生签名 id
         * </pre>
         */
    private static final StubMethodDescriptor updateDiagnosisMethod = new StubMethodDescriptor("updateDiagnosis",
    com.ywt.gapi.med_equip.UpdateDiagnosisRequest.class, com.ywt.gapi.med_equip.UpdateDiagnosisResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.UpdateDiagnosisRequest::parseFrom,
    com.ywt.gapi.med_equip.UpdateDiagnosisResponse::parseFrom);

    private static final StubMethodDescriptor updateDiagnosisAsyncMethod = new StubMethodDescriptor("updateDiagnosis",
    com.ywt.gapi.med_equip.UpdateDiagnosisRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.UpdateDiagnosisRequest::parseFrom,
    com.ywt.gapi.med_equip.UpdateDiagnosisResponse::parseFrom);

    private static final StubMethodDescriptor updateDiagnosisProxyAsyncMethod = new StubMethodDescriptor("updateDiagnosisAsync",
    com.ywt.gapi.med_equip.UpdateDiagnosisRequest.class, com.ywt.gapi.med_equip.UpdateDiagnosisResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.UpdateDiagnosisRequest::parseFrom,
    com.ywt.gapi.med_equip.UpdateDiagnosisResponse::parseFrom);

    /**
         * <pre>
         *  备注
         * </pre>
         */
    private static final StubMethodDescriptor payCallbackMethod = new StubMethodDescriptor("payCallback",
    com.ywt.gapi.med_equip.PayCallbackRequest.class, com.ywt.gapi.med_equip.PayCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.PayCallbackRequest::parseFrom,
    com.ywt.gapi.med_equip.PayCallbackResponse::parseFrom);

    private static final StubMethodDescriptor payCallbackAsyncMethod = new StubMethodDescriptor("payCallback",
    com.ywt.gapi.med_equip.PayCallbackRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.PayCallbackRequest::parseFrom,
    com.ywt.gapi.med_equip.PayCallbackResponse::parseFrom);

    private static final StubMethodDescriptor payCallbackProxyAsyncMethod = new StubMethodDescriptor("payCallbackAsync",
    com.ywt.gapi.med_equip.PayCallbackRequest.class, com.ywt.gapi.med_equip.PayCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.PayCallbackRequest::parseFrom,
    com.ywt.gapi.med_equip.PayCallbackResponse::parseFrom);

    private static final StubMethodDescriptor orderRefundNotifyMethod = new StubMethodDescriptor("orderRefundNotify",
    com.ywt.gapi.med_equip.RefundNotifyRequest.class, com.ywt.gapi.med_equip.RefundNotifyResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.RefundNotifyRequest::parseFrom,
    com.ywt.gapi.med_equip.RefundNotifyResponse::parseFrom);

    private static final StubMethodDescriptor orderRefundNotifyAsyncMethod = new StubMethodDescriptor("orderRefundNotify",
    com.ywt.gapi.med_equip.RefundNotifyRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.RefundNotifyRequest::parseFrom,
    com.ywt.gapi.med_equip.RefundNotifyResponse::parseFrom);

    private static final StubMethodDescriptor orderRefundNotifyProxyAsyncMethod = new StubMethodDescriptor("orderRefundNotifyAsync",
    com.ywt.gapi.med_equip.RefundNotifyRequest.class, com.ywt.gapi.med_equip.RefundNotifyResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.RefundNotifyRequest::parseFrom,
    com.ywt.gapi.med_equip.RefundNotifyResponse::parseFrom);

    private static final StubMethodDescriptor updateOrderInfoMethod = new StubMethodDescriptor("updateOrderInfo",
    com.ywt.gapi.med_equip.UpdateOrderInfoRequest.class, com.ywt.gapi.med_equip.UpdateOrderInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.UpdateOrderInfoRequest::parseFrom,
    com.ywt.gapi.med_equip.UpdateOrderInfoResponse::parseFrom);

    private static final StubMethodDescriptor updateOrderInfoAsyncMethod = new StubMethodDescriptor("updateOrderInfo",
    com.ywt.gapi.med_equip.UpdateOrderInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.UpdateOrderInfoRequest::parseFrom,
    com.ywt.gapi.med_equip.UpdateOrderInfoResponse::parseFrom);

    private static final StubMethodDescriptor updateOrderInfoProxyAsyncMethod = new StubMethodDescriptor("updateOrderInfoAsync",
    com.ywt.gapi.med_equip.UpdateOrderInfoRequest.class, com.ywt.gapi.med_equip.UpdateOrderInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.UpdateOrderInfoRequest::parseFrom,
    com.ywt.gapi.med_equip.UpdateOrderInfoResponse::parseFrom);

    private static final StubMethodDescriptor queryReportListMethod = new StubMethodDescriptor("queryReportList",
    com.ywt.gapi.med_equip.QueryReportListRequest.class, com.ywt.gapi.med_equip.QueryReportListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryReportListRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryReportListResponse::parseFrom);

    private static final StubMethodDescriptor queryReportListAsyncMethod = new StubMethodDescriptor("queryReportList",
    com.ywt.gapi.med_equip.QueryReportListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryReportListRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryReportListResponse::parseFrom);

    private static final StubMethodDescriptor queryReportListProxyAsyncMethod = new StubMethodDescriptor("queryReportListAsync",
    com.ywt.gapi.med_equip.QueryReportListRequest.class, com.ywt.gapi.med_equip.QueryReportListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryReportListRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryReportListResponse::parseFrom);

    private static final StubMethodDescriptor queryReportDetailMethod = new StubMethodDescriptor("queryReportDetail",
    com.ywt.gapi.med_equip.QueryReportDetailRequest.class, com.ywt.gapi.med_equip.QueryReportDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryReportDetailRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryReportDetailResponse::parseFrom);

    private static final StubMethodDescriptor queryReportDetailAsyncMethod = new StubMethodDescriptor("queryReportDetail",
    com.ywt.gapi.med_equip.QueryReportDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryReportDetailRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryReportDetailResponse::parseFrom);

    private static final StubMethodDescriptor queryReportDetailProxyAsyncMethod = new StubMethodDescriptor("queryReportDetailAsync",
    com.ywt.gapi.med_equip.QueryReportDetailRequest.class, com.ywt.gapi.med_equip.QueryReportDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.QueryReportDetailRequest::parseFrom,
    com.ywt.gapi.med_equip.QueryReportDetailResponse::parseFrom);

    private static final StubMethodDescriptor checkIfUserHasAdminPermissionMethod = new StubMethodDescriptor("checkIfUserHasAdminPermission",
    com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest.class, com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest::parseFrom,
    com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse::parseFrom);

    private static final StubMethodDescriptor checkIfUserHasAdminPermissionAsyncMethod = new StubMethodDescriptor("checkIfUserHasAdminPermission",
    com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest::parseFrom,
    com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse::parseFrom);

    private static final StubMethodDescriptor checkIfUserHasAdminPermissionProxyAsyncMethod = new StubMethodDescriptor("checkIfUserHasAdminPermissionAsync",
    com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest.class, com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest::parseFrom,
    com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse::parseFrom);

    private static final StubMethodDescriptor getEquipDeptListMethod = new StubMethodDescriptor("getEquipDeptList",
    com.ywt.gapi.med_equip.GetEquipDeptListRequest.class, com.ywt.gapi.med_equip.GetEquipDeptListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.GetEquipDeptListRequest::parseFrom,
    com.ywt.gapi.med_equip.GetEquipDeptListResponse::parseFrom);

    private static final StubMethodDescriptor getEquipDeptListAsyncMethod = new StubMethodDescriptor("getEquipDeptList",
    com.ywt.gapi.med_equip.GetEquipDeptListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.GetEquipDeptListRequest::parseFrom,
    com.ywt.gapi.med_equip.GetEquipDeptListResponse::parseFrom);

    private static final StubMethodDescriptor getEquipDeptListProxyAsyncMethod = new StubMethodDescriptor("getEquipDeptListAsync",
    com.ywt.gapi.med_equip.GetEquipDeptListRequest.class, com.ywt.gapi.med_equip.GetEquipDeptListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.GetEquipDeptListRequest::parseFrom,
    com.ywt.gapi.med_equip.GetEquipDeptListResponse::parseFrom);

    private static final StubMethodDescriptor changeEquipCodeMethod = new StubMethodDescriptor("changeEquipCode",
    com.ywt.gapi.med_equip.ChangeEquipCodeRequest.class, com.ywt.gapi.med_equip.ChangeEquipCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.ChangeEquipCodeRequest::parseFrom,
    com.ywt.gapi.med_equip.ChangeEquipCodeResponse::parseFrom);

    private static final StubMethodDescriptor changeEquipCodeAsyncMethod = new StubMethodDescriptor("changeEquipCode",
    com.ywt.gapi.med_equip.ChangeEquipCodeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.ChangeEquipCodeRequest::parseFrom,
    com.ywt.gapi.med_equip.ChangeEquipCodeResponse::parseFrom);

    private static final StubMethodDescriptor changeEquipCodeProxyAsyncMethod = new StubMethodDescriptor("changeEquipCodeAsync",
    com.ywt.gapi.med_equip.ChangeEquipCodeRequest.class, com.ywt.gapi.med_equip.ChangeEquipCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.ChangeEquipCodeRequest::parseFrom,
    com.ywt.gapi.med_equip.ChangeEquipCodeResponse::parseFrom);

    private static final StubMethodDescriptor checkIfUserEquipAdminMethod = new StubMethodDescriptor("checkIfUserEquipAdmin",
    com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest.class, com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest::parseFrom,
    com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse::parseFrom);

    private static final StubMethodDescriptor checkIfUserEquipAdminAsyncMethod = new StubMethodDescriptor("checkIfUserEquipAdmin",
    com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest::parseFrom,
    com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse::parseFrom);

    private static final StubMethodDescriptor checkIfUserEquipAdminProxyAsyncMethod = new StubMethodDescriptor("checkIfUserEquipAdminAsync",
    com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest.class, com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest::parseFrom,
    com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse::parseFrom);

    /**
         * <pre>
         *  展示给患者扫码支付的地址
         * </pre>
         */
    private static final StubMethodDescriptor triggerScheduledJobMethod = new StubMethodDescriptor("triggerScheduledJob",
    com.ywt.gapi.med_equip.TriggerScheduledJobRequest.class, com.ywt.gapi.med_equip.TriggerScheduledJobResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.TriggerScheduledJobRequest::parseFrom,
    com.ywt.gapi.med_equip.TriggerScheduledJobResponse::parseFrom);

    private static final StubMethodDescriptor triggerScheduledJobAsyncMethod = new StubMethodDescriptor("triggerScheduledJob",
    com.ywt.gapi.med_equip.TriggerScheduledJobRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.TriggerScheduledJobRequest::parseFrom,
    com.ywt.gapi.med_equip.TriggerScheduledJobResponse::parseFrom);

    private static final StubMethodDescriptor triggerScheduledJobProxyAsyncMethod = new StubMethodDescriptor("triggerScheduledJobAsync",
    com.ywt.gapi.med_equip.TriggerScheduledJobRequest.class, com.ywt.gapi.med_equip.TriggerScheduledJobResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.TriggerScheduledJobRequest::parseFrom,
    com.ywt.gapi.med_equip.TriggerScheduledJobResponse::parseFrom);

    /**
         * <pre>
         *  设备码
         * </pre>
         */
    private static final StubMethodDescriptor getEquipAdminInfoMethod = new StubMethodDescriptor("getEquipAdminInfo",
    com.ywt.gapi.med_equip.GetEquipAdminInfoRequest.class, com.ywt.gapi.med_equip.GetEquipAdminInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.GetEquipAdminInfoRequest::parseFrom,
    com.ywt.gapi.med_equip.GetEquipAdminInfoResponse::parseFrom);

    private static final StubMethodDescriptor getEquipAdminInfoAsyncMethod = new StubMethodDescriptor("getEquipAdminInfo",
    com.ywt.gapi.med_equip.GetEquipAdminInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.GetEquipAdminInfoRequest::parseFrom,
    com.ywt.gapi.med_equip.GetEquipAdminInfoResponse::parseFrom);

    private static final StubMethodDescriptor getEquipAdminInfoProxyAsyncMethod = new StubMethodDescriptor("getEquipAdminInfoAsync",
    com.ywt.gapi.med_equip.GetEquipAdminInfoRequest.class, com.ywt.gapi.med_equip.GetEquipAdminInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.med_equip.GetEquipAdminInfoRequest::parseFrom,
    com.ywt.gapi.med_equip.GetEquipAdminInfoResponse::parseFrom);





    public static class MedEquipServiceStub implements MedEquipService{
        private final Invoker<MedEquipService> invoker;

        public MedEquipServiceStub(Invoker<MedEquipService> invoker) {
            this.invoker = invoker;
        }

            /**
         * <pre>
         *  unused
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.CreateOrderResponse createOrder(com.ywt.gapi.med_equip.CreateOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.CreateOrderResponse> createOrderAsync(com.ywt.gapi.med_equip.CreateOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createOrderAsyncMethod, request);
        }

            /**
         * <pre>
         *  unused
         * </pre>
         */
        @Override
        public void createOrder(com.ywt.gapi.med_equip.CreateOrderRequest request, StreamObserver<com.ywt.gapi.med_equip.CreateOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, createOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  开单医生 id
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.QueryOrderResponse queryOrder(com.ywt.gapi.med_equip.QueryOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.QueryOrderResponse> queryOrderAsync(com.ywt.gapi.med_equip.QueryOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryOrderAsyncMethod, request);
        }

            /**
         * <pre>
         *  开单医生 id
         * </pre>
         */
        @Override
        public void queryOrder(com.ywt.gapi.med_equip.QueryOrderRequest request, StreamObserver<com.ywt.gapi.med_equip.QueryOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, queryOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  科室 id, unused
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.QueryOrderRecordsResponse queryOrderRecords(com.ywt.gapi.med_equip.QueryOrderRecordsRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryOrderRecordsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.QueryOrderRecordsResponse> queryOrderRecordsAsync(com.ywt.gapi.med_equip.QueryOrderRecordsRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryOrderRecordsAsyncMethod, request);
        }

            /**
         * <pre>
         *  科室 id, unused
         * </pre>
         */
        @Override
        public void queryOrderRecords(com.ywt.gapi.med_equip.QueryOrderRecordsRequest request, StreamObserver<com.ywt.gapi.med_equip.QueryOrderRecordsResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, queryOrderRecordsMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  诊断
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.QueryInspectionItemsResponse queryInspectionItems(com.ywt.gapi.med_equip.QueryInspectionItemsRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryInspectionItemsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.QueryInspectionItemsResponse> queryInspectionItemsAsync(com.ywt.gapi.med_equip.QueryInspectionItemsRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryInspectionItemsAsyncMethod, request);
        }

            /**
         * <pre>
         *  诊断
         * </pre>
         */
        @Override
        public void queryInspectionItems(com.ywt.gapi.med_equip.QueryInspectionItemsRequest request, StreamObserver<com.ywt.gapi.med_equip.QueryInspectionItemsResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, queryInspectionItemsMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  检查项目列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.QueryEquipListResponse queryEquipList(com.ywt.gapi.med_equip.QueryEquipListRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryEquipListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.QueryEquipListResponse> queryEquipListAsync(com.ywt.gapi.med_equip.QueryEquipListRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryEquipListAsyncMethod, request);
        }

            /**
         * <pre>
         *  检查项目列表
         * </pre>
         */
        @Override
        public void queryEquipList(com.ywt.gapi.med_equip.QueryEquipListRequest request, StreamObserver<com.ywt.gapi.med_equip.QueryEquipListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, queryEquipListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  总价，单位：分, unused
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.ApplyForRefundResponse applyForRefund(com.ywt.gapi.med_equip.ApplyForRefundRequest request){
            return StubInvocationUtil.unaryCall(invoker, applyForRefundMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.ApplyForRefundResponse> applyForRefundAsync(com.ywt.gapi.med_equip.ApplyForRefundRequest request){
            return StubInvocationUtil.unaryCall(invoker, applyForRefundAsyncMethod, request);
        }

            /**
         * <pre>
         *  总价，单位：分, unused
         * </pre>
         */
        @Override
        public void applyForRefund(com.ywt.gapi.med_equip.ApplyForRefundRequest request, StreamObserver<com.ywt.gapi.med_equip.ApplyForRefundResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, applyForRefundMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  医生签名 id
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.UpdateDiagnosisResponse updateDiagnosis(com.ywt.gapi.med_equip.UpdateDiagnosisRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateDiagnosisMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.UpdateDiagnosisResponse> updateDiagnosisAsync(com.ywt.gapi.med_equip.UpdateDiagnosisRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateDiagnosisAsyncMethod, request);
        }

            /**
         * <pre>
         *  医生签名 id
         * </pre>
         */
        @Override
        public void updateDiagnosis(com.ywt.gapi.med_equip.UpdateDiagnosisRequest request, StreamObserver<com.ywt.gapi.med_equip.UpdateDiagnosisResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateDiagnosisMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  备注
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.PayCallbackResponse payCallback(com.ywt.gapi.med_equip.PayCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, payCallbackMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.PayCallbackResponse> payCallbackAsync(com.ywt.gapi.med_equip.PayCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, payCallbackAsyncMethod, request);
        }

            /**
         * <pre>
         *  备注
         * </pre>
         */
        @Override
        public void payCallback(com.ywt.gapi.med_equip.PayCallbackRequest request, StreamObserver<com.ywt.gapi.med_equip.PayCallbackResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payCallbackMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.RefundNotifyResponse orderRefundNotify(com.ywt.gapi.med_equip.RefundNotifyRequest request){
            return StubInvocationUtil.unaryCall(invoker, orderRefundNotifyMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.RefundNotifyResponse> orderRefundNotifyAsync(com.ywt.gapi.med_equip.RefundNotifyRequest request){
            return StubInvocationUtil.unaryCall(invoker, orderRefundNotifyAsyncMethod, request);
        }

        @Override
        public void orderRefundNotify(com.ywt.gapi.med_equip.RefundNotifyRequest request, StreamObserver<com.ywt.gapi.med_equip.RefundNotifyResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, orderRefundNotifyMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.UpdateOrderInfoResponse updateOrderInfo(com.ywt.gapi.med_equip.UpdateOrderInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateOrderInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.UpdateOrderInfoResponse> updateOrderInfoAsync(com.ywt.gapi.med_equip.UpdateOrderInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateOrderInfoAsyncMethod, request);
        }

        @Override
        public void updateOrderInfo(com.ywt.gapi.med_equip.UpdateOrderInfoRequest request, StreamObserver<com.ywt.gapi.med_equip.UpdateOrderInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateOrderInfoMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.QueryReportListResponse queryReportList(com.ywt.gapi.med_equip.QueryReportListRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryReportListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.QueryReportListResponse> queryReportListAsync(com.ywt.gapi.med_equip.QueryReportListRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryReportListAsyncMethod, request);
        }

        @Override
        public void queryReportList(com.ywt.gapi.med_equip.QueryReportListRequest request, StreamObserver<com.ywt.gapi.med_equip.QueryReportListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, queryReportListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.QueryReportDetailResponse queryReportDetail(com.ywt.gapi.med_equip.QueryReportDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryReportDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.QueryReportDetailResponse> queryReportDetailAsync(com.ywt.gapi.med_equip.QueryReportDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, queryReportDetailAsyncMethod, request);
        }

        @Override
        public void queryReportDetail(com.ywt.gapi.med_equip.QueryReportDetailRequest request, StreamObserver<com.ywt.gapi.med_equip.QueryReportDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, queryReportDetailMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse checkIfUserHasAdminPermission(com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkIfUserHasAdminPermissionMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse> checkIfUserHasAdminPermissionAsync(com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkIfUserHasAdminPermissionAsyncMethod, request);
        }

        @Override
        public void checkIfUserHasAdminPermission(com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest request, StreamObserver<com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, checkIfUserHasAdminPermissionMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.GetEquipDeptListResponse getEquipDeptList(com.ywt.gapi.med_equip.GetEquipDeptListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getEquipDeptListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.GetEquipDeptListResponse> getEquipDeptListAsync(com.ywt.gapi.med_equip.GetEquipDeptListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getEquipDeptListAsyncMethod, request);
        }

        @Override
        public void getEquipDeptList(com.ywt.gapi.med_equip.GetEquipDeptListRequest request, StreamObserver<com.ywt.gapi.med_equip.GetEquipDeptListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getEquipDeptListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.ChangeEquipCodeResponse changeEquipCode(com.ywt.gapi.med_equip.ChangeEquipCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, changeEquipCodeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.ChangeEquipCodeResponse> changeEquipCodeAsync(com.ywt.gapi.med_equip.ChangeEquipCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, changeEquipCodeAsyncMethod, request);
        }

        @Override
        public void changeEquipCode(com.ywt.gapi.med_equip.ChangeEquipCodeRequest request, StreamObserver<com.ywt.gapi.med_equip.ChangeEquipCodeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, changeEquipCodeMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse checkIfUserEquipAdmin(com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkIfUserEquipAdminMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse> checkIfUserEquipAdminAsync(com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkIfUserEquipAdminAsyncMethod, request);
        }

        @Override
        public void checkIfUserEquipAdmin(com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest request, StreamObserver<com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, checkIfUserEquipAdminMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  展示给患者扫码支付的地址
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.TriggerScheduledJobResponse triggerScheduledJob(com.ywt.gapi.med_equip.TriggerScheduledJobRequest request){
            return StubInvocationUtil.unaryCall(invoker, triggerScheduledJobMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.TriggerScheduledJobResponse> triggerScheduledJobAsync(com.ywt.gapi.med_equip.TriggerScheduledJobRequest request){
            return StubInvocationUtil.unaryCall(invoker, triggerScheduledJobAsyncMethod, request);
        }

            /**
         * <pre>
         *  展示给患者扫码支付的地址
         * </pre>
         */
        @Override
        public void triggerScheduledJob(com.ywt.gapi.med_equip.TriggerScheduledJobRequest request, StreamObserver<com.ywt.gapi.med_equip.TriggerScheduledJobResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, triggerScheduledJobMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  设备码
         * </pre>
         */
        @Override
        public com.ywt.gapi.med_equip.GetEquipAdminInfoResponse getEquipAdminInfo(com.ywt.gapi.med_equip.GetEquipAdminInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getEquipAdminInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.med_equip.GetEquipAdminInfoResponse> getEquipAdminInfoAsync(com.ywt.gapi.med_equip.GetEquipAdminInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getEquipAdminInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  设备码
         * </pre>
         */
        @Override
        public void getEquipAdminInfo(com.ywt.gapi.med_equip.GetEquipAdminInfoRequest request, StreamObserver<com.ywt.gapi.med_equip.GetEquipAdminInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getEquipAdminInfoMethod , request, responseObserver);
        }



    }

    public static abstract class MedEquipServiceImplBase implements MedEquipService, ServerService<MedEquipService> {

        private <T, R> BiConsumer<T, StreamObserver<R>> syncToAsync(java.util.function.Function<T, R> syncFun) {
            return new BiConsumer<T, StreamObserver<R>>() {
                @Override
                public void accept(T t, StreamObserver<R> observer) {
                    try {
                        R ret = syncFun.apply(t);
                        observer.onNext(ret);
                        observer.onCompleted();
                    } catch (Throwable e) {
                        observer.onError(e);
                    }
                }
            };
        }

        @Override
        public final Invoker<MedEquipService> getInvoker(URL url) {
            PathResolver pathResolver = url.getOrDefaultFrameworkModel()
            .getExtensionLoader(PathResolver.class)
            .getDefaultExtension();
            Map<String,StubMethodHandler<?, ?>> handlers = new HashMap<>();

            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryOrderRecords" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryOrderRecordsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryInspectionItems" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryInspectionItemsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryEquipList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryEquipListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/applyForRefund" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/applyForRefundAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDiagnosis" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDiagnosisAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payCallback" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payCallbackAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/orderRefundNotify" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/orderRefundNotifyAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateOrderInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateOrderInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryReportList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryReportListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryReportDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/queryReportDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkIfUserHasAdminPermission" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkIfUserHasAdminPermissionAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getEquipDeptList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getEquipDeptListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/changeEquipCode" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/changeEquipCodeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkIfUserEquipAdmin" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkIfUserEquipAdminAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/triggerScheduledJob" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/triggerScheduledJobAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getEquipAdminInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getEquipAdminInfoAsync" );

            BiConsumer<com.ywt.gapi.med_equip.CreateOrderRequest, StreamObserver<com.ywt.gapi.med_equip.CreateOrderResponse>> createOrderFunc = this::createOrder;
            handlers.put(createOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(createOrderFunc));
            BiConsumer<com.ywt.gapi.med_equip.CreateOrderRequest, StreamObserver<com.ywt.gapi.med_equip.CreateOrderResponse>> createOrderAsyncFunc = syncToAsync(this::createOrder);
            handlers.put(createOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(createOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryOrderRequest, StreamObserver<com.ywt.gapi.med_equip.QueryOrderResponse>> queryOrderFunc = this::queryOrder;
            handlers.put(queryOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(queryOrderFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryOrderRequest, StreamObserver<com.ywt.gapi.med_equip.QueryOrderResponse>> queryOrderAsyncFunc = syncToAsync(this::queryOrder);
            handlers.put(queryOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(queryOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryOrderRecordsRequest, StreamObserver<com.ywt.gapi.med_equip.QueryOrderRecordsResponse>> queryOrderRecordsFunc = this::queryOrderRecords;
            handlers.put(queryOrderRecordsMethod.getMethodName(), new UnaryStubMethodHandler<>(queryOrderRecordsFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryOrderRecordsRequest, StreamObserver<com.ywt.gapi.med_equip.QueryOrderRecordsResponse>> queryOrderRecordsAsyncFunc = syncToAsync(this::queryOrderRecords);
            handlers.put(queryOrderRecordsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(queryOrderRecordsAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryInspectionItemsRequest, StreamObserver<com.ywt.gapi.med_equip.QueryInspectionItemsResponse>> queryInspectionItemsFunc = this::queryInspectionItems;
            handlers.put(queryInspectionItemsMethod.getMethodName(), new UnaryStubMethodHandler<>(queryInspectionItemsFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryInspectionItemsRequest, StreamObserver<com.ywt.gapi.med_equip.QueryInspectionItemsResponse>> queryInspectionItemsAsyncFunc = syncToAsync(this::queryInspectionItems);
            handlers.put(queryInspectionItemsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(queryInspectionItemsAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryEquipListRequest, StreamObserver<com.ywt.gapi.med_equip.QueryEquipListResponse>> queryEquipListFunc = this::queryEquipList;
            handlers.put(queryEquipListMethod.getMethodName(), new UnaryStubMethodHandler<>(queryEquipListFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryEquipListRequest, StreamObserver<com.ywt.gapi.med_equip.QueryEquipListResponse>> queryEquipListAsyncFunc = syncToAsync(this::queryEquipList);
            handlers.put(queryEquipListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(queryEquipListAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.ApplyForRefundRequest, StreamObserver<com.ywt.gapi.med_equip.ApplyForRefundResponse>> applyForRefundFunc = this::applyForRefund;
            handlers.put(applyForRefundMethod.getMethodName(), new UnaryStubMethodHandler<>(applyForRefundFunc));
            BiConsumer<com.ywt.gapi.med_equip.ApplyForRefundRequest, StreamObserver<com.ywt.gapi.med_equip.ApplyForRefundResponse>> applyForRefundAsyncFunc = syncToAsync(this::applyForRefund);
            handlers.put(applyForRefundProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(applyForRefundAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.UpdateDiagnosisRequest, StreamObserver<com.ywt.gapi.med_equip.UpdateDiagnosisResponse>> updateDiagnosisFunc = this::updateDiagnosis;
            handlers.put(updateDiagnosisMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDiagnosisFunc));
            BiConsumer<com.ywt.gapi.med_equip.UpdateDiagnosisRequest, StreamObserver<com.ywt.gapi.med_equip.UpdateDiagnosisResponse>> updateDiagnosisAsyncFunc = syncToAsync(this::updateDiagnosis);
            handlers.put(updateDiagnosisProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDiagnosisAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.PayCallbackRequest, StreamObserver<com.ywt.gapi.med_equip.PayCallbackResponse>> payCallbackFunc = this::payCallback;
            handlers.put(payCallbackMethod.getMethodName(), new UnaryStubMethodHandler<>(payCallbackFunc));
            BiConsumer<com.ywt.gapi.med_equip.PayCallbackRequest, StreamObserver<com.ywt.gapi.med_equip.PayCallbackResponse>> payCallbackAsyncFunc = syncToAsync(this::payCallback);
            handlers.put(payCallbackProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payCallbackAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.RefundNotifyRequest, StreamObserver<com.ywt.gapi.med_equip.RefundNotifyResponse>> orderRefundNotifyFunc = this::orderRefundNotify;
            handlers.put(orderRefundNotifyMethod.getMethodName(), new UnaryStubMethodHandler<>(orderRefundNotifyFunc));
            BiConsumer<com.ywt.gapi.med_equip.RefundNotifyRequest, StreamObserver<com.ywt.gapi.med_equip.RefundNotifyResponse>> orderRefundNotifyAsyncFunc = syncToAsync(this::orderRefundNotify);
            handlers.put(orderRefundNotifyProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(orderRefundNotifyAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.UpdateOrderInfoRequest, StreamObserver<com.ywt.gapi.med_equip.UpdateOrderInfoResponse>> updateOrderInfoFunc = this::updateOrderInfo;
            handlers.put(updateOrderInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(updateOrderInfoFunc));
            BiConsumer<com.ywt.gapi.med_equip.UpdateOrderInfoRequest, StreamObserver<com.ywt.gapi.med_equip.UpdateOrderInfoResponse>> updateOrderInfoAsyncFunc = syncToAsync(this::updateOrderInfo);
            handlers.put(updateOrderInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateOrderInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryReportListRequest, StreamObserver<com.ywt.gapi.med_equip.QueryReportListResponse>> queryReportListFunc = this::queryReportList;
            handlers.put(queryReportListMethod.getMethodName(), new UnaryStubMethodHandler<>(queryReportListFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryReportListRequest, StreamObserver<com.ywt.gapi.med_equip.QueryReportListResponse>> queryReportListAsyncFunc = syncToAsync(this::queryReportList);
            handlers.put(queryReportListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(queryReportListAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryReportDetailRequest, StreamObserver<com.ywt.gapi.med_equip.QueryReportDetailResponse>> queryReportDetailFunc = this::queryReportDetail;
            handlers.put(queryReportDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(queryReportDetailFunc));
            BiConsumer<com.ywt.gapi.med_equip.QueryReportDetailRequest, StreamObserver<com.ywt.gapi.med_equip.QueryReportDetailResponse>> queryReportDetailAsyncFunc = syncToAsync(this::queryReportDetail);
            handlers.put(queryReportDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(queryReportDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest, StreamObserver<com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse>> checkIfUserHasAdminPermissionFunc = this::checkIfUserHasAdminPermission;
            handlers.put(checkIfUserHasAdminPermissionMethod.getMethodName(), new UnaryStubMethodHandler<>(checkIfUserHasAdminPermissionFunc));
            BiConsumer<com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest, StreamObserver<com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse>> checkIfUserHasAdminPermissionAsyncFunc = syncToAsync(this::checkIfUserHasAdminPermission);
            handlers.put(checkIfUserHasAdminPermissionProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(checkIfUserHasAdminPermissionAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.GetEquipDeptListRequest, StreamObserver<com.ywt.gapi.med_equip.GetEquipDeptListResponse>> getEquipDeptListFunc = this::getEquipDeptList;
            handlers.put(getEquipDeptListMethod.getMethodName(), new UnaryStubMethodHandler<>(getEquipDeptListFunc));
            BiConsumer<com.ywt.gapi.med_equip.GetEquipDeptListRequest, StreamObserver<com.ywt.gapi.med_equip.GetEquipDeptListResponse>> getEquipDeptListAsyncFunc = syncToAsync(this::getEquipDeptList);
            handlers.put(getEquipDeptListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getEquipDeptListAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.ChangeEquipCodeRequest, StreamObserver<com.ywt.gapi.med_equip.ChangeEquipCodeResponse>> changeEquipCodeFunc = this::changeEquipCode;
            handlers.put(changeEquipCodeMethod.getMethodName(), new UnaryStubMethodHandler<>(changeEquipCodeFunc));
            BiConsumer<com.ywt.gapi.med_equip.ChangeEquipCodeRequest, StreamObserver<com.ywt.gapi.med_equip.ChangeEquipCodeResponse>> changeEquipCodeAsyncFunc = syncToAsync(this::changeEquipCode);
            handlers.put(changeEquipCodeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(changeEquipCodeAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest, StreamObserver<com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse>> checkIfUserEquipAdminFunc = this::checkIfUserEquipAdmin;
            handlers.put(checkIfUserEquipAdminMethod.getMethodName(), new UnaryStubMethodHandler<>(checkIfUserEquipAdminFunc));
            BiConsumer<com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest, StreamObserver<com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse>> checkIfUserEquipAdminAsyncFunc = syncToAsync(this::checkIfUserEquipAdmin);
            handlers.put(checkIfUserEquipAdminProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(checkIfUserEquipAdminAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.TriggerScheduledJobRequest, StreamObserver<com.ywt.gapi.med_equip.TriggerScheduledJobResponse>> triggerScheduledJobFunc = this::triggerScheduledJob;
            handlers.put(triggerScheduledJobMethod.getMethodName(), new UnaryStubMethodHandler<>(triggerScheduledJobFunc));
            BiConsumer<com.ywt.gapi.med_equip.TriggerScheduledJobRequest, StreamObserver<com.ywt.gapi.med_equip.TriggerScheduledJobResponse>> triggerScheduledJobAsyncFunc = syncToAsync(this::triggerScheduledJob);
            handlers.put(triggerScheduledJobProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(triggerScheduledJobAsyncFunc));
            BiConsumer<com.ywt.gapi.med_equip.GetEquipAdminInfoRequest, StreamObserver<com.ywt.gapi.med_equip.GetEquipAdminInfoResponse>> getEquipAdminInfoFunc = this::getEquipAdminInfo;
            handlers.put(getEquipAdminInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getEquipAdminInfoFunc));
            BiConsumer<com.ywt.gapi.med_equip.GetEquipAdminInfoRequest, StreamObserver<com.ywt.gapi.med_equip.GetEquipAdminInfoResponse>> getEquipAdminInfoAsyncFunc = syncToAsync(this::getEquipAdminInfo);
            handlers.put(getEquipAdminInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getEquipAdminInfoAsyncFunc));




            return new StubInvoker<>(this, url, MedEquipService.class, handlers);
        }


        @Override
        public com.ywt.gapi.med_equip.CreateOrderResponse createOrder(com.ywt.gapi.med_equip.CreateOrderRequest request){
            throw unimplementedMethodException(createOrderMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.QueryOrderResponse queryOrder(com.ywt.gapi.med_equip.QueryOrderRequest request){
            throw unimplementedMethodException(queryOrderMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.QueryOrderRecordsResponse queryOrderRecords(com.ywt.gapi.med_equip.QueryOrderRecordsRequest request){
            throw unimplementedMethodException(queryOrderRecordsMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.QueryInspectionItemsResponse queryInspectionItems(com.ywt.gapi.med_equip.QueryInspectionItemsRequest request){
            throw unimplementedMethodException(queryInspectionItemsMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.QueryEquipListResponse queryEquipList(com.ywt.gapi.med_equip.QueryEquipListRequest request){
            throw unimplementedMethodException(queryEquipListMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.ApplyForRefundResponse applyForRefund(com.ywt.gapi.med_equip.ApplyForRefundRequest request){
            throw unimplementedMethodException(applyForRefundMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.UpdateDiagnosisResponse updateDiagnosis(com.ywt.gapi.med_equip.UpdateDiagnosisRequest request){
            throw unimplementedMethodException(updateDiagnosisMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.PayCallbackResponse payCallback(com.ywt.gapi.med_equip.PayCallbackRequest request){
            throw unimplementedMethodException(payCallbackMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.RefundNotifyResponse orderRefundNotify(com.ywt.gapi.med_equip.RefundNotifyRequest request){
            throw unimplementedMethodException(orderRefundNotifyMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.UpdateOrderInfoResponse updateOrderInfo(com.ywt.gapi.med_equip.UpdateOrderInfoRequest request){
            throw unimplementedMethodException(updateOrderInfoMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.QueryReportListResponse queryReportList(com.ywt.gapi.med_equip.QueryReportListRequest request){
            throw unimplementedMethodException(queryReportListMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.QueryReportDetailResponse queryReportDetail(com.ywt.gapi.med_equip.QueryReportDetailRequest request){
            throw unimplementedMethodException(queryReportDetailMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionResponse checkIfUserHasAdminPermission(com.ywt.gapi.med_equip.CheckIfUserHasAdminPermissionRequest request){
            throw unimplementedMethodException(checkIfUserHasAdminPermissionMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.GetEquipDeptListResponse getEquipDeptList(com.ywt.gapi.med_equip.GetEquipDeptListRequest request){
            throw unimplementedMethodException(getEquipDeptListMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.ChangeEquipCodeResponse changeEquipCode(com.ywt.gapi.med_equip.ChangeEquipCodeRequest request){
            throw unimplementedMethodException(changeEquipCodeMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.CheckIfUserEquipAdminResponse checkIfUserEquipAdmin(com.ywt.gapi.med_equip.CheckIfUserEquipAdminRequest request){
            throw unimplementedMethodException(checkIfUserEquipAdminMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.TriggerScheduledJobResponse triggerScheduledJob(com.ywt.gapi.med_equip.TriggerScheduledJobRequest request){
            throw unimplementedMethodException(triggerScheduledJobMethod);
        }

        @Override
        public com.ywt.gapi.med_equip.GetEquipAdminInfoResponse getEquipAdminInfo(com.ywt.gapi.med_equip.GetEquipAdminInfoRequest request){
            throw unimplementedMethodException(getEquipAdminInfoMethod);
        }





        @Override
        public final ServiceDescriptor getServiceDescriptor() {
            return serviceDescriptor;
        }
        private RpcException unimplementedMethodException(StubMethodDescriptor methodDescriptor) {
            return TriRpcStatus.UNIMPLEMENTED.withDescription(String.format("Method %s is unimplemented",
                "/" + serviceDescriptor.getInterfaceName() + "/" + methodDescriptor.getMethodName())).asException();
        }
    }

}
