/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.third.cloudfilm;

import org.apache.dubbo.common.stream.StreamObserver;
import org.apache.dubbo.common.URL;
import org.apache.dubbo.rpc.Invoker;
import org.apache.dubbo.rpc.PathResolver;
import org.apache.dubbo.rpc.RpcException;
import org.apache.dubbo.rpc.ServerService;
import org.apache.dubbo.rpc.TriRpcStatus;
import org.apache.dubbo.rpc.model.MethodDescriptor;
import org.apache.dubbo.rpc.model.ServiceDescriptor;
import org.apache.dubbo.rpc.model.StubMethodDescriptor;
import org.apache.dubbo.rpc.model.StubServiceDescriptor;
import org.apache.dubbo.rpc.stub.BiStreamMethodHandler;
import org.apache.dubbo.rpc.stub.ServerStreamMethodHandler;
import org.apache.dubbo.rpc.stub.StubInvocationUtil;
import org.apache.dubbo.rpc.stub.StubInvoker;
import org.apache.dubbo.rpc.stub.StubMethodHandler;
import org.apache.dubbo.rpc.stub.StubSuppliers;
import org.apache.dubbo.rpc.stub.UnaryStubMethodHandler;

import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public final class DubboCloudfilmServiceTriple {

    public static final String SERVICE_NAME = CloudfilmService.SERVICE_NAME;

    private static final StubServiceDescriptor serviceDescriptor = new StubServiceDescriptor(SERVICE_NAME,CloudfilmService.class);

    static {
        org.apache.dubbo.rpc.protocol.tri.service.SchemaDescriptorRegistry.addSchemaDescriptor(SERVICE_NAME,CloudfilmProto.getDescriptor());
        StubSuppliers.addSupplier(SERVICE_NAME, DubboCloudfilmServiceTriple::newStub);
        StubSuppliers.addSupplier(CloudfilmService.JAVA_SERVICE_NAME,  DubboCloudfilmServiceTriple::newStub);
        StubSuppliers.addDescriptor(SERVICE_NAME, serviceDescriptor);
        StubSuppliers.addDescriptor(CloudfilmService.JAVA_SERVICE_NAME, serviceDescriptor);
    }

    @SuppressWarnings("all")
    public static CloudfilmService newStub(Invoker<?> invoker) {
        return new CloudfilmServiceStub((Invoker<CloudfilmService>)invoker);
    }

    /**
         * <pre>
         * 医院Id（太和医院为12）
         * </pre>
         */
    private static final StubMethodDescriptor getOrderListMethod = new StubMethodDescriptor("getOrderList",
    com.ywt.gapi.third.cloudfilm.GetOrderListRequest.class, com.ywt.gapi.third.cloudfilm.GetOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetOrderListRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getOrderListAsyncMethod = new StubMethodDescriptor("getOrderList",
    com.ywt.gapi.third.cloudfilm.GetOrderListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetOrderListRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getOrderListProxyAsyncMethod = new StubMethodDescriptor("getOrderListAsync",
    com.ywt.gapi.third.cloudfilm.GetOrderListRequest.class, com.ywt.gapi.third.cloudfilm.GetOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetOrderListRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetOrderListResponse::parseFrom);

    private static final StubMethodDescriptor setCompleteResultMethod = new StubMethodDescriptor("setCompleteResult",
    com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest.class, com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse::parseFrom);

    private static final StubMethodDescriptor setCompleteResultAsyncMethod = new StubMethodDescriptor("setCompleteResult",
    com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse::parseFrom);

    private static final StubMethodDescriptor setCompleteResultProxyAsyncMethod = new StubMethodDescriptor("setCompleteResultAsync",
    com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest.class, com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse::parseFrom);

    private static final StubMethodDescriptor createOrderMethod = new StubMethodDescriptor("createOrder",
    com.ywt.gapi.third.cloudfilm.CreateOrderRequest.class, com.ywt.gapi.third.cloudfilm.CreateOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.CreateOrderRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.CreateOrderResponse::parseFrom);

    private static final StubMethodDescriptor createOrderAsyncMethod = new StubMethodDescriptor("createOrder",
    com.ywt.gapi.third.cloudfilm.CreateOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.CreateOrderRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.CreateOrderResponse::parseFrom);

    private static final StubMethodDescriptor createOrderProxyAsyncMethod = new StubMethodDescriptor("createOrderAsync",
    com.ywt.gapi.third.cloudfilm.CreateOrderRequest.class, com.ywt.gapi.third.cloudfilm.CreateOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.CreateOrderRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.CreateOrderResponse::parseFrom);

    /**
         * <pre>
         * 门诊号或者住院院号
         * </pre>
         */
    private static final StubMethodDescriptor payCallbackMethod = new StubMethodDescriptor("payCallback",
    com.ywt.gapi.third.cloudfilm.PayCallbackRequest.class, com.ywt.gapi.third.cloudfilm.PayCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.PayCallbackRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.PayCallbackResponse::parseFrom);

    private static final StubMethodDescriptor payCallbackAsyncMethod = new StubMethodDescriptor("payCallback",
    com.ywt.gapi.third.cloudfilm.PayCallbackRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.PayCallbackRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.PayCallbackResponse::parseFrom);

    private static final StubMethodDescriptor payCallbackProxyAsyncMethod = new StubMethodDescriptor("payCallbackAsync",
    com.ywt.gapi.third.cloudfilm.PayCallbackRequest.class, com.ywt.gapi.third.cloudfilm.PayCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.PayCallbackRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.PayCallbackResponse::parseFrom);

    /**
         * <pre>
         * 本地医院ID，需求转换成虎丘的医生ID
         * </pre>
         */
    private static final StubMethodDescriptor getConfigMethod = new StubMethodDescriptor("getConfig",
    com.ywt.gapi.third.cloudfilm.GetConfigRequest.class, com.ywt.gapi.third.cloudfilm.GetConfigResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetConfigRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetConfigResponse::parseFrom);

    private static final StubMethodDescriptor getConfigAsyncMethod = new StubMethodDescriptor("getConfig",
    com.ywt.gapi.third.cloudfilm.GetConfigRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetConfigRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetConfigResponse::parseFrom);

    private static final StubMethodDescriptor getConfigProxyAsyncMethod = new StubMethodDescriptor("getConfigAsync",
    com.ywt.gapi.third.cloudfilm.GetConfigRequest.class, com.ywt.gapi.third.cloudfilm.GetConfigResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetConfigRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetConfigResponse::parseFrom);

    /**
         * <pre>
         * 检查单号
         * </pre>
         */
    private static final StubMethodDescriptor getReportInfoMethod = new StubMethodDescriptor("getReportInfo",
    com.ywt.gapi.third.cloudfilm.GetReportInfoRequest.class, com.ywt.gapi.third.cloudfilm.GetReportInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetReportInfoRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetReportInfoResponse::parseFrom);

    private static final StubMethodDescriptor getReportInfoAsyncMethod = new StubMethodDescriptor("getReportInfo",
    com.ywt.gapi.third.cloudfilm.GetReportInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetReportInfoRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetReportInfoResponse::parseFrom);

    private static final StubMethodDescriptor getReportInfoProxyAsyncMethod = new StubMethodDescriptor("getReportInfoAsync",
    com.ywt.gapi.third.cloudfilm.GetReportInfoRequest.class, com.ywt.gapi.third.cloudfilm.GetReportInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetReportInfoRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetReportInfoResponse::parseFrom);

    /**
         * <pre>
         * 病人ID
         * </pre>
         */
    private static final StubMethodDescriptor getOrderBillMethod = new StubMethodDescriptor("getOrderBill",
    com.ywt.gapi.third.cloudfilm.GetOrderBillRequest.class, com.ywt.gapi.third.cloudfilm.GetOrderBillResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetOrderBillRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetOrderBillResponse::parseFrom);

    private static final StubMethodDescriptor getOrderBillAsyncMethod = new StubMethodDescriptor("getOrderBill",
    com.ywt.gapi.third.cloudfilm.GetOrderBillRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetOrderBillRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetOrderBillResponse::parseFrom);

    private static final StubMethodDescriptor getOrderBillProxyAsyncMethod = new StubMethodDescriptor("getOrderBillAsync",
    com.ywt.gapi.third.cloudfilm.GetOrderBillRequest.class, com.ywt.gapi.third.cloudfilm.GetOrderBillResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.GetOrderBillRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.GetOrderBillResponse::parseFrom);

    private static final StubMethodDescriptor refundCheckResultOrderCallbackMethod = new StubMethodDescriptor("refundCheckResultOrderCallback",
    com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest.class, com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse::parseFrom);

    private static final StubMethodDescriptor refundCheckResultOrderCallbackAsyncMethod = new StubMethodDescriptor("refundCheckResultOrderCallback",
    com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse::parseFrom);

    private static final StubMethodDescriptor refundCheckResultOrderCallbackProxyAsyncMethod = new StubMethodDescriptor("refundCheckResultOrderCallbackAsync",
    com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest.class, com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest::parseFrom,
    com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse::parseFrom);





    public static class CloudfilmServiceStub implements CloudfilmService{
        private final Invoker<CloudfilmService> invoker;

        public CloudfilmServiceStub(Invoker<CloudfilmService> invoker) {
            this.invoker = invoker;
        }

            /**
         * <pre>
         * 医院Id（太和医院为12）
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.cloudfilm.GetOrderListResponse getOrderList(com.ywt.gapi.third.cloudfilm.GetOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.GetOrderListResponse> getOrderListAsync(com.ywt.gapi.third.cloudfilm.GetOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderListAsyncMethod, request);
        }

            /**
         * <pre>
         * 医院Id（太和医院为12）
         * </pre>
         */
        @Override
        public void getOrderList(com.ywt.gapi.third.cloudfilm.GetOrderListRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.GetOrderListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getOrderListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse setCompleteResult(com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest request){
            return StubInvocationUtil.unaryCall(invoker, setCompleteResultMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse> setCompleteResultAsync(com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest request){
            return StubInvocationUtil.unaryCall(invoker, setCompleteResultAsyncMethod, request);
        }

        @Override
        public void setCompleteResult(com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, setCompleteResultMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.cloudfilm.CreateOrderResponse createOrder(com.ywt.gapi.third.cloudfilm.CreateOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.CreateOrderResponse> createOrderAsync(com.ywt.gapi.third.cloudfilm.CreateOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createOrderAsyncMethod, request);
        }

        @Override
        public void createOrder(com.ywt.gapi.third.cloudfilm.CreateOrderRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.CreateOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, createOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 门诊号或者住院院号
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.cloudfilm.PayCallbackResponse payCallback(com.ywt.gapi.third.cloudfilm.PayCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, payCallbackMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.PayCallbackResponse> payCallbackAsync(com.ywt.gapi.third.cloudfilm.PayCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, payCallbackAsyncMethod, request);
        }

            /**
         * <pre>
         * 门诊号或者住院院号
         * </pre>
         */
        @Override
        public void payCallback(com.ywt.gapi.third.cloudfilm.PayCallbackRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.PayCallbackResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payCallbackMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 本地医院ID，需求转换成虎丘的医生ID
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.cloudfilm.GetConfigResponse getConfig(com.ywt.gapi.third.cloudfilm.GetConfigRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConfigMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.GetConfigResponse> getConfigAsync(com.ywt.gapi.third.cloudfilm.GetConfigRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConfigAsyncMethod, request);
        }

            /**
         * <pre>
         * 本地医院ID，需求转换成虎丘的医生ID
         * </pre>
         */
        @Override
        public void getConfig(com.ywt.gapi.third.cloudfilm.GetConfigRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.GetConfigResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConfigMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 检查单号
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.cloudfilm.GetReportInfoResponse getReportInfo(com.ywt.gapi.third.cloudfilm.GetReportInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getReportInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.GetReportInfoResponse> getReportInfoAsync(com.ywt.gapi.third.cloudfilm.GetReportInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getReportInfoAsyncMethod, request);
        }

            /**
         * <pre>
         * 检查单号
         * </pre>
         */
        @Override
        public void getReportInfo(com.ywt.gapi.third.cloudfilm.GetReportInfoRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.GetReportInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getReportInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 病人ID
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.cloudfilm.GetOrderBillResponse getOrderBill(com.ywt.gapi.third.cloudfilm.GetOrderBillRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderBillMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.GetOrderBillResponse> getOrderBillAsync(com.ywt.gapi.third.cloudfilm.GetOrderBillRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderBillAsyncMethod, request);
        }

            /**
         * <pre>
         * 病人ID
         * </pre>
         */
        @Override
        public void getOrderBill(com.ywt.gapi.third.cloudfilm.GetOrderBillRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.GetOrderBillResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getOrderBillMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse refundCheckResultOrderCallback(com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, refundCheckResultOrderCallbackMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse> refundCheckResultOrderCallbackAsync(com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, refundCheckResultOrderCallbackAsyncMethod, request);
        }

        @Override
        public void refundCheckResultOrderCallback(com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest request, StreamObserver<com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, refundCheckResultOrderCallbackMethod , request, responseObserver);
        }



    }

    public static abstract class CloudfilmServiceImplBase implements CloudfilmService, ServerService<CloudfilmService> {

        private <T, R> BiConsumer<T, StreamObserver<R>> syncToAsync(java.util.function.Function<T, R> syncFun) {
            return new BiConsumer<T, StreamObserver<R>>() {
                @Override
                public void accept(T t, StreamObserver<R> observer) {
                    try {
                        R ret = syncFun.apply(t);
                        observer.onNext(ret);
                        observer.onCompleted();
                    } catch (Throwable e) {
                        observer.onError(e);
                    }
                }
            };
        }

        @Override
        public final Invoker<CloudfilmService> getInvoker(URL url) {
            PathResolver pathResolver = url.getOrDefaultFrameworkModel()
            .getExtensionLoader(PathResolver.class)
            .getDefaultExtension();
            Map<String,StubMethodHandler<?, ?>> handlers = new HashMap<>();

            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setCompleteResult" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setCompleteResultAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payCallback" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payCallbackAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConfig" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConfigAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getReportInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getReportInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderBill" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderBillAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/refundCheckResultOrderCallback" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/refundCheckResultOrderCallbackAsync" );

            BiConsumer<com.ywt.gapi.third.cloudfilm.GetOrderListRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetOrderListResponse>> getOrderListFunc = this::getOrderList;
            handlers.put(getOrderListMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderListFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.GetOrderListRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetOrderListResponse>> getOrderListAsyncFunc = syncToAsync(this::getOrderList);
            handlers.put(getOrderListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse>> setCompleteResultFunc = this::setCompleteResult;
            handlers.put(setCompleteResultMethod.getMethodName(), new UnaryStubMethodHandler<>(setCompleteResultFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse>> setCompleteResultAsyncFunc = syncToAsync(this::setCompleteResult);
            handlers.put(setCompleteResultProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(setCompleteResultAsyncFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.CreateOrderRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.CreateOrderResponse>> createOrderFunc = this::createOrder;
            handlers.put(createOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(createOrderFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.CreateOrderRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.CreateOrderResponse>> createOrderAsyncFunc = syncToAsync(this::createOrder);
            handlers.put(createOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(createOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.PayCallbackRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.PayCallbackResponse>> payCallbackFunc = this::payCallback;
            handlers.put(payCallbackMethod.getMethodName(), new UnaryStubMethodHandler<>(payCallbackFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.PayCallbackRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.PayCallbackResponse>> payCallbackAsyncFunc = syncToAsync(this::payCallback);
            handlers.put(payCallbackProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payCallbackAsyncFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.GetConfigRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetConfigResponse>> getConfigFunc = this::getConfig;
            handlers.put(getConfigMethod.getMethodName(), new UnaryStubMethodHandler<>(getConfigFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.GetConfigRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetConfigResponse>> getConfigAsyncFunc = syncToAsync(this::getConfig);
            handlers.put(getConfigProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConfigAsyncFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.GetReportInfoRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetReportInfoResponse>> getReportInfoFunc = this::getReportInfo;
            handlers.put(getReportInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getReportInfoFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.GetReportInfoRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetReportInfoResponse>> getReportInfoAsyncFunc = syncToAsync(this::getReportInfo);
            handlers.put(getReportInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getReportInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.GetOrderBillRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetOrderBillResponse>> getOrderBillFunc = this::getOrderBill;
            handlers.put(getOrderBillMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderBillFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.GetOrderBillRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.GetOrderBillResponse>> getOrderBillAsyncFunc = syncToAsync(this::getOrderBill);
            handlers.put(getOrderBillProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderBillAsyncFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse>> refundCheckResultOrderCallbackFunc = this::refundCheckResultOrderCallback;
            handlers.put(refundCheckResultOrderCallbackMethod.getMethodName(), new UnaryStubMethodHandler<>(refundCheckResultOrderCallbackFunc));
            BiConsumer<com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest, StreamObserver<com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse>> refundCheckResultOrderCallbackAsyncFunc = syncToAsync(this::refundCheckResultOrderCallback);
            handlers.put(refundCheckResultOrderCallbackProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(refundCheckResultOrderCallbackAsyncFunc));




            return new StubInvoker<>(this, url, CloudfilmService.class, handlers);
        }


        @Override
        public com.ywt.gapi.third.cloudfilm.GetOrderListResponse getOrderList(com.ywt.gapi.third.cloudfilm.GetOrderListRequest request){
            throw unimplementedMethodException(getOrderListMethod);
        }

        @Override
        public com.ywt.gapi.third.cloudfilm.SetCompleteResultResponse setCompleteResult(com.ywt.gapi.third.cloudfilm.SetCompleteResultRequest request){
            throw unimplementedMethodException(setCompleteResultMethod);
        }

        @Override
        public com.ywt.gapi.third.cloudfilm.CreateOrderResponse createOrder(com.ywt.gapi.third.cloudfilm.CreateOrderRequest request){
            throw unimplementedMethodException(createOrderMethod);
        }

        @Override
        public com.ywt.gapi.third.cloudfilm.PayCallbackResponse payCallback(com.ywt.gapi.third.cloudfilm.PayCallbackRequest request){
            throw unimplementedMethodException(payCallbackMethod);
        }

        @Override
        public com.ywt.gapi.third.cloudfilm.GetConfigResponse getConfig(com.ywt.gapi.third.cloudfilm.GetConfigRequest request){
            throw unimplementedMethodException(getConfigMethod);
        }

        @Override
        public com.ywt.gapi.third.cloudfilm.GetReportInfoResponse getReportInfo(com.ywt.gapi.third.cloudfilm.GetReportInfoRequest request){
            throw unimplementedMethodException(getReportInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.cloudfilm.GetOrderBillResponse getOrderBill(com.ywt.gapi.third.cloudfilm.GetOrderBillRequest request){
            throw unimplementedMethodException(getOrderBillMethod);
        }

        @Override
        public com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackResponse refundCheckResultOrderCallback(com.ywt.gapi.third.cloudfilm.RefundCheckResultOrderCallbackRequest request){
            throw unimplementedMethodException(refundCheckResultOrderCallbackMethod);
        }





        @Override
        public final ServiceDescriptor getServiceDescriptor() {
            return serviceDescriptor;
        }
        private RpcException unimplementedMethodException(StubMethodDescriptor methodDescriptor) {
            return TriRpcStatus.UNIMPLEMENTED.withDescription(String.format("Method %s is unimplemented",
                "/" + serviceDescriptor.getInterfaceName() + "/" + methodDescriptor.getMethodName())).asException();
        }
    }

}
