package com.ywt.outpatient.core;

/**
 * 系统常量定义
 *
 * @author
 */
public class Constant {
    /**
     * 最大页码
     */
    public static final int MAX_PAGE_INDEX = 100;
    /**
     * 最大页大小
     */
    public static final int MAX_PAGE_SIZE = 2000;
    /**
     * 默认页大小
     */
    public static final int PAGE_SIZE = 20;
    /**
     * 最大年龄
     */
    public static final int MAX_AGE = 100;

    /**
     * 最小年龄
     */
    public static final int MIN_AGE = 0;

    /**
     * 患者咨询时最多可上传的图片数量
     */
    public static final int CONSULT_IMAGE_MAX_COUNT = 9;

    /**
     * 下载起始页：默认第一页
     */
    public static final int DOWNLOAD_PAGE_INDEX = 1;

    /**
     * 下载页数大小：默认1000
     */
    public static final int DOWNLOAD_PAGE_SIZE = 1000;

    /**
     * 南方医院白云分院 id
     */
    public static final int NFYYBYFY_HOSPITAL_ID = 41;


    /**
     * 南方医院Id
     */
    public static final int NFYY_HOSPITAL_ID = 1;

    /**
     * 太和医院Id
     */
    public static final int TAIHE_HOSPITAL_ID = 12;

    /**
     * 系统异常统一提示语
     */
    public static final String ERROR_PROMPT = "网络错误";

    /**
     * 微信文件地址
     */
    public static final String WX_FILE_URL = "https://api.weixin.qq.com/cgi-bin/media/get?access_token=%s&media_id=%s";

    /**
     * 患者取药二维码
     */
    public static final String TAKE_MEDICINE_CODE_URL = "YWTAC://PATIENT_CHECKIN/%s";

    /**
     * 南方医院太和分院（互联网医院名医诊区）科室编码
     */
    public static final String TAIHE_NET_DEPT_CODE = "441";

    /**
     * 南方医院太和分院（互联网医院名医诊区）科室编码
     */
    public static final String NFYYBYFY_NET_DEPT_CODE = "";//TODO: 待定

    /**
     * 医生默认头像
     */
    public static final String DOCTOR_AVATAR_URL = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/doctor/avatar/default.png?x-oss-process=image/resize,h_180,w_180";

    /**
     * 新冠疫苗队列key
     */
    public static final String YWT_COVID19_LIST_KEY = "ywt_covid19_list_key_%s";

    /**
     * 新冠疫苗key队列有效时间
     */
    public static final int YWT_COVID19_KEY_EXPIRE_TIME = 10 * 60;

    /**
     * ywt配置的redis过期时间(单位：秒)
     */
    public static final int YWT_CONFIG_EXPIRE_TIME = 24 * 60 * 60;

    /**
     *  redis过期时间(单位：秒)
     */
    public static final int REDIS_EXPIRE_TIME_ONE_HOUR = 60 * 60;

    /**
     *  redis过期时间(单位：秒)
     */
    public static final int REDIS_EXPIRE_TIME_TEN_MINUTES = 10 * 60;

    /**
     *  redis过期时间(单位：秒)
     */
    public static final int REDIS_EXPIRE_TIME_THREE_MINUTES = 3 * 60;

    /**
     * ywt短信的redis过期时间(单位：秒)
     */
    public static final int YWT_SMS_CODE_EXPIRE_TIME = 15 * 60;

    //医生在线状态标志key
    public static final String DOCTOR_ONLINE_KEY = "wapapi:doctor_online_%d";
}


