package com.ywt.outpatient.core;

/**
 * 常量定义
 */
public class Constants {

    /**
     * 域名
     */
    public static String DOMAIN = "https://m.ywtinfo.com";

    /**
     * 错误提示语
     */
    public static final String ERROR_INFO = "系统开小差，请稍后重试。";

    /**
     * 远程会诊保存路径
     */
    public static String TREATMENT_REPORT_ALI_PATH = "report/treatment";

    /**
     * 医院默认LOGO
     */
    public static final String HOSPITAL_LOGO_URL = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/hos/default.png";


    /**
     * 医生默认头像
     */
    public static final String DOCTOR_AVATAR_URL = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/doctor/avatar/default.png?x-oss-process=image/resize,h_180,w_180";

    /**
     * 医生默认头像(大图)
     */
    public static final String DOCTOR_AVATAR_2_URL = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/doctor/avatar/default_square.png";

    /**
     * 用户默认头像
     */
    public static final String USER_AVATAR_URL = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/user/avatar/default.png?x-oss-process=image/resize,h_180,w_180";

    /**
     * 问卷表图片（原图）
     */
    public static final String QUESTIONNAIRE_IMG = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/tb.png";

    /**
     * 问卷表图片（大图）
     */
    public static final String QUESTIONNAIRE_IMG_LARGE = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/tb.png?x-oss-process=image/resize,h_600,w_800";

    /**
     * 问卷表图片（缩略图）
     */
    public static final String QUESTIONNAIRE_IMG_THUMBNAIL = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/tb.png?x-oss-process=image/resize,h_180,w_180";

    /**
     * 患者端公众号随访聊天地址
     */
    public static final String NFYWT_CHAT_URL = DOMAIN + "/nfywtwe/follow/chat/%d?doctorName=%s&doctorId=%d";

    /**
     * 医生端公众号问诊聊天窗口地址
     */
    public static final String DOCTOR_CONSULT_CHAT_URL = "https://m.ywtinfo.com/doctorwe/inquiryChat/%d";

    /**
     * 处方单详情地址
     */
    public static final String GDYWT_PRE_ORDER_URL = "https://dg.ywtinfo.com/gdywtwe/prescriptionOrder/%s?type=prescriptionOrder2";

    /**
     * 南方医院Id
     */
    public static final int NFYY_HOSPITAL_ID = 1;

    /**
     * 太和医院Id
     */
    public static final int TAIHE_HOSPITAL_ID = 12;

    /**
     * 广州医科大学附属第三医院Id
     */
    public static final int GY3Y_HOSPITAL_ID = 510;

    /**
     * 南方医院白云分院 id
     */
    public static final int NFYYBYFY_HOSPITAL_ID = 41;

    /**
     * 南方医院太和分院（互联网医院名医诊区）科室编码
     */
    public static final String TAIHE_NET_DEPT_CODE = "0415";

    /**
     * 南方医院太和医院
     */
    public static final String TAIHE_HOSPITAL_NAME = "南方医院太和医院";

    public static final String NFYYBYFY_HOSPITAL_NAME = "南方医科大学南方医院白云分院";

    /**
     * 太和支付代码（公众号）
     */
    public static final String TAIHE_PAY_CODE = "1002";

    /**
     * 太和支付代码(太和互联网小程序用)
     */
    public static final String TAIHE_PAY_CODE_MP = "1011";

    /**
     * 白云分院支付代码
     */
    public static final String NFYYBYFY_PAY_CODE = "1015";

    /**
     * 白云分院支付代码（支付宝）
     */
    public static final String NFYYBYFY_PAY_CODE_ALIPAY = "2000";
    /**
     * 太和支付宝支付代码
     */
    public static final String TH_PAY_CODE_ALIPAY = "2001";
    /**
     * 太和互联网医生端公众号问诊聊天窗口地址
     */
    public static final String TH_NET_DOCTOR_CONSULT_CHAT_URL = "https://m.ywtinfo.com/thnetdocwe/inquiryChat/%d";
    /**
     * 白云互联网医生端公众号问诊聊天窗口地址
     */
    public static final String BY_NET_DOCTOR_CONSULT_CHAT_URL = "https://m.ywtinfo.com/nfyybyfydocwe/inquiryChat/%d";

    /**
     * 太和互联网患者端处方支付页（处方来源为平台）
     */
    public static final String TH_PATIENT_PRES_PAY_URL = "pages/index/index?q=%%2Fthnethospwe%%2FprescriptionOrder%%3ForderId%%3D%d%%26bizNo%%3D%s";
//    public static final String TH_PATIENT_PRES_PAY_URL = "pages/index/index?entry=prescription/prescription?order%%3D%d%%26pre%%3D%s";

    /**
     * 广医三院患者端处方支付页（处方来源为广三HIS系统）
     */
    public static final String GY3Y_PATIENT_PRES_PAY_URL = "pages/index/index?entry=guangsan%%2Fprescription%%3Fpre%%3D%s";

    /**
     * 太和互联网患者端转诊详情
     */
    public static final String TH_PATIENT_TRANSFER_DETAIL_URL = "pages/index/index?entry=order/detail?orderId%%3D%d%%26type%%3D2";

    /**
     * 太和互联网患者端会诊支付
     */
    public static final String TH_PATIENT_TREAMENT_PAY_URL = "pages/index/index?entry=order/detail?orderId%%3D%d%%26type%%3D1";

    /**
     * 太和互联网患者端会诊详情
     */
    public static final String TH_PATIENT_TREAMENT_DETAIL_URL = "pages/index/index?entry=order/diagnoseReport?orderId%%3D%d";

    /**
     * 太和互联网患者端问诊聊天页
     */
    public static final String TH_PATIENT_CONSULT_CHAT_URL = "pages/index/index?entry=consult/chat%%3ForderId%%3D%d";
    /**
     * 太和互联网患者端随访聊天页
     */
    public static final String TH_PATIENT_FOLLOW_CHAT_URL = "pages/index/index?entry=follow/chat?orderId%%3D%d";

    /**
     * 太和互联网患者端小程序app id
     */
    public static final String TH_PATIENT_WXMP_APP_ID = "wx4fa714f3fbe4f88a";

    /**
     * 南方白云分院小程序app id
     */
    public static final String NFYYBYFY_WXMP_APP_ID = "wxbc56e5794abdbb48";

    /**
     * 太和互联网患者端会诊报告页
     */
    public static final String TH_PATIENT_REPORT_URL = "pages/index/index?entry=order/diagnoseReport?orderId%%3D%d";

    /**
     * 广三处方详情
     */
    public static final String GS_PRES_DETAIL_URL = "pages/index/index?entry=guangsan/prescription?pre%%3D%s";

    /**
     * 医务通支付助手，跳转聊天界面链接
     */
    public static final String PATIENT_WXAPP_CONSULT_CHAT_URL = "pages/index/index?mpUrl=consult/chat%%3ForderId%%3D%d";

    /**
     * 医务通支付助手，跳转处方详情链接
     */
    public static final String PATIENT_WXAPP_PRESCRIPTION_URL = "pages/index/index?mpUrl=prescription/prescription?order%%3D%d%%26pre=%%3D%s";

    /**
     * 医学界视频预览图存放路径
     */
    public static final String MED_FIELD_PREVIEW_IMG_PATH = "up/article/preview";

    /**
     * 存放videos的bucket名称
     */
    public static final String OSS_BUCKET_YWT_VIDEO = "ywt-video";

    /**
     * 文件后缀：png, mov, avi
     */
    public static final String FILE_SUFFIX_PNG = "png";
    public static final String FILE_SUFFIX_MOV = "mov";
    public static final String FILE_SUFFIX_AVI = "avi";
    public static final String FILE_SUFFIX_FLV = "flv";

    /**
     * oss图片域名
     */
    public static final String YWT_IMG_OSS_DOMAIN = "http://ywt-image.oss-cn-shenzhen.aliyuncs.com";

    /**
     * 处方默认图片
     */
    public static final String PRESCRIPTION_IMG = "https://ywt-image.oss-cn-shenzhen.aliyuncs.com/img/chat_prescription.png";

    /**
     * 微信支付商品详情前缀
     */
    public static final String WECHAT_PAY_BODY_PREFIX = "互联网医院";

    /**
     * 南方医院太和互联网医院，跳转聊天界面链接
     */
    public static final String TAI_HE_INTERNET_HOSPITAL_PATIENT_MINI_PROGRAM_CONSULT_CHAT_URL = "pages/index/index?entry=consult/chat%%3ForderId%%3D%d";

    /**
     * 南方医院太和互联网医院，跳转处方详情链接
     */
    public static final String TAI_HE_INTERNET_HOSPITAL_PATIENT_MINI_PROGRAM_PRESCRIPTION_URL = "pages/index/index?entry=prescription%%2Fprescription%%3Forder%%3D%d%%26pre%%3D0%s";

    /**
     * 医务通支付助手，跳转到线下就诊订单详情页面
     */
    public static final String PATIENT_WXAPP_OFFLINE_CONSULT_CHAT_URL = "pages/index/index?mpUrl=consult%%2FvisitsOrder%%3ForderId%%3D%d";

    /**
     * 南方医院太和互联网医院，跳转到线下就诊订单详情页面
     */
    public static final String TAI_HE_INTERNET_HOSPITAL_PATIENT_MINI_PROGRAM_OFFLINE_CONSULT_CHAT_URL = "pages/index/index?entry=consult%%2FvisitsOrder%%3ForderId%%3D%d";

    public static final String COMMA = ",";


    /**
     * 默认页大小
     */
    public static final int PAGE_SIZE = 20;
    /**
     * 默认起始页
     */
    public static final int DEFAULT_PAGE_INDEX = 1;

    public static final long DAY_IN_MILLISECONDS = 1000 * 60 * 60 * 24;

    public static final String RESPONSE_INFO_SUCCEED = "操作成功";

    /**
     * 支付成功服务消息模板 id
     */
    public static final String WXAPP_TPL_ID_NFYYBYFY_PAY_SUCCEED = "w4vveyDKFq55HbocWDb5AvNPCBzNAC8ggowtx4wpqVg";
    public static final String WXAPP_TPL_ID_TAIHE_PAY_SUCCEED = "LGxzndUC0LzYZuIOtUXEIkDBQ8rs1ZyyHBSiXGUfmyI";

    /**
     * 订单编号业务前缀
     */
    // 体检预约订单
    public static final String ORDER_NO_BIZ_PREFIX_CHECKUP_BOOKING_ORDER = "CB";

    /**
     * 体检预约订单详情
     */
    public static final String BY_CHECKUP_BOOKING_ORDER_DETAIL_URL = "by/body_check/appointment_success?orderNo=%s&hospitalId=%d&patientIdNo=%s";

    public static final String BY_OPERATION_SCHEDULE = "by/operation_schedule/schedule?hospitalId=%d&hisPatientId=%s";

    /*
     * 病案邮寄订单详情页面地址（白云医院）
     */
    public static final String BY_MEDICAL_RECORD_MAILING_ORDER_DETAIL_URL = "by/medical_record_mailing/newborn?mailingOrderId=%d"; /**
     * 病案邮寄订单详情页面地址（太和医院）
     */
    public static final String TH_MEDICAL_RECORD_MAILING_ORDER_DETAIL_URL = "/pages/th/medical_record_mailing/index?id=%d";

    /**
     * 病案邮寄证件照片接口地址
     */
    public static final String MEDICAL_RECORD_MAILING_URL = "/v2/nfyybyfy/hzmp/medicalRecordMailing/cert?key=%s";

    public static final String HIS_PAY_MODE_ALIPAY = "ALIPAY"; // 支付宝缴费传给 HIS 的支付标识

    // 药房 ids
    public static final int PHARMACY_ID_GS_SZYF = 1; // 广州医科大学附属第三医院生殖药房
    public static final int PHARMACY_ID_GY_HS = 26; // 国药控股广州有限公司黄石大药房
    public static final int PHARMACY_ID_TH_ZF = 27; // 南方医院太和分院自费药取药便民处
    public static final int PHARMACY_ID_NFYYBYFY_ZF = 28; // 南方医科大学南方医院白云分院自费药取药便民处
    /**
     * 国药控股广州有限公司机场路大药房
     */
    public static final int GUOKONG_JICHANGLU_PHARMACY = 29;


    /**
     * 国药控股广州有限公司京溪大药房
     */
    public static final int GUOKONG_JINGXI_PHARMACY = 30;

    public static final int PHARMACY_ID_BAIYUN_TAIHE = 25; // 白云太和分院（虚拟父级药房）

    public static final int PHARMACY_ID_G3_PARENT = 20; //广三父级药房
    public static final int PHARMACY_ID_RUYIFANG = 4; //如意坊药房
    public static final int PHARMACY_ID_DATANSHA = 12; //大坦沙大药房
    public static final int PHARMACY_ID_XINTE = 13; //广药欣特番禺中心大药房
    public static final int PHARMACY_ID_NBL = 14; //南伯乐药房

    public static final String ShenZhenOSS = "https://ywt-files.oss-cn-shenzhen.aliyuncs.com";
    /**
     * 企业资料申请
     */
    public static final String MARKER_PROJECT_PATH = "/up/marketting_project";
    public static final String MARKER_PROJECT_PATH_PUBLIC = "/up/marketting_project/public";

    public static final String BY_MEDICALCARD_URL = "offline_consult/cardList?hospitalId=%d&flag=%d";
    public static final String TH_MEDICALCARD_URL = "%s/nfthwe/me/medicalCards/%d/%d";

    /**
     * 白云挂号成功通知推送链接，点击跳转进入详情
     */
    public static final String BY_REGISTER_INFO_ORDER_CENTER_LIST = "pages/index/index?entry=by/order_center/list";

    /**
     * 太和挂号成功通知推送链接，点击跳转进入详情
     */
    public static final String TH_REGISTER_INFO_ORDER_CENTER_URL = "/nfthwe/orderCenter";

    public static final String BAIYUN_MIN_MEDICALMAILING = "pages/index/index?entry=by%%2Fmedical_record_mailing%%2Fnewborn%%3FmailingOrderId%%3D%d";

    public static final String CHECK_UP_BOOKING_DETAIL = "pages/index/index?entry=by%%2Fbody_check%%2Fappointment_success%%3ForderNo%%3D%s%%26hospitalId%%3D%d%%26peId%%3D%d%%26patientIdNo%%3D%s%%26payFlag%%3D%d";
}
