package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "attending_order_view")
public class AttendingOrderView {

    /**
     * attending_treatment表主键id
     */
    @Id
    @Column(name = "attending_id", nullable = false)
    private Integer attendingId;

    /**
     * user表主键id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 用户的真实姓名
     */
    @Column(name = "patient_real_name", nullable = false)
    private String patientRealName;

    /**
     * 用户手机号码
     */
    @Column(name = "patient_mobile", nullable = false)
    private String  patientMobile;

    /**
     * 医生id
     */
    @Column(name = "from_doctor_id", nullable = false)
    private Integer fromDoctorId;

    /**
     * 医生真实姓名
     */
    @Column(name = "from_doctor_name", nullable = false)
    private String fromDoctorName;

    /**
     * 关联医生 id
     */
    @Column(name = "to_doctor_id", nullable = false)
    private Integer toDoctorId;

    /**
     * 关联医生真实姓名
     */
    @Column(name = "to_doctor_name", nullable = false)
    private String toDoctorName;

    /**
     * 询诊标题
     */
    @Column(name = "title")
    private String title;

    /**
     * 询诊金额
     */
    @Column(name = "amount", nullable = false)
    private BigDecimal amount;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 会话Id
     */
    @Column(name = "session_id", nullable = false)
    private String sessionId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 	是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private boolean isDeleted;

    /**
     * 	订单 id
     */
    @Column(name = "order_id", nullable = false)
    private Integer orderId;

    /**
     * 	订单号
     */
    @Column(name = "order_no", nullable = false)
    private String  orderNo;

    /**
     * 	订单状态
     */
    @Column(name = "order_status", nullable = false)
    private Integer  orderStatus;

    /**
     * 	支付状态（0-支付处理中，1-支付成功，2-支付失败）
     */
    @Column(name = "payment_status", nullable = false)
    private Integer  paymentStatus;

    /**
     * 	订单备注
     */
    @Column(name = "order_remark")
    private String  orderRemark;

    /**
     * patient_id(patient表主键id)
     */
    @Column(name = "patient_id", nullable = false)
    private Integer patientId;


    @Column(name = "order_type",nullable = false)
    private Integer orderType;

    @Column(name = "attending_status", nullable = false)
    private Integer attendingStatus;

    @Column(name = "attending_date", nullable = false)
    private Date attendingDate;

    /**
     * patient表用户sex
     */
    @Column(name = "patient_sex")
    private Integer patientSex;


    public AttendingOrderView() {
    }

    public AttendingOrderView(Integer attendingId, Integer userId, String patientRealName, String patientMobile, Integer fromDoctorId, String fromDoctorName, Integer toDoctorId, String toDoctorName, String title, BigDecimal amount, String remark, String sessionId, Date createTime, boolean isDeleted, Integer orderId, String orderNo, Integer orderStatus, Integer paymentStatus, String orderRemark, Integer patientId, Integer orderType, Integer attendingStatus, Date attendingDate) {
        this.attendingId = attendingId;
        this.userId = userId;
        this.patientRealName = patientRealName;
        this.patientMobile = patientMobile;
        this.fromDoctorId = fromDoctorId;
        this.fromDoctorName = fromDoctorName;
        this.toDoctorId = toDoctorId;
        this.toDoctorName = toDoctorName;
        this.title = title;
        this.amount = amount;
        this.remark = remark;
        this.sessionId = sessionId;
        this.createTime = createTime;
        this.isDeleted = isDeleted;
        this.orderId = orderId;
        this.orderNo = orderNo;
        this.orderStatus = orderStatus;
        this.paymentStatus = paymentStatus;
        this.orderRemark = orderRemark;
        this.patientId = patientId;
        this.orderType = orderType;
        this.attendingStatus = attendingStatus;
        this.attendingDate = attendingDate;
    }

    public Integer getAttendingId() {
        return attendingId;
    }

    public void setAttendingId(Integer attendingId) {
        this.attendingId = attendingId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPatientRealName() {
        return patientRealName;
    }

    public void setPatientRealName(String patientRealName) {
        this.patientRealName = patientRealName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public Integer getFromDoctorId() {
        return fromDoctorId;
    }

    public void setFromDoctorId(Integer fromDoctorId) {
        this.fromDoctorId = fromDoctorId;
    }

    public String getFromDoctorName() {
        return fromDoctorName;
    }

    public void setFromDoctorName(String fromDoctorName) {
        this.fromDoctorName = fromDoctorName;
    }

    public Integer getToDoctorId() {
        return toDoctorId;
    }

    public void setToDoctorId(Integer toDoctorId) {
        this.toDoctorId = toDoctorId;
    }

    public String getToDoctorName() {
        return toDoctorName;
    }

    public void setToDoctorName(String toDoctorName) {
        this.toDoctorName = toDoctorName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getAttendingStatus() {
        return attendingStatus;
    }

    public void setAttendingStatus(Integer attendingStatus) {
        this.attendingStatus = attendingStatus;
    }

    public Date getAttendingDate() {
        return attendingDate;
    }

    public void setAttendingDate(Date attendingDate) {
        this.attendingDate = attendingDate;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }
}
