package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 检查项目表
 */
@Entity
@Table(name = "check_project")
public class CheckProject {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 业务编码
     */
    @Column(name = "biz_no")
    private String bizNo;

    /**
     * 检查项名称
     */
    @Column(name = "check_name")
    private String checkName;

    /**
     * 规格
     */
    @Column(name = "spec")
    private String spec;

    /**
     * 价格（单位：分）
     */
    @Column(name = "price")
    private Integer price;

    /**
     * 状态，0-正常，1-禁用，默认正常
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 物理删除，0-不删除，1-删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    /**
     * 医院ID
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 权重，数字越大，排序越靠前
     */
    @Column(name = "weight", nullable = false)
    private Integer weight;

    @Column(name = "pay_code")
    private String payCode;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 业务编码
     */
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }

    /**
     * 业务编码
     */
    public String getBizNo() {
        return bizNo;
    }

    /**
     * 检查项名称
     */
    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    /**
     * 检查项名称
     */
    public String getCheckName() {
        return checkName;
    }

    /**
     * 规格
     */
    public void setSpec(String spec) {
        this.spec = spec;
    }

    /**
     * 规格
     */
    public String getSpec() {
        return spec;
    }

    /**
     * 价格（单位：分）
     */
    public void setPrice(Integer price) {
        this.price = price;
    }

    /**
     * 价格（单位：分）
     */
    public Integer getPrice() {
        return price;
    }

    /**
     * 状态，0-正常，1-禁用，默认正常
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 状态，0-正常，1-禁用，默认正常
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 医院ID
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院ID
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 权重，数字越大，排序越靠前
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    /**
     * 权重，数字越大，排序越靠前
     */
    public Integer getWeight() {
        return weight;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    @Override
    public String toString() {
        return "CheckProject{" +
                "id=" + id + '\'' +
                "bizNo=" + bizNo + '\'' +
                "checkName=" + checkName + '\'' +
                "spec=" + spec + '\'' +
                "price=" + price + '\'' +
                "status=" + status + '\'' +
                "createTime=" + createTime + '\'' +
                "remark=" + remark + '\'' +
                "deleted=" + deleted + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "weight=" + weight + '\'' +
                '}';
    }
}
