package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 检查结果订单表
 */
@Table(name = "check_result_order")
@Entity
public class CheckResultOrder implements Serializable {
  private static final long serialVersionUID = 1L;

  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 编码
   */
  @Column(name = "biz_no")
  private String bizNo;

  /**
   * 检查结果id，his接口返回
   */
  @Column(name = "check_result_id")
  private String checkResultId;

  /**
   * 患者id,his返回
   */
  @Column(name = "patient_id")
  private String patientId;

  /**
   * 患者诊疗卡号
   */
  @Column(name = "patient_no")
  private String patientNo;

  /**
   * 患者姓名
   */
  @Column(name = "patient_name")
  private String patientName;

  /**
   * 检查单号
   */
  @Column(name = "accession_number")
  private String accessionNumber;

  /**
   * 需求说明
   */
  @Column(name = "note")
  private String note;

  /**
   * 3D结果公网可访问
   */
  @Column(name = "pacs_view_url")
  private String pacsViewUrl;

  /**
   * 手机号码
   */
  @Column(name = "mobile")
  private String mobile;

  /**
   * 状态（1-待支付，2-已支付，3-已回写，4-已退费）
   */
  @Column(name = "status")
  private Integer status;

  /**
   * 总价（单位：分）
   */
  @Column(name = "total_price")
  private Integer totalPrice;

  /**
   * 创建时间
   */
  @Column(name = "create_time")
  private Date createTime;

  /**
   * 患者支付时间
   */
  @Column(name = "pay_time")
  private Date payTime;

  /**
   * orders表，订单号
   */
  @Column(name = "order_no")
  private String orderNo;

  /**
   * 订单ID
   */
  @Column(name = "order_id")
  private Integer orderId;

  /**
   * 支付渠道
   */
  @Column(name = "payment_channel")
  private Integer paymentChannel;

  /**
   * 支付状态
   */
  @Column(name = "payment_status")
  private Integer paymentStatus;

  /**
   * 订单支付流水号
   */
  @Column(name = "payment_no")
  private String paymentNo;

  /**
   * 退费时间
   */
  @Column(name = "refund_time")
  private Date refundTime;

  /**
   * 退款状态
   */
  @Column(name = "refund_status")
  private Integer refundStatus;

  /**
   * 退款流水号
   */
  @Column(name = "refund_no")
  private String refundNo;

  /**
   * 备注
   */
  @Column(name = "remark")
  private String remark;

  /**
   * 用户ID
   */
  @Column(name = "user_id")
  private Integer userId;

  /**
   * 医院ID
   */
  @Column(name = "hospital_id")
  private Integer hospitalId = 0;

  /**
   * 科室名称
   */
  @Column(name = "dept_name")
  private String deptName;

  /**
   * 医生名称
   */
  @Column(name = "doctor_name")
  private String doctorName;

  /**
   * 报告类型，1-ct、2-mr
   */
  @Column(name = "report_type")
  private String reportType;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 编码
   */
  public String getBizNo() {
    return bizNo;
  }

  /**
   * 编码
   */
  public void setBizNo(String bizNo) {
    this.bizNo = bizNo;
  }

  /**
   * 检查结果id，his接口返回
   */
  public String getCheckResultId() {
    return checkResultId;
  }

  /**
   * 检查结果id，his接口返回
   */
  public void setCheckResultId(String checkResultId) {
    this.checkResultId = checkResultId;
  }

  /**
   * 患者id,his返回
   */
  public String getPatientId() {
    return patientId;
  }

  /**
   * 患者id,his返回
   */
  public void setPatientId(String patientId) {
    this.patientId = patientId;
  }

  /**
   * 患者诊疗卡号
   */
  public String getPatientNo() {
    return patientNo;
  }

  /**
   * 患者诊疗卡号
   */
  public void setPatientNo(String patientNo) {
    this.patientNo = patientNo;
  }

  /**
   * 患者姓名
   */
  public String getPatientName() {
    return patientName;
  }

  /**
   * 患者姓名
   */
  public void setPatientName(String patientName) {
    this.patientName = patientName;
  }

  /**
   * 检查单号
   */
  public String getAccessionNumber() {
    return accessionNumber;
  }

  /**
   * 检查单号
   */
  public void setAccessionNumber(String accessionNumber) {
    this.accessionNumber = accessionNumber;
  }

  /**
   * 需求说明
   */
  public String getNote() {
    return note;
  }

  /**
   * 需求说明
   */
  public void setNote(String note) {
    this.note = note;
  }

  /**
   * 3D结果公网可访问
   */
  public String getPacsViewUrl() {
    return pacsViewUrl;
  }

  /**
   * 3D结果公网可访问
   */
  public void setPacsViewUrl(String pacsViewUrl) {
    this.pacsViewUrl = pacsViewUrl;
  }

  /**
   * 手机号码
   */
  public String getMobile() {
    return mobile;
  }

  /**
   * 手机号码
   */
  public void setMobile(String mobile) {
    this.mobile = mobile;
  }

  /**
   * 状态（1-待支付，2-已支付，3-已回写，4-已退费）
   */
  public Integer getStatus() {
    return status;
  }

  /**
   * 状态（1-待支付，2-已支付，3-已回写，4-已退费）
   */
  public void setStatus(Integer status) {
    this.status = status;
  }

  /**
   * 总价（单位：分）
   */
  public Integer getTotalPrice() {
    return totalPrice;
  }

  /**
   * 总价（单位：分）
   */
  public void setTotalPrice(Integer totalPrice) {
    this.totalPrice = totalPrice;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {
    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  /**
   * 患者支付时间
   */
  public Date getPayTime() {
    return payTime;
  }

  /**
   * 患者支付时间
   */
  public void setPayTime(Date payTime) {
    this.payTime = payTime;
  }

  /**
   * orders表，订单号
   */
  public String getOrderNo() {
    return orderNo;
  }

  /**
   * orders表，订单号
   */
  public void setOrderNo(String orderNo) {
    this.orderNo = orderNo;
  }

  /**
   * 订单ID
   */
  public Integer getOrderId() {
    return orderId;
  }

  /**
   * 订单ID
   */
  public void setOrderId(Integer orderId) {
    this.orderId = orderId;
  }

  /**
   * 支付渠道
   */
  public Integer getPaymentChannel() {
    return paymentChannel;
  }

  /**
   * 支付渠道
   */
  public void setPaymentChannel(Integer paymentChannel) {
    this.paymentChannel = paymentChannel;
  }

  /**
   * 支付状态
   */
  public Integer getPaymentStatus() {
    return paymentStatus;
  }

  /**
   * 支付状态
   */
  public void setPaymentStatus(Integer paymentStatus) {
    this.paymentStatus = paymentStatus;
  }

  /**
   * 订单支付流水号
   */
  public String getPaymentNo() {
    return paymentNo;
  }

  /**
   * 订单支付流水号
   */
  public void setPaymentNo(String paymentNo) {
    this.paymentNo = paymentNo;
  }

  /**
   * 退费时间
   */
  public Date getRefundTime() {
    return refundTime;
  }

  /**
   * 退费时间
   */
  public void setRefundTime(Date refundTime) {
    this.refundTime = refundTime;
  }

  /**
   * 退款状态
   */
  public Integer getRefundStatus() {
    return refundStatus;
  }

  /**
   * 退款状态
   */
  public void setRefundStatus(Integer refundStatus) {
    this.refundStatus = refundStatus;
  }

  /**
   * 退款流水号
   */
  public String getRefundNo() {
    return refundNo;
  }

  /**
   * 退款流水号
   */
  public void setRefundNo(String refundNo) {
    this.refundNo = refundNo;
  }

  /**
   * 备注
   */
  public String getRemark() {
    return remark;
  }

  /**
   * 备注
   */
  public void setRemark(String remark) {
    this.remark = remark;
  }

  /**
   * 用户ID
   */
  public Integer getUserId() {
    return userId;
  }

  /**
   * 用户ID
   */
  public void setUserId(Integer userId) {
    this.userId = userId;
  }

  /**
   * 医院ID
   */
  public Integer getHospitalId() {
    return hospitalId;
  }

  /**
   * 医院ID
   */
  public void setHospitalId(Integer hospitalId) {
    this.hospitalId = hospitalId;
  }

  /**
   * 科室名称
   */
  public String getDeptName() {
    return deptName;
  }

  /**
   * 科室名称
   */
  public void setDeptName(String deptName) {
    this.deptName = deptName;
  }

  /**
   * 医生名称
   */
  public String getDoctorName() {
    return doctorName;
  }

  /**
   * 医生名称
   */
  public void setDoctorName(String doctorName) {
    this.doctorName = doctorName;
  }

  /**
   * 报告类型，1-ct、2-mr
   */
  public String getReportType() {
    return reportType;
  }

  /**
   * 报告类型，1-ct、2-mr
   */
  public void setReportType(String reportType) {
    this.reportType = reportType;
  }

  /**
   * 是否删除（标识物理删除）
   */
  public Boolean getDeleted() {
    return deleted;
  }

  /**
   * 是否删除（标识物理删除）
   */
  public void setDeleted(Boolean deleted) {
    this.deleted = deleted;
  }

}