package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 检查单表
 */
@Entity
@Table(name = "checklist_orders")
public class ChecklistOrders {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 医院ID
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 修改后的医院ID
     */
    @Column(name = "change_hospital_id")
    private Integer changeHospitalId;

    /**
     * 科室ID
     */
    @Column(name = "dept_id")
    private Integer deptId;

    /**
     * 医生id
     */
    @Column(name = "doctor_id")
    private Integer doctorId;

    /**
     * 医生姓名
     */
    @Column(name = "doctor_name")
    private String doctorName;

    /**
     * 用户id
     */
    @Column(name = "user_id")
    private Integer userId;

    /**
     * 患者姓名
     */
    @Column(name = "patient_name")
    private String patientName;

    /**
     * 身份证号
     */
    @Column(name = "id_no")
    private String idNo;

    /**
     * 年龄
     */
    @Column(name = "age")
    private Integer age;

    /**
     * 性别
     */
    @Column(name = "sex")
    private Integer sex;

    /**
     * 患者手机号
     */
    @Column(name = "mobile")
    private String mobile;

    /**
     * 总金额
     */
    @Column(name = "total_price")
    private Integer totalPrice;

    /**
     * 领用码
     */
    @Column(name = "rec_code")
    private String recCode;

    /**
     * 设备表ID
     */
    @Column(name = "medical_equipment_id")
    private Integer medicalEquipmentId;

    /**
     * 设备码
     */
    @Column(name = "med_equip_code")
    private String medEquipCode;

    /**
     * 设备人员表id，派发人员
     */
    @Column(name = "send_equipment_personnel_id")
    private Integer sendEquipmentPersonnelId;

    /**
     * 派发人员姓名
     */
    @Column(name = "send_equipment_personnel_name")
    private String sendEquipmentPersonnelName;

    /**
     * 设备人员表id，回收人员
     */
    @Column(name = "receive_equipment_personnel_id")
    private Integer receiveEquipmentPersonnelId;

    /**
     * 回收人员姓名
     */
    @Column(name = "receive_equipment_personnel_name")
    private String receiveEquipmentPersonnelName;

    /**
     * 诊断
     */
    @Column(name = "diagnose")
    private String diagnose;

    /**
     * 状态，0-待支付、1-已支付、2-已领取、4-已回收、8-退款申请中、16-已退款、32-已过期
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 戴机ID，his用
     */
    @Column(name = "wear_id")
    private Long wearId;

    /**
     * 诊断内容
     */
    @Column(name = "dagnosis_content")
    private String dagnosisContent;

    /**
     * 诊断报告
     */
    @Column(name = "dagnosis_report")
    private String dagnosisReport;

    /**
     * 回调时间
     */
    @Column(name = "callback_time")
    private Date callbackTime;

    /**
     * orders表，主键ID
     */
    @Column(name = "order_id")
    private Integer orderId;

    /**
     * orders表，订单编号
     */
    @Column(name = "order_no")
    private String orderNo;

    /**
     * 支付编码，对应payment_config表的pay_code字段
     */
    @Column(name = "pay_code")
    private String payCode;

    /**
     * 支付状态
     */
    @Column(name = "payment_status")
    private Integer paymentStatus;

    /**
     * 患者支付时间
     */
    @Column(name = "payment_time")
    private Date paymentTime;

    /**
     * 支付渠道
     */
    @Column(name = "payment_channel")
    private Integer paymentChannel;

    /**
     * 订单支付流水号
     */
    @Column(name = "payment_no")
    private String paymentNo;

    /**
     * 退费时间
     */
    @Column(name = "refund_time")
    private Date refundTime;

    /**
     * 退款状态
     */
    @Column(name = "refund_status")
    private Integer refundStatus;

    /**
     * 退款流水号
     */
    @Column(name = "refund_no")
    private String refundNo;

    /**
     * 退款申请
     */
    @Column(name = "refund_apply")
    private String refundApply;

    /**
     * 退款申请医生ID
     */
    @Column(name = "refund_doctor_id")
    private Integer refundDoctorId;

    /**
     * 退款审核人员ID
     */
    @Column(name = "refund_audit_admin_id")
    private Integer refundAuditAdminId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 物理删除，0-不删除，1-删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    @Column(name = "doctor_sign_id")
    private Integer doctorSignId;

    @Column(name = "audit_remark")
    private String auditRemark;

    @Column(name = "refund_doctor_name")
    private String refundDoctorName;

    @Column(name = "dept_name")
    private String deptName;

    @Column(name = "send_time")
    private Date sendTime;

    @Column(name = "receive_time")
    private Date receiveTime;

    @Column(name = "ext_status")
    private Integer extStatus;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 医院ID
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院ID
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 修改后的医院ID
     */
    public void setChangeHospitalId(Integer changeHospitalId) {
        this.changeHospitalId = changeHospitalId;
    }

    /**
     * 修改后的医院ID
     */
    public Integer getChangeHospitalId() {
        return changeHospitalId;
    }

    /**
     * 科室ID
     */
    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    /**
     * 科室ID
     */
    public Integer getDeptId() {
        return deptId;
    }

    /**
     * 医生id
     */
    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    /**
     * 医生id
     */
    public Integer getDoctorId() {
        return doctorId;
    }

    /**
     * 医生姓名
     */
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    /**
     * 医生姓名
     */
    public String getDoctorName() {
        return doctorName;
    }

    /**
     * 用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 用户id
     */
    public Integer getUserId() {
        return userId;
    }

    /**
     * 患者姓名
     */
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    /**
     * 患者姓名
     */
    public String getPatientName() {
        return patientName;
    }

    /**
     * 身份证号
     */
    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    /**
     * 身份证号
     */
    public String getIdNo() {
        return idNo;
    }

    /**
     * 年龄
     */
    public void setAge(Integer age) {
        this.age = age;
    }

    /**
     * 年龄
     */
    public Integer getAge() {
        return age;
    }

    /**
     * 性别
     */
    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * 性别
     */
    public Integer getSex() {
        return sex;
    }

    /**
     * 患者手机号
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 患者手机号
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 总金额
     */
    public void setTotalPrice(Integer totalPrice) {
        this.totalPrice = totalPrice;
    }

    /**
     * 总金额
     */
    public Integer getTotalPrice() {
        return totalPrice;
    }

    /**
     * 领用码
     */
    public void setRecCode(String recCode) {
        this.recCode = recCode;
    }

    /**
     * 领用码
     */
    public String getRecCode() {
        return recCode;
    }

    /**
     * 设备表ID
     */
    public void setMedicalEquipmentId(Integer medicalEquipmentId) {
        this.medicalEquipmentId = medicalEquipmentId;
    }

    /**
     * 设备表ID
     */
    public Integer getMedicalEquipmentId() {
        return medicalEquipmentId;
    }

    /**
     * 设备码
     */
    public void setMedEquipCode(String medEquipCode) {
        this.medEquipCode = medEquipCode;
    }

    /**
     * 设备码
     */
    public String getMedEquipCode() {
        return medEquipCode;
    }

    /**
     * 设备人员表id，派发人员
     */
    public void setSendEquipmentPersonnelId(Integer sendEquipmentPersonnelId) {
        this.sendEquipmentPersonnelId = sendEquipmentPersonnelId;
    }

    /**
     * 设备人员表id，派发人员
     */
    public Integer getSendEquipmentPersonnelId() {
        return sendEquipmentPersonnelId;
    }

    /**
     * 派发人员姓名
     */
    public void setSendEquipmentPersonnelName(String sendEquipmentPersonnelName) {
        this.sendEquipmentPersonnelName = sendEquipmentPersonnelName;
    }

    /**
     * 派发人员姓名
     */
    public String getSendEquipmentPersonnelName() {
        return sendEquipmentPersonnelName;
    }

    /**
     * 设备人员表id，回收人员
     */
    public void setReceiveEquipmentPersonnelId(Integer receiveEquipmentPersonnelId) {
        this.receiveEquipmentPersonnelId = receiveEquipmentPersonnelId;
    }

    /**
     * 设备人员表id，回收人员
     */
    public Integer getReceiveEquipmentPersonnelId() {
        return receiveEquipmentPersonnelId;
    }

    /**
     * 回收人员姓名
     */
    public void setReceiveEquipmentPersonnelName(String receiveEquipmentPersonnelName) {
        this.receiveEquipmentPersonnelName = receiveEquipmentPersonnelName;
    }

    /**
     * 回收人员姓名
     */
    public String getReceiveEquipmentPersonnelName() {
        return receiveEquipmentPersonnelName;
    }

    /**
     * 诊断
     */
    public void setDiagnose(String diagnose) {
        this.diagnose = diagnose;
    }

    /**
     * 诊断
     */
    public String getDiagnose() {
        return diagnose;
    }

    /**
     * 状态，0-待支付、1-已支付、2-已领取、4-已回收、8-退款申请中、16-已退款、32-已过期
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 状态，0-待支付、1-已支付、2-已领取、4-已回收、8-退款申请中、16-已退款、32-已过期
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 戴机ID，his用
     */
    public void setWearId(Long wearId) {
        this.wearId = wearId;
    }

    /**
     * 戴机ID，his用
     */
    public Long getWearId() {
        return wearId;
    }

    /**
     * 诊断内容
     */
    public void setDagnosisContent(String dagnosisContent) {
        this.dagnosisContent = dagnosisContent;
    }

    /**
     * 诊断内容
     */
    public String getDagnosisContent() {
        return dagnosisContent;
    }

    /**
     * 诊断报告
     */
    public void setDagnosisReport(String dagnosisReport) {
        this.dagnosisReport = dagnosisReport;
    }

    /**
     * 诊断报告
     */
    public String getDagnosisReport() {
        return dagnosisReport;
    }

    /**
     * 回调时间
     */
    public void setCallbackTime(Date callbackTime) {
        this.callbackTime = callbackTime;
    }

    /**
     * 回调时间
     */
    public Date getCallbackTime() {
        return callbackTime;
    }

    /**
     * orders表，主键ID
     */
    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    /**
     * orders表，主键ID
     */
    public Integer getOrderId() {
        return orderId;
    }

    /**
     * orders表，订单编号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * orders表，订单编号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 支付编码，对应payment_config表的pay_code字段
     */
    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    /**
     * 支付编码，对应payment_config表的pay_code字段
     */
    public String getPayCode() {
        return payCode;
    }

    /**
     * 支付状态
     */
    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    /**
     * 支付状态
     */
    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    /**
     * 患者支付时间
     */
    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    /**
     * 患者支付时间
     */
    public Date getPaymentTime() {
        return paymentTime;
    }

    /**
     * 支付渠道
     */
    public void setPaymentChannel(Integer paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    /**
     * 支付渠道
     */
    public Integer getPaymentChannel() {
        return paymentChannel;
    }

    /**
     * 订单支付流水号
     */
    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    /**
     * 订单支付流水号
     */
    public String getPaymentNo() {
        return paymentNo;
    }

    /**
     * 退费时间
     */
    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    /**
     * 退费时间
     */
    public Date getRefundTime() {
        return refundTime;
    }

    /**
     * 退款状态
     */
    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    /**
     * 退款状态
     */
    public Integer getRefundStatus() {
        return refundStatus;
    }

    /**
     * 退款流水号
     */
    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    /**
     * 退款流水号
     */
    public String getRefundNo() {
        return refundNo;
    }

    /**
     * 退款申请
     */
    public void setRefundApply(String refundApply) {
        this.refundApply = refundApply;
    }

    /**
     * 退款申请
     */
    public String getRefundApply() {
        return refundApply;
    }

    /**
     * 退款申请医生ID
     */
    public void setRefundDoctorId(Integer refundDoctorId) {
        this.refundDoctorId = refundDoctorId;
    }

    /**
     * 退款申请医生ID
     */
    public Integer getRefundDoctorId() {
        return refundDoctorId;
    }

    /**
     * 退款审核人员ID
     */
    public void setRefundAuditAdminId(Integer refundAuditAdminId) {
        this.refundAuditAdminId = refundAuditAdminId;
    }

    /**
     * 退款审核人员ID
     */
    public Integer getRefundAuditAdminId() {
        return refundAuditAdminId;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    public Integer getDoctorSignId() {
        return doctorSignId;
    }

    public void setDoctorSignId(Integer doctorSignId) {
        this.doctorSignId = doctorSignId;
    }

    public String getAuditRemark() {
        return auditRemark;
    }

    public void setAuditRemark(String auditRemark) {
        this.auditRemark = auditRemark;
    }

    public String getRefundDoctorName() {
        return refundDoctorName;
    }

    public void setRefundDoctorName(String refundDoctorName) {
        this.refundDoctorName = refundDoctorName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Date receiveTime) {
        this.receiveTime = receiveTime;
    }

    public Integer getExtStatus() {
        return extStatus;
    }

    public void setExtStatus(Integer extStatus) {
        this.extStatus = extStatus;
    }

    @Override
    public String toString() {
        return "ChecklistOrders{" +
                "id=" + id + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "changeHospitalId=" + changeHospitalId + '\'' +
                "deptId=" + deptId + '\'' +
                "doctorId=" + doctorId + '\'' +
                "doctorName=" + doctorName + '\'' +
                "userId=" + userId + '\'' +
                "patientName=" + patientName + '\'' +
                "idNo=" + idNo + '\'' +
                "age=" + age + '\'' +
                "sex=" + sex + '\'' +
                "mobile=" + mobile + '\'' +
                "totalPrice=" + totalPrice + '\'' +
                "recCode=" + recCode + '\'' +
                "medicalEquipmentId=" + medicalEquipmentId + '\'' +
                "medEquipCode=" + medEquipCode + '\'' +
                "sendEquipmentPersonnelId=" + sendEquipmentPersonnelId + '\'' +
                "sendEquipmentPersonnelName=" + sendEquipmentPersonnelName + '\'' +
                "receiveEquipmentPersonnelId=" + receiveEquipmentPersonnelId + '\'' +
                "receiveEquipmentPersonnelName=" + receiveEquipmentPersonnelName + '\'' +
                "diagnose=" + diagnose + '\'' +
                "status=" + status + '\'' +
                "wearId=" + wearId + '\'' +
                "dagnosisContent=" + dagnosisContent + '\'' +
                "dagnosisReport=" + dagnosisReport + '\'' +
                "callbackTime=" + callbackTime + '\'' +
                "orderId=" + orderId + '\'' +
                "orderNo=" + orderNo + '\'' +
                "payCode=" + payCode + '\'' +
                "paymentStatus=" + paymentStatus + '\'' +
                "paymentTime=" + paymentTime + '\'' +
                "paymentChannel=" + paymentChannel + '\'' +
                "paymentNo=" + paymentNo + '\'' +
                "refundTime=" + refundTime + '\'' +
                "refundStatus=" + refundStatus + '\'' +
                "refundNo=" + refundNo + '\'' +
                "refundApply=" + refundApply + '\'' +
                "refundDoctorId=" + refundDoctorId + '\'' +
                "refundAuditAdminId=" + refundAuditAdminId + '\'' +
                "createTime=" + createTime + '\'' +
                "remark=" + remark + '\'' +
                "deleted=" + deleted + '\'' +
                '}';
    }
}
