package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 检查单设备修改记录表
 */
@Entity
@Table(name = "checklist_orders_change_equipment_log")
public class ChecklistOrdersChangeEquipmentLog {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * checklist_orders表主键ID
     */
    @Column(name = "checklist_order_id")
    private Integer checklistOrderId;

    /**
     * 设备表ID
     */
    @Column(name = "medical_equipment_id")
    private Integer medicalEquipmentId;

    /**
     * 设备码
     */
    @Column(name = "med_equip_code")
    private String medEquipCode;

    /**
     * 戴机ID，his用
     */
    @Column(name = "wear_id")
    private Long wearId;

    /**
     * 1-医生端，2-医院后台，3-药企后台
     */
    @Column(name = "source")
    private Integer source;

    /**
     * 当source=1时，obj_id表示doctorId,当source=2,3时，obj_id表示mgAdminId
     */
    @Column(name = "obj_id")
    private Integer objId;

    /**
     * 物理删除，0-不删除，1-删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * checklist_orders表主键ID
     */
    public void setChecklistOrderId(Integer checklistOrderId) {
        this.checklistOrderId = checklistOrderId;
    }

    /**
     * checklist_orders表主键ID
     */
    public Integer getChecklistOrderId() {
        return checklistOrderId;
    }

    /**
     * 设备表ID
     */
    public void setMedicalEquipmentId(Integer medicalEquipmentId) {
        this.medicalEquipmentId = medicalEquipmentId;
    }

    /**
     * 设备表ID
     */
    public Integer getMedicalEquipmentId() {
        return medicalEquipmentId;
    }

    /**
     * 设备码
     */
    public void setMedEquipCode(String medEquipCode) {
        this.medEquipCode = medEquipCode;
    }

    /**
     * 设备码
     */
    public String getMedEquipCode() {
        return medEquipCode;
    }

    /**
     * 戴机ID，his用
     */
    public void setWearId(Long wearId) {
        this.wearId = wearId;
    }

    /**
     * 戴机ID，his用
     */
    public Long getWearId() {
        return wearId;
    }

    /**
     * 1-医生端，2-医院后台，3-药企后台
     */
    public void setSource(Integer source) {
        this.source = source;
    }

    /**
     * 1-医生端，2-医院后台，3-药企后台
     */
    public Integer getSource() {
        return source;
    }

    /**
     * 当source=1时，obj_id表示doctorId,当source=2,3时，obj_id表示mgAdminId
     */
    public void setObjId(Integer objId) {
        this.objId = objId;
    }

    /**
     * 当source=1时，obj_id表示doctorId,当source=2,3时，obj_id表示mgAdminId
     */
    public Integer getObjId() {
        return objId;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public String toString() {
        return "ChecklistOrdersChangeEquipmentLog{" +
                "id=" + id + '\'' +
                "checklistOrderId=" + checklistOrderId + '\'' +
                "medicalEquipmentId=" + medicalEquipmentId + '\'' +
                "medEquipCode=" + medEquipCode + '\'' +
                "wearId=" + wearId + '\'' +
                "source=" + source + '\'' +
                "objId=" + objId + '\'' +
                "deleted=" + deleted + '\'' +
                "createTime=" + createTime + '\'' +
                '}';
    }
}
