package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 检查订单诊断记录表
 */
@Entity
@Table(name = "checklist_orders_dagnosis_history")
public class ChecklistOrdersDagnosisHistory {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 检查单表ID
     */
    @Column(name = "checklist_orders_id")
    private Integer checklistOrdersId;

    /**
     * 戴机ID，his用
     */
    @Column(name = "wear_id")
    private Long wearId;

    /**
     * 诊断内容
     */
    @Column(name = "dagnosis_content")
    private String dagnosisContent;

    /**
     * 诊断报告
     */
    @Column(name = "dagnosis_report")
    private String dagnosisReport;

    /**
     * 回调时间
     */
    @Column(name = "callback_time")
    private Date callbackTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 物理删除，0-不删除，1-删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    @Column(name = "hospital_id")
    private Integer hospitalId;

    @Column(name = "user_id")
    private Integer userId;

    @Column(name = "med_equip_code")
    private String medEquipCode;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 检查单表ID
     */
    public void setChecklistOrdersId(Integer checklistOrdersId) {
        this.checklistOrdersId = checklistOrdersId;
    }

    /**
     * 检查单表ID
     */
    public Integer getChecklistOrdersId() {
        return checklistOrdersId;
    }

    /**
     * 戴机ID，his用
     */
    public void setWearId(Long wearId) {
        this.wearId = wearId;
    }

    /**
     * 戴机ID，his用
     */
    public Long getWearId() {
        return wearId;
    }

    /**
     * 诊断内容
     */
    public void setDagnosisContent(String dagnosisContent) {
        this.dagnosisContent = dagnosisContent;
    }

    /**
     * 诊断内容
     */
    public String getDagnosisContent() {
        return dagnosisContent;
    }

    /**
     * 诊断报告
     */
    public void setDagnosisReport(String dagnosisReport) {
        this.dagnosisReport = dagnosisReport;
    }

    /**
     * 诊断报告
     */
    public String getDagnosisReport() {
        return dagnosisReport;
    }

    /**
     * 回调时间
     */
    public void setCallbackTime(Date callbackTime) {
        this.callbackTime = callbackTime;
    }

    /**
     * 回调时间
     */
    public Date getCallbackTime() {
        return callbackTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getMedEquipCode() {
        return medEquipCode;
    }

    public void setMedEquipCode(String medEquipCode) {
        this.medEquipCode = medEquipCode;
    }

    @Override
    public String toString() {
        return "ChecklistOrdersDagnosisHistory{" +
                "id=" + id + '\'' +
                "checklistOrdersId=" + checklistOrdersId + '\'' +
                "wearId=" + wearId + '\'' +
                "dagnosisContent=" + dagnosisContent + '\'' +
                "dagnosisReport=" + dagnosisReport + '\'' +
                "callbackTime=" + callbackTime + '\'' +
                "createTime=" + createTime + '\'' +
                "deleted=" + deleted + '\'' +
                '}';
    }
}
