package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 检查单详情表
 */
@Entity
@Table(name = "checklist_orders_detail")
public class ChecklistOrdersDetail {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 检查单表ID
     */
    @Column(name = "checklist_orders_id")
    private Integer checklistOrdersId;

    /**
     * 检查项目表ID
     */
    @Column(name = "check_project_id", nullable = false)
    private Integer checkProjectId;

    /**
     * 检查项名称
     */
    @Column(name = "check_name")
    private String checkName;

    /**
     * 规格
     */
    @Column(name = "spec")
    private String spec;

    /**
     * 数量
     */
    @Column(name = "amount")
    private Integer amount;

    /**
     * 价格（单位：分）
     */
    @Column(name = "price")
    private Integer price;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 物理删除，0-不删除，1-删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 检查单表ID
     */
    public void setChecklistOrdersId(Integer checklistOrdersId) {
        this.checklistOrdersId = checklistOrdersId;
    }

    /**
     * 检查单表ID
     */
    public Integer getChecklistOrdersId() {
        return checklistOrdersId;
    }

    /**
     * 检查项目表ID
     */
    public void setCheckProjectId(Integer checkProjectId) {
        this.checkProjectId = checkProjectId;
    }

    /**
     * 检查项目表ID
     */
    public Integer getCheckProjectId() {
        return checkProjectId;
    }

    /**
     * 检查项名称
     */
    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    /**
     * 检查项名称
     */
    public String getCheckName() {
        return checkName;
    }

    /**
     * 规格
     */
    public void setSpec(String spec) {
        this.spec = spec;
    }

    /**
     * 规格
     */
    public String getSpec() {
        return spec;
    }

    /**
     * 数量
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    /**
     * 数量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 价格（单位：分）
     */
    public void setPrice(Integer price) {
        this.price = price;
    }

    /**
     * 价格（单位：分）
     */
    public Integer getPrice() {
        return price;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    @Override
    public String toString() {
        return "ChecklistOrdersDetail{" +
                "id=" + id + '\'' +
                "checklistOrdersId=" + checklistOrdersId + '\'' +
                "checkProjectId=" + checkProjectId + '\'' +
                "checkName=" + checkName + '\'' +
                "spec=" + spec + '\'' +
                "amount=" + amount + '\'' +
                "price=" + price + '\'' +
                "createTime=" + createTime + '\'' +
                "remark=" + remark + '\'' +
                "deleted=" + deleted + '\'' +
                '}';
    }
}
