package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "checkup_booking_announcement")
public class CheckupBookingAnnouncement {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 标题
     */
    @Column(name = "title", nullable = false)
    private String title;

    /**
     * 医院 id
     */
    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    /**
     * 分院 id
     */
    @Column(name = "sub_hospital_id")
    private Integer subHospitalId;

    /**
     * 状态：0-正常，1-禁用
     */
    @Column(name = "status", nullable = false)
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 删除标识：0-未删除；1-已删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 内容
     */
    @Column(name = "content")
    private String content;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 标题
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 医院 id
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院 id
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 分院 id
     */
    public void setSubHospitalId(Integer subHospitalId) {
        this.subHospitalId = subHospitalId;
    }

    /**
     * 分院 id
     */
    public Integer getSubHospitalId() {
        return subHospitalId;
    }

    /**
     * 状态：0-正常，1-禁用
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 状态：0-正常，1-禁用
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public Boolean isDeleted() {
        return deleted;
    }

    /**
     * 内容
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 内容
     */
    public String getContent() {
        return content;
    }

    @Override
    public String toString() {
        return "CheckupBookingAnnouncement{" +
                "id=" + id + '\'' +
                "title=" + title + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "subHospitalId=" + subHospitalId + '\'' +
                "status=" + status + '\'' +
                "createTime=" + createTime + '\'' +
                "updateTime=" + updateTime + '\'' +
                "deleted=" + deleted + '\'' +
                "content=" + content + '\'' +
                '}';
    }
}
