package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "checkup_booking_notice")
public class CheckupBookingNotice {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 套餐Id, 与 his套餐id一致
     */
    @Column(name = "ord_sets_id", nullable = false)
    private String ordSetsId;

    /**
     * 套餐
     */
    @Column(name = "package_desc", nullable = false)
    private String packageDesc;

    /**
     * 医院ID
     */
    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    /**
     * 套餐类型
     */
    @Column(name = "level_desc", nullable = false)
    private String levelDesc;

    /**
     * 删除标识：0-未删除；1-已删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 体检须知内容
     */
    @Column(name = "notice", nullable = false)
    private String notice;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 套餐Id, 与 his套餐id一致
     */
    public void setOrdSetsId(String ordSetsId) {
        this.ordSetsId = ordSetsId;
    }

    /**
     * 套餐Id, 与 his套餐id一致
     */
    public String getOrdSetsId() {
        return ordSetsId;
    }

    /**
     * 套餐
     */
    public void setPackageDesc(String packageDesc) {
        this.packageDesc = packageDesc;
    }

    /**
     * 套餐
     */
    public String getPackageDesc() {
        return packageDesc;
    }

    /**
     * 医院ID
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院ID
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 套餐类型
     */
    public void setLevelDesc(String levelDesc) {
        this.levelDesc = levelDesc;
    }

    /**
     * 套餐类型
     */
    public String getLevelDesc() {
        return levelDesc;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public Boolean isDeleted() {
        return deleted;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 体检须知内容
     */
    public void setNotice(String notice) {
        this.notice = notice;
    }

    /**
     * 体检须知内容
     */
    public String getNotice() {
        return notice;
    }

    @Override
    public String toString() {
        return "CheckupBookingNotice{" +
                "id=" + id + '\'' +
                "ordSetsId=" + ordSetsId + '\'' +
                "packageDesc=" + packageDesc + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "levelDesc=" + levelDesc + '\'' +
                "deleted=" + deleted + '\'' +
                "createTime=" + createTime + '\'' +
                "updateTime=" + updateTime + '\'' +
                "notice=" + notice + '\'' +
                '}';
    }
}
