package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 医生定点信息表
 */
@Table(name = "doctor_fixed_point")
@Entity
public class DoctorFixedPoint implements Serializable {
  private static final long serialVersionUID = 1L;

  /**
   * 主键，对应 User表的主键id
   */
  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 医生ID
   */
  @Column(name = "doctor_id", nullable = false)
  private Integer doctorId;

  /**
   * 医院ID 
   */
  @Column(name = "hospital_id", nullable = false)
  private Integer hospitalId;

  /**
   * 状态，0-正常，1-禁用
   */
  @Column(name = "status", nullable = false)
  private Integer status;

  /**
   * 创建时间
   */
  @Column(name = "create_time", nullable = false)
  private Date createTime;

  /**
   * 修改时间
   */
  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 是否删除（标识物理删除）
   */
  @Column(name = "is_deleted", nullable = false)
  private Boolean deleted;

  /**
   * 操作人账户
   */
  @Column(name = "account", nullable = false)
  private String account;

  /**
   * 主键，对应 User表的主键id
   */
  public Integer getId() {
    return id;
  }

  /**
   * 主键，对应 User表的主键id
   */
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 医生ID
   */
  public Integer getDoctorId() {
    return doctorId;
  }

  /**
   * 医生ID
   */
  public void setDoctorId(Integer doctorId) {
    this.doctorId = doctorId;
  }

  /**
   * 医院ID 
   */
  public Integer getHospitalId() {
    return hospitalId;
  }

  /**
   * 医院ID 
   */
  public void setHospitalId(Integer hospitalId) {
    this.hospitalId = hospitalId;
  }

  /**
   * 状态，0-正常，1-禁用
   */
  public Integer getStatus() {
    return status;
  }

  /**
   * 状态，0-正常，1-禁用
   */
  public void setStatus(Integer status) {
    this.status = status;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {
    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  /**
   * 修改时间
   */
  public Date getUpdateTime() {
    return updateTime;
  }

  /**
   * 修改时间
   */
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  /**
   * 是否删除（标识物理删除）
   */
  public Boolean isDeleted() {
    return deleted;
  }

  /**
   * 是否删除（标识物理删除）
   */
  public void setDeleted(Boolean deleted) {
    this.deleted = deleted;
  }

  /**
   * 操作人账户
   */
  public String getAccount() {
    return account;
  }

  /**
   * 操作人账户
   */
  public void setAccount(String account) {
    this.account = account;
  }

  public String toString() {
    return "DoctorFixedPoint{id=" + id + 
      ", doctorId=" + doctorId + 
      ", hospitalId=" + hospitalId + 
      ", status=" + status + 
      ", createTime=" + createTime + 
      ", updateTime=" + updateTime + 
      ", deleted=" + deleted + 
      ", account=" + account + 
      "}";
  }
}