package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;

@Entity
@Table(name = "doctor_his_code")
public class DoctorHisCode {
    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 医生Id
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 医院Id
     */
    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    /**
     * 科室CODE
     */
    @Column(name = "dept_code", nullable = false)
    private String deptCode;

    /**
     * 对应HIS编码
     */
    @Column(name = "his_code", nullable = false)
    private String hisCode;


    /**
     * 医生姓名
     */
    @Column(name = "doctor_name", nullable = false)
    private String doctorName;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    @Column(name = "doctor_job_num")
    private String doctorJobNum;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getHisCode() {
        return hisCode;
    }

    public void setHisCode(String hisCode) {
        this.hisCode = hisCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public String getDoctorJobNum() {
        return doctorJobNum;
    }

    public void setDoctorJobNum(String doctorJobNum) {
        this.doctorJobNum = doctorJobNum;
    }
}
