package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 医生二维码表
 */
@Entity
@Table(name = "doctor_qr_code_url")
public class DoctorQrCodeUrl {

    /**
     * 主键
     */
    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 对应doctor表的主键id
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 二维码链接
     */
    @Column(name = "qr_code_url")
    private String qrCodeUrl;

    /**
     * 二维码内容
     */
    @Column(name = "qr_code_content")
    private String qrCodeContent;

    /**
     * 类型：0-对应doctor表的qr_code_url字段，1-对应doctor表的rp_url字段，2-对应doctor表的rp_url_pc字段，
     */
    @Column(name = "type")
    private Integer type;

    /**
     * 医院ID
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 医院名称
     */
    @Column(name = "hospital_name")
    private String hospitalName;

    @Column(name = "deleted", nullable = false)
    private Integer deleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 终端
     */
    @Column(name = "terminal")
    private Integer terminal;

    /**
     * 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 对应doctor表的主键id
     */
    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    /**
     * 对应doctor表的主键id
     */
    public Integer getDoctorId() {
        return doctorId;
    }

    /**
     * 二维码链接
     */
    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    /**
     * 二维码链接
     */
    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    /**
     * 二维码内容
     */
    public void setQrCodeContent(String qrCodeContent) {
        this.qrCodeContent = qrCodeContent;
    }

    /**
     * 二维码内容
     */
    public String getQrCodeContent() {
        return qrCodeContent;
    }

    /**
     * 类型：0-对应doctor表的qr_code_url字段，1-对应doctor表的rp_url字段，2-对应doctor表的rp_url_pc字段，
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 类型：0-对应doctor表的qr_code_url字段，1-对应doctor表的rp_url字段，2-对应doctor表的rp_url_pc字段，
     */
    public Integer getType() {
        return type;
    }

    /**
     * 医院ID
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院ID
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 医院名称
     */
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    /**
     * 医院名称
     */
    public String getHospitalName() {
        return hospitalName;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 终端
     */
    public void setTerminal(Integer terminal) {
        this.terminal = terminal;
    }

    /**
     * 终端
     */
    public Integer getTerminal() {
        return terminal;
    }

    @Override
    public String toString() {
        return "DoctorQrCodeUrl{" +
                "id=" + id + '\'' +
                "doctorId=" + doctorId + '\'' +
                "qrCodeUrl=" + qrCodeUrl + '\'' +
                "qrCodeContent=" + qrCodeContent + '\'' +
                "type=" + type + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "hospitalName=" + hospitalName + '\'' +
                "deleted=" + deleted + '\'' +
                "createTime=" + createTime + '\'' +
                "terminal=" + terminal + '\'' +
                '}';
    }
}
