package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 设备人员表
 */
@Entity
@Table(name = "equipment_personnel")
public class EquipmentPersonnel {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 医院ID
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 科室ID
     */
    @Column(name = "dept_id")
    private Integer deptId;

    /**
     * 工作人员姓名
     */
    @Column(name = "name")
    private String name;

    /**
     * 工作人员手机号
     */
    @Column(name = "mobile")
    private String mobile;

    /**
     * 状态，0-正常，1-禁用，默认正常
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 物理删除，0-不删除，1-删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 医院ID
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院ID
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 科室ID
     */
    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    /**
     * 科室ID
     */
    public Integer getDeptId() {
        return deptId;
    }

    /**
     * 工作人员姓名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 工作人员姓名
     */
    public String getName() {
        return name;
    }

    /**
     * 工作人员手机号
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 工作人员手机号
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 状态，0-正常，1-禁用，默认正常
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 状态，0-正常，1-禁用，默认正常
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    @Override
    public String toString() {
        return "EquipmentPersonnel{" +
                "id=" + id + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "deptId=" + deptId + '\'' +
                "name=" + name + '\'' +
                "mobile=" + mobile + '\'' +
                "status=" + status + '\'' +
                "createTime=" + createTime + '\'' +
                "remark=" + remark + '\'' +
                "deleted=" + deleted + '\'' +
                '}';
    }
}
