package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "his_add_registered_flag")
public class HisAddRegisteredFlag {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    @Column(name = "his_patient_id")
    private String hisPatientId;

    @Column(name = "his_card_no")
    private String hisCardNo;

    @Column(name = "create_time", nullable = false)
    private Date createTime;

    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 状态：1-允许，2-不允许，3-已加号申请，4-已失效
     */
    @Column(name = "status", nullable = false)
    private Integer status;

    @Column(name = "days")
    private Integer days;

    @Column(name = "allow_date")
    private Date allowDate;

    @Column(name = "update_time")
    private Date updateTime;

    @Column(name = "doctor_code")
    private String doctorCode;

    @Column(name = "doctor_name")
    private String doctorName;

    @Column(name = "doctor_title")
    private String doctorTitle;

    @Column(name = "start_date")
    private Date startDate;

    /**
     * 截止日期（不含当天）
     */
    @Column(name = "end_date")
    private Date endDate;

    /**
     * 南方医院HisPatientId
     */
    @Column(name = "nfyy_his_patient_id")
    private String nfyyHisPatientId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHisPatientId() {
        return hisPatientId;
    }

    public void setHisPatientId(String hisPatientId) {
        this.hisPatientId = hisPatientId;
    }

    public String getHisCardNo() {
        return hisCardNo;
    }

    public void setHisCardNo(String hisCardNo) {
        this.hisCardNo = hisCardNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }

    public Date getAllowDate() {
        return allowDate;
    }

    public void setAllowDate(Date allowDate) {
        this.allowDate = allowDate;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getNfyyHisPatientId() {
        return nfyyHisPatientId;
    }

    public void setNfyyHisPatientId(String nfyyHisPatientId) {
        this.nfyyHisPatientId = nfyyHisPatientId;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public void setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
