package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 病历设置表
 */
@Entity
@Table(name = "med_record_setting")
public class MedRecordSetting {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;

    /**
     * 用户 id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 是否对医生可见，默认可见
     */
    @Column(name = "visible", nullable = false)
    private Boolean visible;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 删除标识：0-未删除；1-已删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    @Column(name = "id_card", nullable = false)
    private String idCard;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 用户 id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 用户 id
     */
    public Integer getUserId() {
        return userId;
    }

    /**
     * 是否对医生可见，默认可见
     */
    public void setVisible(Boolean visible) {
        this.visible = visible;
    }

    /**
     * 是否对医生可见，默认可见
     */
    public Boolean getVisible() {
        return visible;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public Boolean isDeleted() {
        return deleted;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    @Override
    public String toString() {
        return "MedRecordSetting{" +
                "id=" + id + '\'' +
                "userId=" + userId + '\'' +
                "visible=" + visible + '\'' +
                "createTime=" + createTime + '\'' +
                "updateTime=" + updateTime + '\'' +
                "deleted=" + deleted + '\'' +
                '}';
    }
}
