package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 设备表
 */
@Entity
@Table(name = "medical_equipment")
public class MedicalEquipment {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 设备码
     */
    @Column(name = "equip_code")
    private String equipCode;

    /**
     * 业务编码
     */
    @Column(name = "biz_no")
    private String bizNo;

    /**
     * 医院ID
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 科室ID
     */
    @Column(name = "dept_id")
    private Integer deptId;

    /**
     * 状态，0-正常，1-禁用，默认禁用
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 使用状态，0-未用，1-使用中，默认未用
     */
    @Column(name = "use_status")
    private Integer useStatus;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 物理删除，0-不删除，1-删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    /**
     * 设备类型，1-心电，2-胎监
     */
    @Column(name = "med_type")
    private Integer medType;

    /**
     * 首字母拼音编码
     */
    @Column(name = "pinyin_code")
    private String pinyinCode;

    /**
     * 权重，数字越大，排序越靠前
     */
    @Column(name = "weight", nullable = false)
    private Integer weight;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 设备码
     */
    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    /**
     * 设备码
     */
    public String getEquipCode() {
        return equipCode;
    }

    /**
     * 业务编码
     */
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }

    /**
     * 业务编码
     */
    public String getBizNo() {
        return bizNo;
    }

    /**
     * 医院ID
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院ID
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 科室ID
     */
    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    /**
     * 科室ID
     */
    public Integer getDeptId() {
        return deptId;
    }

    /**
     * 状态，0-正常，1-禁用，默认禁用
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 状态，0-正常，1-禁用，默认禁用
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 使用状态，0-未用，1-使用中，默认未用
     */
    public void setUseStatus(Integer useStatus) {
        this.useStatus = useStatus;
    }

    /**
     * 使用状态，0-未用，1-使用中，默认未用
     */
    public Integer getUseStatus() {
        return useStatus;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 物理删除，0-不删除，1-删除
     */
    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 设备类型，1-心电，2-胎监
     */
    public void setMedType(Integer medType) {
        this.medType = medType;
    }

    /**
     * 设备类型，1-心电，2-胎监
     */
    public Integer getMedType() {
        return medType;
    }

    /**
     * 首字母拼音编码
     */
    public void setPinyinCode(String pinyinCode) {
        this.pinyinCode = pinyinCode;
    }

    /**
     * 首字母拼音编码
     */
    public String getPinyinCode() {
        return pinyinCode;
    }

    /**
     * 权重，数字越大，排序越靠前
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    /**
     * 权重，数字越大，排序越靠前
     */
    public Integer getWeight() {
        return weight;
    }

    @Override
    public String toString() {
        return "MedicalEquipment{" +
                "id=" + id + '\'' +
                "equipCode=" + equipCode + '\'' +
                "bizNo=" + bizNo + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "deptId=" + deptId + '\'' +
                "status=" + status + '\'' +
                "useStatus=" + useStatus + '\'' +
                "createTime=" + createTime + '\'' +
                "remark=" + remark + '\'' +
                "deleted=" + deleted + '\'' +
                "medType=" + medType + '\'' +
                "pinyinCode=" + pinyinCode + '\'' +
                "weight=" + weight + '\'' +
                '}';
    }
}
