package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * 核酸检测金额配置表
 */
@Entity
@Table(name = "nat_fee_config")
public class NatFeeConfig {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;

    /**
     * 医院 id
     */
    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Timestamp createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = false)
    private Timestamp updateTime;

    /**
     * 删除标识：0-未删除；1-已删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 费用，单位分
     */
    @Column(name = "amount", nullable = false)
    private Integer amount;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    /**
     * 医院 id
     */
    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    /**
     * 医院 id
     */
    public Integer getHospitalId() {
        return hospitalId;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Timestamp getCreateTime() {
        return createTime;
    }

    /**
     * 更新时间
     */
    public void setUpdateTime(Timestamp updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 更新时间
     */
    public Timestamp getUpdateTime() {
        return updateTime;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    /**
     * 删除标识：0-未删除；1-已删除
     */
    public Boolean isDeleted() {
        return deleted;
    }

    /**
     * 费用，单位分
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    /**
     * 费用，单位分
     */
    public Integer getAmount() {
        return amount;
    }

    @Override
    public String toString() {
        return "NatFeeConfig{" +
                "id=" + id + '\'' +
                "hospitalId=" + hospitalId + '\'' +
                "createTime=" + createTime + '\'' +
                "updateTime=" + updateTime + '\'' +
                "deleted=" + deleted + '\'' +
                "amount=" + amount + '\'' +
                '}';
    }
}
