package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 线下咨询订单实体类
 *
 * @author makejava
 * @since 2019-03-15 10:13:37
 */
@Entity
@Table(name = "offline_consultation")
public class OfflineConsultation implements Serializable {
    private static final long serialVersionUID = -93507018258509965L;

    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;


    @Column(name = "hospital_id")
    private Integer hospitalId;

    @Column(name = "dept_id")
    private Integer deptId;

    @Column(name = "doctor_id")
    private Integer doctorId;

    @Column(name = "create_time")
    private Date createTime;

    @Column(name = "user_id")
    private Integer userId;

    @Column(name = "his_clinic_code")
    private Integer hisClinicCode;

    @Column(name = "real_name")
    private String realName;

    @Column(name = "id_no")
    private String idNo;

    @Column(name = "payment_status")
    private Integer paymentStatus;
    //退款状态
    @Column(name = "refund_status")
    private Integer refundStatus;
    //退款时间
    @Column(name = "refund_time")
    private Date refundTime;
    //退款流水号
    @Column(name = "refund_no")
    private String refundNo;
    //退款回调时间
    @Column(name = "refund_callback_time")
    private String refundCallbackTime;
    //订单ID
    @Column(name = "order_id")
    private Integer orderId;
    //订单编码
    @Column(name = "order_no")
    private String orderNo;
    //支付流水号
    @Column(name = "payment_no")
    private String paymentNo;

    @Column(name = "pay_time")
    private Date payTime;

    @Column(name = "doctor_name")
    private String doctorName;
    //总费用
    @Column(name = "total")
    private Integer total;

    @Column(name = "deleted")
    private Boolean deleted;
    //支付渠道
    @Column(name = "payment_channel")
    private Integer paymentChannel;

    @Column(name = "mobile")
    private String mobile;

    /**
     * 年龄
     */
    @Column(name = "age")
    private Integer age;

    /**
     * 性别
     */
    @Column(name = "sex")
    private Integer sex;

    @Column(name = "hospital_name")
    private String hospitalName;

    @Column(name = "dept_name")
    private String deptName;

    //结算状态
    @Column(name = "settlement_status")
    private Integer settlementStatus;

    @Column(name = "settlement_time")
    private Date settlementTime;

    //来源：8-太和公众号；其他-现场扫码
    @Column(name = "source")
    private Integer source;

    //预约日期
    @Column(name = "registered_time")
    private Date registeredTime;

    //用户取消时间
    @Column(name = "cancel_time")
    private Date cancelTime;

    //预约挂号订单（registered_order）主键
    @Column(name = "reg_id")
    private Integer regId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getHisClinicCode() {
        return hisClinicCode;
    }

    public void setHisClinicCode(Integer hisClinicCode) {
        this.hisClinicCode = hisClinicCode;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public String getRefundCallbackTime() {
        return refundCallbackTime;
    }

    public void setRefundCallbackTime(String refundCallbackTime) {
        this.refundCallbackTime = refundCallbackTime;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(Integer paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getSettlementStatus() {
        return settlementStatus;
    }

    public void setSettlementStatus(Integer settlementStatus) {
        this.settlementStatus = settlementStatus;
    }

    public Date getSettlementTime() {
        return settlementTime;
    }

    public void setSettlementTime(Date settlementTime) {
        this.settlementTime = settlementTime;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Date getRegisteredTime() {
        return registeredTime;
    }

    public void setRegisteredTime(Date registeredTime) {
        this.registeredTime = registeredTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Integer getRegId() {
        return regId;
    }

    public void setRegId(Integer regId) {
        this.regId = regId;
    }
}