package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "his_outpatient_medical_record")
//@Table(name = "outpatient_service_medical_record")
public class OutpatientServiceMedicalRecord {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 病历Id
     */
    @Column(name = "medical_record_id")
    private String medicalRecordId;

    /**
     * 标题
     */
    @Column(name = "title")
    private String title;

    /**
     * 时间
     */
    @Column(name = "effective_time")
    private String effectiveTime;

    /**
     * 医生姓名
     */
    @Column(name = "author")
    private String author;

    /**
     * 医生ID
     */
    @Column(name = "doctor_id")
    private String doctorId;

    /**
     * 医院名称
     */
    @Column(name = "custodian")
    private String custodian;

    /**
     * 卡号
     */
    @Column(name = "medicare_no")
    private String medicareNo;

    /**
     * 门诊流水号
     */
    @Column(name = "admvisit_no")
    private String admvisitNo;

    /**
     * 挂号ID
     */
    @Column(name = "health_card_no")
    private String healthCardNo;

    /**
     * 地址
     */
    @Column(name = "addr")
    private String addr;

    /**
     * 姓名
     */
    @Column(name = "name")
    private String name;

    /**
     * 电话
     */
    @Column(name = "telecom")
    private String telecom;

    /**
     * 性别
     */
    @Column(name = "administrative_gender")
    private String administrativeGender;

    /**
     * 民族
     */
    @Column(name = "ethnic_group")
    private String ethnicGroup;

    /**
     * 年龄
     */
    @Column(name = "age")
    private String age;

    /**
     * 科室id
     */
    @Column(name = "dep_id")
    private String depId;

    /**
     * 科室名称
     */
    @Column(name = "dep_name")
    private String depName;

    /**
     * 患者ID
     */
    @Column(name = "pat_id")
    private String patId;

    /**
     * 费别代码
     */
    @Column(name = "fee_type")
    private String feeType;

    /**
     * 费别名称
     */
    @Column(name = "fee_type_name")
    private String feeTypeName;

    /**
     * 患者入院日期
     */
    @Column(name = "adm_data")
    private String admData;

    /**
     * 门诊次数
     */
    @Column(name = "clinic_count")
    private String clinicCount;

    /**
     * 主诉
     */
    @Column(name = "self_report")
    private String selfReport;

    /**
     * 体格检查
     */
    @Column(name = "phy_exam")
    private String phyExam;

    /**
     * 意见
     */
    @Column(name = "suggestion")
    private String suggestion;

    /**
     * 门急诊医嘱
     */
    @Column(name = "doc_advice")
    private String docAdvice;

    /**
     * 门诊诊断
     */
    @Column(name = "diagnose")
    private String diagnose;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 就诊卡Id
     */
    @Column(name = "medical_card_id")
    private Integer medicalCardId;

    /**
     * 挂号ID
     */
    @Column(name = "reg_id")
    private String regId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getMedicalRecordId() {
        return medicalRecordId;
    }

    public void setMedicalRecordId(String medicalRecordId) {
        this.medicalRecordId = medicalRecordId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getEffectiveTime() {
        return effectiveTime;
    }

    public void setEffectiveTime(String effectiveTime) {
        this.effectiveTime = effectiveTime;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public String getCustodian() {
        return custodian;
    }

    public void setCustodian(String custodian) {
        this.custodian = custodian;
    }

    public String getMedicareNo() {
        return medicareNo;
    }

    public void setMedicareNo(String medicareNo) {
        this.medicareNo = medicareNo;
    }

    public String getAdmvisitNo() {
        return admvisitNo;
    }

    public void setAdmvisitNo(String admvisitNo) {
        this.admvisitNo = admvisitNo;
    }

    public String getHealthCardNo() {
        return healthCardNo;
    }

    public void setHealthCardNo(String healthCardNo) {
        this.healthCardNo = healthCardNo;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTelecom() {
        return telecom;
    }

    public void setTelecom(String telecom) {
        this.telecom = telecom;
    }

    public String getAdministrativeGender() {
        return administrativeGender;
    }

    public void setAdministrativeGender(String administrativeGender) {
        this.administrativeGender = administrativeGender;
    }

    public String getEthnicGroup() {
        return ethnicGroup;
    }

    public void setEthnicGroup(String ethnicGroup) {
        this.ethnicGroup = ethnicGroup;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getPatId() {
        return patId;
    }

    public void setPatId(String patId) {
        this.patId = patId;
    }

    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    public String getFeeTypeName() {
        return feeTypeName;
    }

    public void setFeeTypeName(String feeTypeName) {
        this.feeTypeName = feeTypeName;
    }

    public String getAdmData() {
        return admData;
    }

    public void setAdmData(String admData) {
        this.admData = admData;
    }

    public String getClinicCount() {
        return clinicCount;
    }

    public void setClinicCount(String clinicCount) {
        this.clinicCount = clinicCount;
    }

    public String getSelfReport() {
        return selfReport;
    }

    public void setSelfReport(String selfReport) {
        this.selfReport = selfReport;
    }

    public String getPhyExam() {
        return phyExam;
    }

    public void setPhyExam(String phyExam) {
        this.phyExam = phyExam;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public String getDocAdvice() {
        return docAdvice;
    }

    public void setDocAdvice(String docAdvice) {
        this.docAdvice = docAdvice;
    }

    public String getDiagnose() {
        return diagnose;
    }

    public void setDiagnose(String diagnose) {
        this.diagnose = diagnose;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getMedicalCardId() {
        return medicalCardId;
    }

    public void setMedicalCardId(Integer medicalCardId) {
        this.medicalCardId = medicalCardId;
    }

    public String getRegId() {
        return regId;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }
}
