package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "his_registration")
//@Table(name = "registration")
public class Registration {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 挂号ID
     */
    @Column(name = "reg_id")
    private String regId;

    /**
     * 挂号日期
     */
    @Column(name = "reg_date")
    private String regDate;

    /**
     * 状态
     */
    @Column(name = "status")
    private String status;

    /**
     * 患者ID
     */
    @Column(name = "patient_id")
    private String patientId;

    /**
     * 患者姓名
     */
    @Column(name = "patient_name")
    private String patientName;

    /**
     * 就诊日期
     */
    @Column(name = "admit_date")
    private String admitDate;

    /**
     * 医院
     */
    @Column(name = "hospital_name")
    private String hospitalName;

    /**
     * 科室代码
     */
    @Column(name = "department_code")
    private String departmentCode;

    /**
     * 就诊科室
     */
    @Column(name = "department")
    private String department;

    /**
     * 医生代码
     */
    @Column(name = "doctor_code")
    private String doctorCode;

    /**
     * 医生
     */
    @Column(name = "doctor")
    private String doctor;

    /**
     * 医生职称
     */
    @Column(name = "doctor_title")
    private String doctorTitle;

    /**
     * 总费用
     */
    @Column(name = "reg_fee")
    private String regFee;

    /**
     * 就诊序号
     */
    @Column(name = "seq_code")
    private String seqCode;

    /**
     * 候诊地点
     */
    @Column(name = "admit_address")
    private String admitAddress;

    /**
     * 就诊时段
     */
    @Column(name = "session_name")
    private String sessionName;

    /**
     * 候诊时间
     */
    @Column(name = "admit_range")
    private String admitRange;

    /**
     * 专业名称
     */
    @Column(name = "service_name")
    private String serviceName;

    /**
     * 医保退号适用串(以&分割的N个入参)，有值时退号需调用医保注销接口
     */
    @Column(name = "insu_reg_info")
    private String insuRegInfo;

    /**
     * 可退号标志(Y/N)
     */
    @Column(name = "return_flag")
    private String returnFlag;


    /**
     * 开始时间
     */
    @Column(name = "start_time")
    private String startTime;


    /**
     * 结束时间
     */
    @Column(name = "end_time")
    private String endTime;


    /**
     * 交易流水号
     */
    @Column(name = "transaction_id")
    private String transactionId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 就诊卡Id
     */
    @Column(name = "medical_card_id")
    private Integer medicalCardId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getRegId() {
        return regId;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }

    public String getRegDate() {
        return regDate;
    }

    public void setRegDate(String regDate) {
        this.regDate = regDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getAdmitDate() {
        return admitDate;
    }

    public void setAdmitDate(String admitDate) {
        this.admitDate = admitDate;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDepartmentCode() {
        return departmentCode;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public void setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
    }

    public String getRegFee() {
        return regFee;
    }

    public void setRegFee(String regFee) {
        this.regFee = regFee;
    }

    public String getSeqCode() {
        return seqCode;
    }

    public void setSeqCode(String seqCode) {
        this.seqCode = seqCode;
    }

    public String getAdmitAddress() {
        return admitAddress;
    }

    public void setAdmitAddress(String admitAddress) {
        this.admitAddress = admitAddress;
    }

    public String getSessionName() {
        return sessionName;
    }

    public void setSessionName(String sessionName) {
        this.sessionName = sessionName;
    }

    public String getAdmitRange() {
        return admitRange;
    }

    public void setAdmitRange(String admitRange) {
        this.admitRange = admitRange;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getInsuRegInfo() {
        return insuRegInfo;
    }

    public void setInsuRegInfo(String insuRegInfo) {
        this.insuRegInfo = insuRegInfo;
    }

    public String getReturnFlag() {
        return returnFlag;
    }

    public void setReturnFlag(String returnFlag) {
        this.returnFlag = returnFlag;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getMedicalCardId() {
        return medicalCardId;
    }

    public void setMedicalCardId(Integer medicalCardId) {
        this.medicalCardId = medicalCardId;
    }
}
