package com.ywt.outpatient.domain.entity.center;

import javax.persistence.*;
import java.util.Date;

/**
 * 用户电子签名表
 */
@Table(name = "user_sign")
@Entity
public class UserSign {

    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;

    /**
     * 医生Id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 签名地址
     */
    @Column(name = "sign_url", nullable = false)
    private String signUrl;

    /**
     * 是否删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 主键
     */
    public Integer getId() {
        return id;
    }

    /**
     * 医生Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 医生Id
     */
    public Integer getUserId() {
        return userId;
    }

    /**
     * 签名地址
     */
    public void setSignUrl(String signUrl) {
        this.signUrl = signUrl;
    }

    /**
     * 签名地址
     */
    public String getSignUrl() {
        return signUrl;
    }

    /**
     * 是否删除
     */
    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    /**
     * 是否删除
     */
    public Boolean isDeleted() {
        return deleted;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public String toString() {
        return "UserSign{" +
                "id=" + id + '\'' +
                "userId=" + userId + '\'' +
                "signUrl=" + signUrl + '\'' +
                "deleted=" + deleted + '\'' +
                "createTime=" + createTime + '\'' +
                '}';
    }
}
