package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * mri筛查表
 */
@Table(name = "mri_screening")
@Entity
public class MriScreening implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * mri筛查表，主键ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", insertable = false, nullable = false)
    private Integer id;

    /**
     * 患者姓名
     */
    @Column(name = "patient_name")
    private String patientName;

    /**
     * 1-男，2-女，0-未知
     */
    @Column(name = "sex")
    private Integer sex = 0;

    /**
     * 出生年月日
     */
    @Column(name = "birthday")
    private Date birthday;

    /**
     * 患者手机号
     */
    @Column(name = "patient_mobile")
    private String patientMobile;

    /**
     * 家庭住址
     */
    @Column(name = "address")
    private String address;

    /**
     * 基础病史(用于后台统计)
     */
    @Column(name = "base_disease_history_mg")
    private String baseDiseaseHistoryMg;

    /**
     * 遗传病史(用于后台统计)
     */
    @Column(name = "genetic_disease_history_mg")
    private String geneticDiseaseHistoryMg;

    /**
     * 生活习惯(用于后台统计)
     */
    @Column(name = "living_habits_mg")
    private String livingHabitsMg;

    /**
     * 临床症状(用于后台统计)
     */
    @Column(name = "clinical_symptoms_mg")
    private String clinicalSymptomsMg;

    /**
     * 磁共振检查结果
     */
    @Column(name = "rmi_result")
    private String rmiResult;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Integer deleted = 0;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    @Column(name = "user_id", nullable = false)
    private Integer userId;

    @Column(name = "submit_content", nullable = false)
    private String submitContent;

    @Column(name = "completed")
    private Boolean completed;

    /**
     * mri筛查表，主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * mri筛查表，主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 患者姓名
     */
    public String getPatientName() {
        return patientName;
    }

    /**
     * 患者姓名
     */
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    /**
     * 1-男，2-女，0-未知
     */
    public Integer getSex() {
        return sex;
    }

    /**
     * 1-男，2-女，0-未知
     */
    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * 出生年月日
     */
    public Date getBirthday() {
        return birthday;
    }

    /**
     * 出生年月日
     */
    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    /**
     * 患者手机号
     */
    public String getPatientMobile() {
        return patientMobile;
    }

    /**
     * 患者手机号
     */
    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    /**
     * 家庭住址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 家庭住址
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 基础病史(用于后台统计)
     */
    public String getBaseDiseaseHistoryMg() {
        return baseDiseaseHistoryMg;
    }

    /**
     * 基础病史(用于后台统计)
     */
    public void setBaseDiseaseHistoryMg(String baseDiseaseHistoryMg) {
        this.baseDiseaseHistoryMg = baseDiseaseHistoryMg;
    }

    /**
     * 遗传病史(用于后台统计)
     */
    public String getGeneticDiseaseHistoryMg() {
        return geneticDiseaseHistoryMg;
    }

    /**
     * 遗传病史(用于后台统计)
     */
    public void setGeneticDiseaseHistoryMg(String geneticDiseaseHistoryMg) {
        this.geneticDiseaseHistoryMg = geneticDiseaseHistoryMg;
    }

    /**
     * 生活习惯(用于后台统计)
     */
    public String getLivingHabitsMg() {
        return livingHabitsMg;
    }

    /**
     * 生活习惯(用于后台统计)
     */
    public void setLivingHabitsMg(String livingHabitsMg) {
        this.livingHabitsMg = livingHabitsMg;
    }

    /**
     * 临床症状(用于后台统计)
     */
    public String getClinicalSymptomsMg() {
        return clinicalSymptomsMg;
    }

    /**
     * 临床症状(用于后台统计)
     */
    public void setClinicalSymptomsMg(String clinicalSymptomsMg) {
        this.clinicalSymptomsMg = clinicalSymptomsMg;
    }

    /**
     * 磁共振检查结果
     */
    public String getRmiResult() {
        return rmiResult;
    }

    /**
     * 磁共振检查结果
     */
    public void setRmiResult(String rmiResult) {
        this.rmiResult = rmiResult;
    }

    /**
     * 是否删除（标识物理删除）
     */
    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 是否删除（标识物理删除）
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getSubmitContent() {
        return submitContent;
    }

    public void setSubmitContent(String submitContent) {
        this.submitContent = submitContent;
    }

    public Boolean getCompleted() {
        return completed;
    }

    public void setCompleted(Boolean completed) {
        this.completed = completed;
    }

    public String toString() {
      return "MriScreening{id=" + id + 
        ", patientName=" + patientName + 
        ", sex=" + sex + 
        ", birthday=" + birthday + 
        ", patientMobile=" + patientMobile + 
        ", address=" + address + 
        ", baseDiseaseHistoryMg=" + baseDiseaseHistoryMg + 
        ", geneticDiseaseHistoryMg=" + geneticDiseaseHistoryMg + 
        ", livingHabitsMg=" + livingHabitsMg + 
        ", clinicalSymptomsMg=" + clinicalSymptomsMg + 
        ", rmiResult=" + rmiResult + 
        ", deleted=" + deleted + 
        ", createTime=" + createTime + 
        ", updateTime=" + updateTime + 
        "}";
    }
}