package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * mri筛查问题选项表（存放问题）
 */
@Table(name = "mri_screening_question_options")
@Entity
public class MriScreeningQuestionOptions {
    /**
     * mri筛查选项表，主键ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", insertable = false, nullable = false)
    private Integer id;

    /**
     * mri分类ID
     */
    @Column(name = "category_id")
    private Integer categoryId;

    /**
     * mri分类名称
     */
    @Column(name = "category_name")
    private String categoryName;

    /**
     * mri问题、选项名称
     */
    @Column(name = "name")
    private String name;

    /**
     * 问题ID
     */
    @Column(name = "question_id", nullable = false)
    private Integer questionId;

    /**
     * 问题父类ID
     */
    @Column(name = "parent_id", nullable = false)
    private Integer parentId;

    /**
     * 权重，从小到大
     */
    @Column(name = "weight", nullable = false)
    private Integer weight;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Integer deleted = 0;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Timestamp createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private Timestamp updateTime;

    @Column(name = "level", nullable = false)
    private Integer level;

    /**
     * mri筛查选项表，主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * mri筛查选项表，主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * mri分类ID
     */
    public Integer getCategoryId() {
        return categoryId;
    }

    /**
     * mri分类ID
     */
    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * mri分类名称
     */
    public String getCategoryName() {
        return categoryName;
    }

    /**
     * mri分类名称
     */
    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    /**
     * mri问题、选项名称
     */
    public String getName() {
        return name;
    }

    /**
     * mri问题、选项名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 问题ID
     */
    public Integer getQuestionId() {
        return questionId;
    }

    /**
     * 问题ID
     */
    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    /**
     * 问题父类ID
     */
    public Integer getParentId() {
        return parentId;
    }

    /**
     * 问题父类ID
     */
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    /**
     * 权重，从小到大
     */
    public Integer getWeight() {
        return weight;
    }

    /**
     * 权重，从小到大
     */
    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    /**
     * 是否删除（标识物理删除）
     */
    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 是否删除（标识物理删除）
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 创建时间
     */
    public Timestamp getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     */
    public Timestamp getUpdateTime() {
        return updateTime;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 修改时间
     */
    public void setUpdateTime(Timestamp updateTime) {
        this.updateTime = updateTime;
    }

    public String toString() {
      return "MriScreeningQuestionOptions{id=" + id + 
        ", categoryId=" + categoryId + 
        ", categoryName=" + categoryName + 
        ", name=" + name + 
        ", questionId=" + questionId + 
        ", parentId=" + parentId + 
        ", weight=" + weight + 
        ", deleted=" + deleted + 
        ", createTime=" + createTime + 
        ", updateTime=" + updateTime + 
        "}";
    }
}