package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * mri预约表
 */
@Entity
@Table(name = "mri_subscribe")
public class MriSubscribe implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * mri结果表，主键ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", insertable = false, nullable = false)
    private Integer id;

    /**
     * 患者姓名
     */
    @Column(name = "patient_name")
    private String patientName;

    /**
     * 1-男，2-女，0-未知
     */
    @Column(name = "sex")
    private Integer sex = 0;

    /**
     * 患者手机号
     */
    @Column(name = "patient_mobile")
    private String patientMobile;

    /**
     * 预约时间
     */
    @Column(name = "subscribe_time")
    private Date subscribeTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Integer deleted = 0;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    @Column(name = "user_id")
    private Integer userId;

    /**
     *
     * 状态，0-正常，1-取消
     */
    @Column(name = "status")
    private Integer status;

    @Column(name = "break_promise")
    private Integer breakPromise;

    /**
     * mri结果表，主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * mri结果表，主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 患者姓名
     */
    public String getPatientName() {
        return patientName;
    }

    /**
     * 患者姓名
     */
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    /**
     * 1-男，2-女，0-未知
     */
    public Integer getSex() {
        return sex;
    }

    /**
     * 1-男，2-女，0-未知
     */
    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * 患者手机号
     */
    public String getPatientMobile() {
        return patientMobile;
    }

    /**
     * 患者手机号
     */
    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    /**
     * 预约时间
     */
    public Date getSubscribeTime() {
        return subscribeTime;
    }

    /**
     * 预约时间
     */
    public void setSubscribeTime(Date subscribeTime) {
        this.subscribeTime = subscribeTime;
    }

    /**
     * 是否删除（标识物理删除）
     */
    public Integer getDeleted() {
        return deleted;
    }

    /**
     * 是否删除（标识物理删除）
     */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getBreakPromise() {
        return breakPromise;
    }

    public void setBreakPromise(Integer breakPromise) {
        this.breakPromise = breakPromise;
    }

    public String toString() {
      return "MriSubscribe{id=" + id + 
        ", patientName=" + patientName + 
        ", sex=" + sex + 
        ", patientMobile=" + patientMobile + 
        ", subscribeTime=" + subscribeTime + 
        ", deleted=" + deleted + 
        ", createTime=" + createTime + 
        ", updateTime=" + updateTime + 
        "}";
    }
}