package com.ywt.outpatient.taihe.rpc.domain.entity.center;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * (RegisterRecord)实体类
 *
 * @author johnson lin
 * @since 2019-06-11 10:40:05
 */
@Entity
@Table(name = "register_record")
public class RegisterRecord implements Serializable {
    private static final long serialVersionUID = 300295667867400040L;

    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 医生姓名
     */
    @Column(name = "doctor_name")
    private String doctorName;

    /**
     * 医院名称
     */
    @Column(name = "hospital_name")
    private String hospitalName;

    /**
     * 科室名称
     */
    @Column(name = "dept_name")
    private String deptName;

    /**
     * 医生Id
     */
    @Column(name = "doctor_id")
    private Integer doctorId;

    /**
     * 医院Id
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 科室Id
     */
    @Column(name = "dept_id")
    private Integer deptId;

    /**
     * HIS系统科室编码
     */
    @Column(name = "dept_code")
    private String deptCode;

    /**
     * 总费用
     */
    @Column(name = "total")
    private Integer total;

    /**
     * 诊疗费
     */
    @Column(name = "medical_fee")
    private Integer medicalFee;

    /**
     * 挂号费
     */
    @Column(name = "registered_fee")
    private Integer registeredFee;

    /**
     * 预约日期
     */
    @Column(name = "registered_date")
    private LocalDate registeredDate;

    /**
     * 预约时段
     */
    @Column(name = "registered_period")
    private Integer registeredPeriod;

    /**
     * 预约起始时间
     */
    @Column(name = "start_time")
    private String startTime;

    /**
     * 预约结束时间
     */
    @Column(name = "end_time")
    private String endTime;

    /**
     * 证件类型
     */
    @Column(name = "id_type")
    private String idType;

    /**
     * 证件号码
     */
    @Column(name = "id_no")
    private String idNo;

    /**
     * 患者姓名
     */
    @Column(name = "patient_name")
    private String patientName;

    /**
     * 出生日期
     */
    @Column(name = "birthday")
    private LocalDate birthday;

    /**
     * 性别
     */
    @Column(name = "patient_sex")
    private Integer patientSex;

    /**
     * 手机号码
     */
    @Column(name = "patient_mobile")
    private String patientMobile;

    /**
     * 用户Id
     */
    @Column(name = "user_id")
    private Integer userId;

    /**
     * 医生职称
     */
    @Column(name = "doctor_title")
    private String doctorTitle;

    /**
     * HIS系统医生编码
     */
    @Column(name = "doctor_code")
    private String doctorCode;

    /**
     * 门诊标识
     */
    @Column(name = "schedule_item_code")
    private String scheduleItemCode;

    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Boolean deleted;

    /**
     * 添加日期
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getMedicalFee() {
        return medicalFee;
    }

    public void setMedicalFee(Integer medicalFee) {
        this.medicalFee = medicalFee;
    }

    public Integer getRegisteredFee() {
        return registeredFee;
    }

    public void setRegisteredFee(Integer registeredFee) {
        this.registeredFee = registeredFee;
    }

    public LocalDate getRegisteredDate() {
        return registeredDate;
    }

    public void setRegisteredDate(LocalDate registeredDate) {
        this.registeredDate = registeredDate;
    }

    public Integer getRegisteredPeriod() {
        return registeredPeriod;
    }

    public void setRegisteredPeriod(Integer registeredPeriod) {
        this.registeredPeriod = registeredPeriod;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public LocalDate getBirthday() {
        return birthday;
    }

    public void setBirthday(LocalDate birthday) {
        this.birthday = birthday;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public void setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getScheduleItemCode() {
        return scheduleItemCode;
    }

    public void setScheduleItemCode(String scheduleItemCode) {
        this.scheduleItemCode = scheduleItemCode;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

}