/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.third.taihe;

import org.apache.dubbo.common.stream.StreamObserver;
import org.apache.dubbo.common.URL;
import org.apache.dubbo.rpc.Invoker;
import org.apache.dubbo.rpc.PathResolver;
import org.apache.dubbo.rpc.RpcException;
import org.apache.dubbo.rpc.ServerService;
import org.apache.dubbo.rpc.TriRpcStatus;
import org.apache.dubbo.rpc.model.MethodDescriptor;
import org.apache.dubbo.rpc.model.ServiceDescriptor;
import org.apache.dubbo.rpc.model.StubMethodDescriptor;
import org.apache.dubbo.rpc.model.StubServiceDescriptor;
import org.apache.dubbo.rpc.stub.BiStreamMethodHandler;
import org.apache.dubbo.rpc.stub.ServerStreamMethodHandler;
import org.apache.dubbo.rpc.stub.StubInvocationUtil;
import org.apache.dubbo.rpc.stub.StubInvoker;
import org.apache.dubbo.rpc.stub.StubMethodHandler;
import org.apache.dubbo.rpc.stub.StubSuppliers;
import org.apache.dubbo.rpc.stub.UnaryStubMethodHandler;

import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public final class DubboTaiheServiceTriple {

    public static final String SERVICE_NAME = TaiheService.SERVICE_NAME;

    private static final StubServiceDescriptor serviceDescriptor = new StubServiceDescriptor(SERVICE_NAME,TaiheService.class);

    static {
        org.apache.dubbo.rpc.protocol.tri.service.SchemaDescriptorRegistry.addSchemaDescriptor(SERVICE_NAME,TaiheProto.getDescriptor());
        StubSuppliers.addSupplier(SERVICE_NAME, DubboTaiheServiceTriple::newStub);
        StubSuppliers.addSupplier(TaiheService.JAVA_SERVICE_NAME,  DubboTaiheServiceTriple::newStub);
        StubSuppliers.addDescriptor(SERVICE_NAME, serviceDescriptor);
        StubSuppliers.addDescriptor(TaiheService.JAVA_SERVICE_NAME, serviceDescriptor);
    }

    @SuppressWarnings("all")
    public static TaiheService newStub(Invoker<?> invoker) {
        return new TaiheServiceStub((Invoker<TaiheService>)invoker);
    }

    private static final StubMethodDescriptor getPatientInfoMethod = new StubMethodDescriptor("getPatientInfo",
    com.ywt.gapi.third.taihe.GetPatientInfoRequest.class, com.ywt.gapi.third.taihe.GetPatientInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPatientInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPatientInfoResponse::parseFrom);

    private static final StubMethodDescriptor getPatientInfoAsyncMethod = new StubMethodDescriptor("getPatientInfo",
    com.ywt.gapi.third.taihe.GetPatientInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPatientInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPatientInfoResponse::parseFrom);

    private static final StubMethodDescriptor getPatientInfoProxyAsyncMethod = new StubMethodDescriptor("getPatientInfoAsync",
    com.ywt.gapi.third.taihe.GetPatientInfoRequest.class, com.ywt.gapi.third.taihe.GetPatientInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPatientInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPatientInfoResponse::parseFrom);

    private static final StubMethodDescriptor getDeptListMethod = new StubMethodDescriptor("getDeptList",
    com.ywt.gapi.third.taihe.GetDeptListRequest.class, com.ywt.gapi.third.taihe.GetDeptListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDeptListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDeptListResponse::parseFrom);

    private static final StubMethodDescriptor getDeptListAsyncMethod = new StubMethodDescriptor("getDeptList",
    com.ywt.gapi.third.taihe.GetDeptListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDeptListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDeptListResponse::parseFrom);

    private static final StubMethodDescriptor getDeptListProxyAsyncMethod = new StubMethodDescriptor("getDeptListAsync",
    com.ywt.gapi.third.taihe.GetDeptListRequest.class, com.ywt.gapi.third.taihe.GetDeptListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDeptListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDeptListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorListMethod = new StubMethodDescriptor("getDoctorList",
    com.ywt.gapi.third.taihe.GetDoctorListRequest.class, com.ywt.gapi.third.taihe.GetDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDoctorListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorListAsyncMethod = new StubMethodDescriptor("getDoctorList",
    com.ywt.gapi.third.taihe.GetDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDoctorListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorListProxyAsyncMethod = new StubMethodDescriptor("getDoctorListAsync",
    com.ywt.gapi.third.taihe.GetDoctorListRequest.class, com.ywt.gapi.third.taihe.GetDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDoctorListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordMethod = new StubMethodDescriptor("getMedicalRecord",
    com.ywt.gapi.third.taihe.GetMedicalRecordRequest.class, com.ywt.gapi.third.taihe.GetMedicalRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetMedicalRecordRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetMedicalRecordResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordAsyncMethod = new StubMethodDescriptor("getMedicalRecord",
    com.ywt.gapi.third.taihe.GetMedicalRecordRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetMedicalRecordRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetMedicalRecordResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordProxyAsyncMethod = new StubMethodDescriptor("getMedicalRecordAsync",
    com.ywt.gapi.third.taihe.GetMedicalRecordRequest.class, com.ywt.gapi.third.taihe.GetMedicalRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetMedicalRecordRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetMedicalRecordResponse::parseFrom);

    private static final StubMethodDescriptor getLaboratoryListMethod = new StubMethodDescriptor("getLaboratoryList",
    com.ywt.gapi.third.taihe.GetLaboratoryListRequest.class, com.ywt.gapi.third.taihe.GetLaboratoryListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetLaboratoryListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetLaboratoryListResponse::parseFrom);

    private static final StubMethodDescriptor getLaboratoryListAsyncMethod = new StubMethodDescriptor("getLaboratoryList",
    com.ywt.gapi.third.taihe.GetLaboratoryListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetLaboratoryListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetLaboratoryListResponse::parseFrom);

    private static final StubMethodDescriptor getLaboratoryListProxyAsyncMethod = new StubMethodDescriptor("getLaboratoryListAsync",
    com.ywt.gapi.third.taihe.GetLaboratoryListRequest.class, com.ywt.gapi.third.taihe.GetLaboratoryListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetLaboratoryListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetLaboratoryListResponse::parseFrom);

    private static final StubMethodDescriptor getLaboratoryDetailMethod = new StubMethodDescriptor("getLaboratoryDetail",
    com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest.class, com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse::parseFrom);

    private static final StubMethodDescriptor getLaboratoryDetailAsyncMethod = new StubMethodDescriptor("getLaboratoryDetail",
    com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse::parseFrom);

    private static final StubMethodDescriptor getLaboratoryDetailProxyAsyncMethod = new StubMethodDescriptor("getLaboratoryDetailAsync",
    com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest.class, com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleListMethod = new StubMethodDescriptor("getScheduleList",
    com.ywt.gapi.third.taihe.GetScheduleListRequest.class, com.ywt.gapi.third.taihe.GetScheduleListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetScheduleListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetScheduleListResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleListAsyncMethod = new StubMethodDescriptor("getScheduleList",
    com.ywt.gapi.third.taihe.GetScheduleListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetScheduleListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetScheduleListResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleListProxyAsyncMethod = new StubMethodDescriptor("getScheduleListAsync",
    com.ywt.gapi.third.taihe.GetScheduleListRequest.class, com.ywt.gapi.third.taihe.GetScheduleListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetScheduleListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetScheduleListResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleTimeInfoMethod = new StubMethodDescriptor("getScheduleTimeInfo",
    com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest.class, com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleTimeInfoAsyncMethod = new StubMethodDescriptor("getScheduleTimeInfo",
    com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleTimeInfoProxyAsyncMethod = new StubMethodDescriptor("getScheduleTimeInfoAsync",
    com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest.class, com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse::parseFrom);

    private static final StubMethodDescriptor getInspectionListMethod = new StubMethodDescriptor("getInspectionList",
    com.ywt.gapi.third.taihe.GetInspectionListRequest.class, com.ywt.gapi.third.taihe.GetInspectionListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInspectionListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInspectionListResponse::parseFrom);

    private static final StubMethodDescriptor getInspectionListAsyncMethod = new StubMethodDescriptor("getInspectionList",
    com.ywt.gapi.third.taihe.GetInspectionListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInspectionListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInspectionListResponse::parseFrom);

    private static final StubMethodDescriptor getInspectionListProxyAsyncMethod = new StubMethodDescriptor("getInspectionListAsync",
    com.ywt.gapi.third.taihe.GetInspectionListRequest.class, com.ywt.gapi.third.taihe.GetInspectionListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInspectionListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInspectionListResponse::parseFrom);

    private static final StubMethodDescriptor getInspectionDetailMethod = new StubMethodDescriptor("getInspectionDetail",
    com.ywt.gapi.third.taihe.GetInspectionDetailRequest.class, com.ywt.gapi.third.taihe.GetInspectionDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInspectionDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInspectionDetailResponse::parseFrom);

    private static final StubMethodDescriptor getInspectionDetailAsyncMethod = new StubMethodDescriptor("getInspectionDetail",
    com.ywt.gapi.third.taihe.GetInspectionDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInspectionDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInspectionDetailResponse::parseFrom);

    private static final StubMethodDescriptor getInspectionDetailProxyAsyncMethod = new StubMethodDescriptor("getInspectionDetailAsync",
    com.ywt.gapi.third.taihe.GetInspectionDetailRequest.class, com.ywt.gapi.third.taihe.GetInspectionDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInspectionDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInspectionDetailResponse::parseFrom);

    private static final StubMethodDescriptor getQueueInfoMethod = new StubMethodDescriptor("getQueueInfo",
    com.ywt.gapi.third.taihe.GetQueueInfoRequest.class, com.ywt.gapi.third.taihe.GetQueueInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetQueueInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetQueueInfoResponse::parseFrom);

    private static final StubMethodDescriptor getQueueInfoAsyncMethod = new StubMethodDescriptor("getQueueInfo",
    com.ywt.gapi.third.taihe.GetQueueInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetQueueInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetQueueInfoResponse::parseFrom);

    private static final StubMethodDescriptor getQueueInfoProxyAsyncMethod = new StubMethodDescriptor("getQueueInfoAsync",
    com.ywt.gapi.third.taihe.GetQueueInfoRequest.class, com.ywt.gapi.third.taihe.GetQueueInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetQueueInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetQueueInfoResponse::parseFrom);

    /**
         * <pre>
         * 审核医生姓名
         * </pre>
         */
    private static final StubMethodDescriptor takeMethod = new StubMethodDescriptor("take",
    com.ywt.gapi.third.taihe.TakeRequest.class, com.ywt.gapi.third.taihe.TakeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.TakeRequest::parseFrom,
    com.ywt.gapi.third.taihe.TakeResponse::parseFrom);

    private static final StubMethodDescriptor takeAsyncMethod = new StubMethodDescriptor("take",
    com.ywt.gapi.third.taihe.TakeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.TakeRequest::parseFrom,
    com.ywt.gapi.third.taihe.TakeResponse::parseFrom);

    private static final StubMethodDescriptor takeProxyAsyncMethod = new StubMethodDescriptor("takeAsync",
    com.ywt.gapi.third.taihe.TakeRequest.class, com.ywt.gapi.third.taihe.TakeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.TakeRequest::parseFrom,
    com.ywt.gapi.third.taihe.TakeResponse::parseFrom);

    /**
         * <pre>
         * 挂号费
         * </pre>
         */
    private static final StubMethodDescriptor cancelMethod = new StubMethodDescriptor("cancel",
    com.ywt.gapi.third.taihe.CancelRequest.class, com.ywt.gapi.third.taihe.CancelResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CancelRequest::parseFrom,
    com.ywt.gapi.third.taihe.CancelResponse::parseFrom);

    private static final StubMethodDescriptor cancelAsyncMethod = new StubMethodDescriptor("cancel",
    com.ywt.gapi.third.taihe.CancelRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CancelRequest::parseFrom,
    com.ywt.gapi.third.taihe.CancelResponse::parseFrom);

    private static final StubMethodDescriptor cancelProxyAsyncMethod = new StubMethodDescriptor("cancelAsync",
    com.ywt.gapi.third.taihe.CancelRequest.class, com.ywt.gapi.third.taihe.CancelResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CancelRequest::parseFrom,
    com.ywt.gapi.third.taihe.CancelResponse::parseFrom);

    /**
         * <pre>
         * 诊查费
         * </pre>
         */
    private static final StubMethodDescriptor getRegistrationListMethod = new StubMethodDescriptor("getRegistrationList",
    com.ywt.gapi.third.taihe.GetRegistrationListRequest.class, com.ywt.gapi.third.taihe.GetRegistrationListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetRegistrationListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetRegistrationListResponse::parseFrom);

    private static final StubMethodDescriptor getRegistrationListAsyncMethod = new StubMethodDescriptor("getRegistrationList",
    com.ywt.gapi.third.taihe.GetRegistrationListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetRegistrationListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetRegistrationListResponse::parseFrom);

    private static final StubMethodDescriptor getRegistrationListProxyAsyncMethod = new StubMethodDescriptor("getRegistrationListAsync",
    com.ywt.gapi.third.taihe.GetRegistrationListRequest.class, com.ywt.gapi.third.taihe.GetRegistrationListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetRegistrationListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetRegistrationListResponse::parseFrom);

    /**
         * <pre>
         * 服务费
         * </pre>
         */
    private static final StubMethodDescriptor getRegistrationDetailMethod = new StubMethodDescriptor("getRegistrationDetail",
    com.ywt.gapi.third.taihe.GetRegistrationDetailRequest.class, com.ywt.gapi.third.taihe.GetRegistrationDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetRegistrationDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetRegistrationDetailResponse::parseFrom);

    private static final StubMethodDescriptor getRegistrationDetailAsyncMethod = new StubMethodDescriptor("getRegistrationDetail",
    com.ywt.gapi.third.taihe.GetRegistrationDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetRegistrationDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetRegistrationDetailResponse::parseFrom);

    private static final StubMethodDescriptor getRegistrationDetailProxyAsyncMethod = new StubMethodDescriptor("getRegistrationDetailAsync",
    com.ywt.gapi.third.taihe.GetRegistrationDetailRequest.class, com.ywt.gapi.third.taihe.GetRegistrationDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetRegistrationDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetRegistrationDetailResponse::parseFrom);

    /**
         * <pre>
         * 其它费
         * </pre>
         */
    private static final StubMethodDescriptor registerMethod = new StubMethodDescriptor("register",
    com.ywt.gapi.third.taihe.RegisterRequest.class, com.ywt.gapi.third.taihe.RegisterResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.RegisterRequest::parseFrom,
    com.ywt.gapi.third.taihe.RegisterResponse::parseFrom);

    private static final StubMethodDescriptor registerAsyncMethod = new StubMethodDescriptor("register",
    com.ywt.gapi.third.taihe.RegisterRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.RegisterRequest::parseFrom,
    com.ywt.gapi.third.taihe.RegisterResponse::parseFrom);

    private static final StubMethodDescriptor registerProxyAsyncMethod = new StubMethodDescriptor("registerAsync",
    com.ywt.gapi.third.taihe.RegisterRequest.class, com.ywt.gapi.third.taihe.RegisterResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.RegisterRequest::parseFrom,
    com.ywt.gapi.third.taihe.RegisterResponse::parseFrom);

    /**
         * <pre>
         * 就诊地址
         * </pre>
         */
    private static final StubMethodDescriptor payMethod = new StubMethodDescriptor("pay",
    com.ywt.gapi.third.taihe.PayRequest.class, com.ywt.gapi.third.taihe.PayResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayResponse::parseFrom);

    private static final StubMethodDescriptor payAsyncMethod = new StubMethodDescriptor("pay",
    com.ywt.gapi.third.taihe.PayRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayResponse::parseFrom);

    private static final StubMethodDescriptor payProxyAsyncMethod = new StubMethodDescriptor("payAsync",
    com.ywt.gapi.third.taihe.PayRequest.class, com.ywt.gapi.third.taihe.PayResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayResponse::parseFrom);

    /**
         * <pre>
         * 出诊状态（1-可预约 0-已满 2-停诊 3-其它(不可预约)）
         * </pre>
         */
    private static final StubMethodDescriptor payFreeMethod = new StubMethodDescriptor("payFree",
    com.ywt.gapi.third.taihe.PayFreeRequest.class, com.ywt.gapi.third.taihe.PayFreeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayFreeRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayFreeResponse::parseFrom);

    private static final StubMethodDescriptor payFreeAsyncMethod = new StubMethodDescriptor("payFree",
    com.ywt.gapi.third.taihe.PayFreeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayFreeRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayFreeResponse::parseFrom);

    private static final StubMethodDescriptor payFreeProxyAsyncMethod = new StubMethodDescriptor("payFreeAsync",
    com.ywt.gapi.third.taihe.PayFreeRequest.class, com.ywt.gapi.third.taihe.PayFreeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayFreeRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayFreeResponse::parseFrom);

    /**
         * <pre>
         * 该时段可预约的总号源数
         * </pre>
         */
    private static final StubMethodDescriptor getOutpatientListMethod = new StubMethodDescriptor("getOutpatientList",
    com.ywt.gapi.third.taihe.GetOutpatientListRequest.class, com.ywt.gapi.third.taihe.GetOutpatientListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetOutpatientListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetOutpatientListResponse::parseFrom);

    private static final StubMethodDescriptor getOutpatientListAsyncMethod = new StubMethodDescriptor("getOutpatientList",
    com.ywt.gapi.third.taihe.GetOutpatientListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetOutpatientListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetOutpatientListResponse::parseFrom);

    private static final StubMethodDescriptor getOutpatientListProxyAsyncMethod = new StubMethodDescriptor("getOutpatientListAsync",
    com.ywt.gapi.third.taihe.GetOutpatientListRequest.class, com.ywt.gapi.third.taihe.GetOutpatientListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetOutpatientListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetOutpatientListResponse::parseFrom);

    /**
         * <pre>
         * 该时段剩余号源数
         * </pre>
         */
    private static final StubMethodDescriptor getPaymentDetailMethod = new StubMethodDescriptor("getPaymentDetail",
    com.ywt.gapi.third.taihe.GetPaymentDetailRequest.class, com.ywt.gapi.third.taihe.GetPaymentDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPaymentDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPaymentDetailResponse::parseFrom);

    private static final StubMethodDescriptor getPaymentDetailAsyncMethod = new StubMethodDescriptor("getPaymentDetail",
    com.ywt.gapi.third.taihe.GetPaymentDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPaymentDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPaymentDetailResponse::parseFrom);

    private static final StubMethodDescriptor getPaymentDetailProxyAsyncMethod = new StubMethodDescriptor("getPaymentDetailAsync",
    com.ywt.gapi.third.taihe.GetPaymentDetailRequest.class, com.ywt.gapi.third.taihe.GetPaymentDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPaymentDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPaymentDetailResponse::parseFrom);

    private static final StubMethodDescriptor calInsuranceMethod = new StubMethodDescriptor("calInsurance",
    com.ywt.gapi.third.taihe.CalInsuranceRequest.class, com.ywt.gapi.third.taihe.CalInsuranceResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CalInsuranceRequest::parseFrom,
    com.ywt.gapi.third.taihe.CalInsuranceResponse::parseFrom);

    private static final StubMethodDescriptor calInsuranceAsyncMethod = new StubMethodDescriptor("calInsurance",
    com.ywt.gapi.third.taihe.CalInsuranceRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CalInsuranceRequest::parseFrom,
    com.ywt.gapi.third.taihe.CalInsuranceResponse::parseFrom);

    private static final StubMethodDescriptor calInsuranceProxyAsyncMethod = new StubMethodDescriptor("calInsuranceAsync",
    com.ywt.gapi.third.taihe.CalInsuranceRequest.class, com.ywt.gapi.third.taihe.CalInsuranceResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CalInsuranceRequest::parseFrom,
    com.ywt.gapi.third.taihe.CalInsuranceResponse::parseFrom);

    private static final StubMethodDescriptor payOrderMethod = new StubMethodDescriptor("payOrder",
    com.ywt.gapi.third.taihe.PayOrderRequest.class, com.ywt.gapi.third.taihe.PayOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayOrderResponse::parseFrom);

    private static final StubMethodDescriptor payOrderAsyncMethod = new StubMethodDescriptor("payOrder",
    com.ywt.gapi.third.taihe.PayOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayOrderResponse::parseFrom);

    private static final StubMethodDescriptor payOrderProxyAsyncMethod = new StubMethodDescriptor("payOrderAsync",
    com.ywt.gapi.third.taihe.PayOrderRequest.class, com.ywt.gapi.third.taihe.PayOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayOrderResponse::parseFrom);

    private static final StubMethodDescriptor getAddInfoMethod = new StubMethodDescriptor("getAddInfo",
    com.ywt.gapi.third.taihe.GetAddInfoRequest.class, com.ywt.gapi.third.taihe.GetAddInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetAddInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetAddInfoResponse::parseFrom);

    private static final StubMethodDescriptor getAddInfoAsyncMethod = new StubMethodDescriptor("getAddInfo",
    com.ywt.gapi.third.taihe.GetAddInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetAddInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetAddInfoResponse::parseFrom);

    private static final StubMethodDescriptor getAddInfoProxyAsyncMethod = new StubMethodDescriptor("getAddInfoAsync",
    com.ywt.gapi.third.taihe.GetAddInfoRequest.class, com.ywt.gapi.third.taihe.GetAddInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetAddInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetAddInfoResponse::parseFrom);

    private static final StubMethodDescriptor getTreatmentGuideMethod = new StubMethodDescriptor("getTreatmentGuide",
    com.ywt.gapi.third.taihe.GetTreatmentGuideRequest.class, com.ywt.gapi.third.taihe.GetTreatmentGuideResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetTreatmentGuideRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetTreatmentGuideResponse::parseFrom);

    private static final StubMethodDescriptor getTreatmentGuideAsyncMethod = new StubMethodDescriptor("getTreatmentGuide",
    com.ywt.gapi.third.taihe.GetTreatmentGuideRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetTreatmentGuideRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetTreatmentGuideResponse::parseFrom);

    private static final StubMethodDescriptor getTreatmentGuideProxyAsyncMethod = new StubMethodDescriptor("getTreatmentGuideAsync",
    com.ywt.gapi.third.taihe.GetTreatmentGuideRequest.class, com.ywt.gapi.third.taihe.GetTreatmentGuideResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetTreatmentGuideRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetTreatmentGuideResponse::parseFrom);

    private static final StubMethodDescriptor getTreatmentGuideV2Method = new StubMethodDescriptor("getTreatmentGuideV2",
    com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request.class, com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request::parseFrom,
    com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response::parseFrom);

    private static final StubMethodDescriptor getTreatmentGuideV2AsyncMethod = new StubMethodDescriptor("getTreatmentGuideV2",
    com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request::parseFrom,
    com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response::parseFrom);

    private static final StubMethodDescriptor getTreatmentGuideV2ProxyAsyncMethod = new StubMethodDescriptor("getTreatmentGuideV2Async",
    com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request.class, com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request::parseFrom,
    com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response::parseFrom);

    /**
         * <pre>
         *  出诊级别code
         * </pre>
         */
    private static final StubMethodDescriptor getDrugListMethod = new StubMethodDescriptor("getDrugList",
    com.ywt.gapi.third.taihe.GetDrugListRequest.class, com.ywt.gapi.third.taihe.GetDrugListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDrugListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDrugListResponse::parseFrom);

    private static final StubMethodDescriptor getDrugListAsyncMethod = new StubMethodDescriptor("getDrugList",
    com.ywt.gapi.third.taihe.GetDrugListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDrugListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDrugListResponse::parseFrom);

    private static final StubMethodDescriptor getDrugListProxyAsyncMethod = new StubMethodDescriptor("getDrugListAsync",
    com.ywt.gapi.third.taihe.GetDrugListRequest.class, com.ywt.gapi.third.taihe.GetDrugListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDrugListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDrugListResponse::parseFrom);

    /**
         * <pre>
         *  出诊级别name
         * </pre>
         */
    private static final StubMethodDescriptor pushPresInfoMethod = new StubMethodDescriptor("pushPresInfo",
    com.ywt.gapi.third.taihe.PushPresInfoRequest.class, com.ywt.gapi.third.taihe.BaseResult.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PushPresInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.BaseResult::parseFrom);

    private static final StubMethodDescriptor pushPresInfoAsyncMethod = new StubMethodDescriptor("pushPresInfo",
    com.ywt.gapi.third.taihe.PushPresInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PushPresInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.BaseResult::parseFrom);

    private static final StubMethodDescriptor pushPresInfoProxyAsyncMethod = new StubMethodDescriptor("pushPresInfoAsync",
    com.ywt.gapi.third.taihe.PushPresInfoRequest.class, com.ywt.gapi.third.taihe.BaseResult.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PushPresInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.BaseResult::parseFrom);

    /**
         * <pre>
         * 获取处方信息
         * </pre>
         */
    private static final StubMethodDescriptor getPresInfoMethod = new StubMethodDescriptor("getPresInfo",
    com.ywt.gapi.third.taihe.GetPresInfoRequest.class, com.ywt.gapi.third.taihe.GetPresInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPresInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPresInfoResponse::parseFrom);

    private static final StubMethodDescriptor getPresInfoAsyncMethod = new StubMethodDescriptor("getPresInfo",
    com.ywt.gapi.third.taihe.GetPresInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPresInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPresInfoResponse::parseFrom);

    private static final StubMethodDescriptor getPresInfoProxyAsyncMethod = new StubMethodDescriptor("getPresInfoAsync",
    com.ywt.gapi.third.taihe.GetPresInfoRequest.class, com.ywt.gapi.third.taihe.GetPresInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPresInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPresInfoResponse::parseFrom);

    /**
         * <pre>
         * 根据就诊流水号获取患者基本信息
         * </pre>
         */
    private static final StubMethodDescriptor getPatInfoByHisClinicCodeMethod = new StubMethodDescriptor("getPatInfoByHisClinicCode",
    com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest.class, com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse::parseFrom);

    private static final StubMethodDescriptor getPatInfoByHisClinicCodeAsyncMethod = new StubMethodDescriptor("getPatInfoByHisClinicCode",
    com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse::parseFrom);

    private static final StubMethodDescriptor getPatInfoByHisClinicCodeProxyAsyncMethod = new StubMethodDescriptor("getPatInfoByHisClinicCodeAsync",
    com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest.class, com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse::parseFrom);

    /**
         * <pre>
         *  东华 HIS 挂号锁号
         * </pre>
         */
    private static final StubMethodDescriptor lockOrderMethod = new StubMethodDescriptor("lockOrder",
    com.ywt.gapi.third.taihe.LockOrderRequest.class, com.ywt.gapi.third.taihe.LockOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.LockOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.LockOrderResponse::parseFrom);

    private static final StubMethodDescriptor lockOrderAsyncMethod = new StubMethodDescriptor("lockOrder",
    com.ywt.gapi.third.taihe.LockOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.LockOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.LockOrderResponse::parseFrom);

    private static final StubMethodDescriptor lockOrderProxyAsyncMethod = new StubMethodDescriptor("lockOrderAsync",
    com.ywt.gapi.third.taihe.LockOrderRequest.class, com.ywt.gapi.third.taihe.LockOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.LockOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.LockOrderResponse::parseFrom);

    /**
         * <pre>
         *  获取就诊记录列表
         * </pre>
         */
    private static final StubMethodDescriptor getClinicListMethod = new StubMethodDescriptor("getClinicList",
    com.ywt.gapi.third.taihe.GetClinicListRequest.class, com.ywt.gapi.third.taihe.GetClinicListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetClinicListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetClinicListResponse::parseFrom);

    private static final StubMethodDescriptor getClinicListAsyncMethod = new StubMethodDescriptor("getClinicList",
    com.ywt.gapi.third.taihe.GetClinicListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetClinicListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetClinicListResponse::parseFrom);

    private static final StubMethodDescriptor getClinicListProxyAsyncMethod = new StubMethodDescriptor("getClinicListAsync",
    com.ywt.gapi.third.taihe.GetClinicListRequest.class, com.ywt.gapi.third.taihe.GetClinicListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetClinicListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetClinicListResponse::parseFrom);

    /**
         * <pre>
         *  获取医生当前排班信息
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorCurrentScheduleMethod = new StubMethodDescriptor("getDoctorCurrentSchedule",
    com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest.class, com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorCurrentScheduleAsyncMethod = new StubMethodDescriptor("getDoctorCurrentSchedule",
    com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorCurrentScheduleProxyAsyncMethod = new StubMethodDescriptor("getDoctorCurrentScheduleAsync",
    com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest.class, com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse::parseFrom);

    /**
         * <pre>
         *  预结算
         * </pre>
         */
    private static final StubMethodDescriptor prePayConfirmMethod = new StubMethodDescriptor("prePayConfirm",
    com.ywt.gapi.third.taihe.PrePayConfirmRequest.class, com.ywt.gapi.third.taihe.PrePayConfirmResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PrePayConfirmRequest::parseFrom,
    com.ywt.gapi.third.taihe.PrePayConfirmResponse::parseFrom);

    private static final StubMethodDescriptor prePayConfirmAsyncMethod = new StubMethodDescriptor("prePayConfirm",
    com.ywt.gapi.third.taihe.PrePayConfirmRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PrePayConfirmRequest::parseFrom,
    com.ywt.gapi.third.taihe.PrePayConfirmResponse::parseFrom);

    private static final StubMethodDescriptor prePayConfirmProxyAsyncMethod = new StubMethodDescriptor("prePayConfirmAsync",
    com.ywt.gapi.third.taihe.PrePayConfirmRequest.class, com.ywt.gapi.third.taihe.PrePayConfirmResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PrePayConfirmRequest::parseFrom,
    com.ywt.gapi.third.taihe.PrePayConfirmResponse::parseFrom);

    /**
         * <pre>
         *  查询药品库存
         * </pre>
         */
    private static final StubMethodDescriptor getDrugInventoryMethod = new StubMethodDescriptor("getDrugInventory",
    com.ywt.gapi.third.taihe.GetDrugInventoryRequest.class, com.ywt.gapi.third.taihe.GetDrugInventoryResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDrugInventoryRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDrugInventoryResponse::parseFrom);

    private static final StubMethodDescriptor getDrugInventoryAsyncMethod = new StubMethodDescriptor("getDrugInventory",
    com.ywt.gapi.third.taihe.GetDrugInventoryRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDrugInventoryRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDrugInventoryResponse::parseFrom);

    private static final StubMethodDescriptor getDrugInventoryProxyAsyncMethod = new StubMethodDescriptor("getDrugInventoryAsync",
    com.ywt.gapi.third.taihe.GetDrugInventoryRequest.class, com.ywt.gapi.third.taihe.GetDrugInventoryResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDrugInventoryRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDrugInventoryResponse::parseFrom);

    /**
         * <pre>
         *  插入诊断
         * </pre>
         */
    private static final StubMethodDescriptor addDiagnosisMethod = new StubMethodDescriptor("addDiagnosis",
    com.ywt.gapi.third.taihe.AddDiagnosisRequest.class, com.ywt.gapi.third.taihe.AddDiagnosisResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.AddDiagnosisRequest::parseFrom,
    com.ywt.gapi.third.taihe.AddDiagnosisResponse::parseFrom);

    private static final StubMethodDescriptor addDiagnosisAsyncMethod = new StubMethodDescriptor("addDiagnosis",
    com.ywt.gapi.third.taihe.AddDiagnosisRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.AddDiagnosisRequest::parseFrom,
    com.ywt.gapi.third.taihe.AddDiagnosisResponse::parseFrom);

    private static final StubMethodDescriptor addDiagnosisProxyAsyncMethod = new StubMethodDescriptor("addDiagnosisAsync",
    com.ywt.gapi.third.taihe.AddDiagnosisRequest.class, com.ywt.gapi.third.taihe.AddDiagnosisResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.AddDiagnosisRequest::parseFrom,
    com.ywt.gapi.third.taihe.AddDiagnosisResponse::parseFrom);

    /**
         * <pre>
         *  插入医嘱
         * </pre>
         */
    private static final StubMethodDescriptor addOEORIInfoMethod = new StubMethodDescriptor("addOEORIInfo",
    com.ywt.gapi.third.taihe.AddOEORIInfoRequest.class, com.ywt.gapi.third.taihe.AddOEORIInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.AddOEORIInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.AddOEORIInfoResponse::parseFrom);

    private static final StubMethodDescriptor addOEORIInfoAsyncMethod = new StubMethodDescriptor("addOEORIInfo",
    com.ywt.gapi.third.taihe.AddOEORIInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.AddOEORIInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.AddOEORIInfoResponse::parseFrom);

    private static final StubMethodDescriptor addOEORIInfoProxyAsyncMethod = new StubMethodDescriptor("addOEORIInfoAsync",
    com.ywt.gapi.third.taihe.AddOEORIInfoRequest.class, com.ywt.gapi.third.taihe.AddOEORIInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.AddOEORIInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.AddOEORIInfoResponse::parseFrom);

    /**
         * <pre>
         *  作废医嘱
         * </pre>
         */
    private static final StubMethodDescriptor cancelOEORIInfoMethod = new StubMethodDescriptor("cancelOEORIInfo",
    com.ywt.gapi.third.taihe.CancelOEORIInfoRequest.class, com.ywt.gapi.third.taihe.CancelOEORIInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CancelOEORIInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.CancelOEORIInfoResponse::parseFrom);

    private static final StubMethodDescriptor cancelOEORIInfoAsyncMethod = new StubMethodDescriptor("cancelOEORIInfo",
    com.ywt.gapi.third.taihe.CancelOEORIInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CancelOEORIInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.CancelOEORIInfoResponse::parseFrom);

    private static final StubMethodDescriptor cancelOEORIInfoProxyAsyncMethod = new StubMethodDescriptor("cancelOEORIInfoAsync",
    com.ywt.gapi.third.taihe.CancelOEORIInfoRequest.class, com.ywt.gapi.third.taihe.CancelOEORIInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CancelOEORIInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.CancelOEORIInfoResponse::parseFrom);

    /**
         * <pre>
         *  获取住院患者信息
         * </pre>
         */
    private static final StubMethodDescriptor getInPatInfoMethod = new StubMethodDescriptor("getInPatInfo",
    com.ywt.gapi.third.taihe.GetInPatInfoRequest.class, com.ywt.gapi.third.taihe.GetInPatInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInPatInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInPatInfoResponse::parseFrom);

    private static final StubMethodDescriptor getInPatInfoAsyncMethod = new StubMethodDescriptor("getInPatInfo",
    com.ywt.gapi.third.taihe.GetInPatInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInPatInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInPatInfoResponse::parseFrom);

    private static final StubMethodDescriptor getInPatInfoProxyAsyncMethod = new StubMethodDescriptor("getInPatInfoAsync",
    com.ywt.gapi.third.taihe.GetInPatInfoRequest.class, com.ywt.gapi.third.taihe.GetInPatInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInPatInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInPatInfoResponse::parseFrom);

    /**
         * <pre>
         *  日清单列表
         * </pre>
         */
    private static final StubMethodDescriptor getDayFeeListMethod = new StubMethodDescriptor("getDayFeeList",
    com.ywt.gapi.third.taihe.GetDayFeeListRequest.class, com.ywt.gapi.third.taihe.GetDayFeeListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDayFeeListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDayFeeListResponse::parseFrom);

    private static final StubMethodDescriptor getDayFeeListAsyncMethod = new StubMethodDescriptor("getDayFeeList",
    com.ywt.gapi.third.taihe.GetDayFeeListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDayFeeListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDayFeeListResponse::parseFrom);

    private static final StubMethodDescriptor getDayFeeListProxyAsyncMethod = new StubMethodDescriptor("getDayFeeListAsync",
    com.ywt.gapi.third.taihe.GetDayFeeListRequest.class, com.ywt.gapi.third.taihe.GetDayFeeListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDayFeeListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDayFeeListResponse::parseFrom);

    /**
         * <pre>
         *  住院充值押金
         * </pre>
         */
    private static final StubMethodDescriptor payCashMethod = new StubMethodDescriptor("payCash",
    com.ywt.gapi.third.taihe.PayCashRequest.class, com.ywt.gapi.third.taihe.PayCashResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayCashRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayCashResponse::parseFrom);

    private static final StubMethodDescriptor payCashAsyncMethod = new StubMethodDescriptor("payCash",
    com.ywt.gapi.third.taihe.PayCashRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayCashRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayCashResponse::parseFrom);

    private static final StubMethodDescriptor payCashProxyAsyncMethod = new StubMethodDescriptor("payCashAsync",
    com.ywt.gapi.third.taihe.PayCashRequest.class, com.ywt.gapi.third.taihe.PayCashResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayCashRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayCashResponse::parseFrom);

    /**
         * <pre>
         *  查询住院押金
         * </pre>
         */
    private static final StubMethodDescriptor getCashListMethod = new StubMethodDescriptor("getCashList",
    com.ywt.gapi.third.taihe.GetCashListRequest.class, com.ywt.gapi.third.taihe.GetCashListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetCashListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetCashListResponse::parseFrom);

    private static final StubMethodDescriptor getCashListAsyncMethod = new StubMethodDescriptor("getCashList",
    com.ywt.gapi.third.taihe.GetCashListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetCashListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetCashListResponse::parseFrom);

    private static final StubMethodDescriptor getCashListProxyAsyncMethod = new StubMethodDescriptor("getCashListAsync",
    com.ywt.gapi.third.taihe.GetCashListRequest.class, com.ywt.gapi.third.taihe.GetCashListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetCashListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetCashListResponse::parseFrom);

    /**
         * <pre>
         * 在线自助报到
         * </pre>
         */
    private static final StubMethodDescriptor getCheckInMethod = new StubMethodDescriptor("getCheckIn",
    com.ywt.gapi.third.taihe.GetCheckInRequest.class, com.ywt.gapi.third.taihe.GetCheckInResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetCheckInRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetCheckInResponse::parseFrom);

    private static final StubMethodDescriptor getCheckInAsyncMethod = new StubMethodDescriptor("getCheckIn",
    com.ywt.gapi.third.taihe.GetCheckInRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetCheckInRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetCheckInResponse::parseFrom);

    private static final StubMethodDescriptor getCheckInProxyAsyncMethod = new StubMethodDescriptor("getCheckInAsync",
    com.ywt.gapi.third.taihe.GetCheckInRequest.class, com.ywt.gapi.third.taihe.GetCheckInResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetCheckInRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetCheckInResponse::parseFrom);

    /**
         * <pre>
         *  创建病人主索引
         * </pre>
         */
    private static final StubMethodDescriptor createPatInfoMethod = new StubMethodDescriptor("createPatInfo",
    com.ywt.gapi.third.taihe.CreatePatInfoRequest.class, com.ywt.gapi.third.taihe.CreatePatInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CreatePatInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.CreatePatInfoResponse::parseFrom);

    private static final StubMethodDescriptor createPatInfoAsyncMethod = new StubMethodDescriptor("createPatInfo",
    com.ywt.gapi.third.taihe.CreatePatInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CreatePatInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.CreatePatInfoResponse::parseFrom);

    private static final StubMethodDescriptor createPatInfoProxyAsyncMethod = new StubMethodDescriptor("createPatInfoAsync",
    com.ywt.gapi.third.taihe.CreatePatInfoRequest.class, com.ywt.gapi.third.taihe.CreatePatInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.CreatePatInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.CreatePatInfoResponse::parseFrom);

    /**
         * <pre>
         *  一键挂号
         * </pre>
         */
    private static final StubMethodDescriptor oneKeyRegisterMethod = new StubMethodDescriptor("oneKeyRegister",
    com.ywt.gapi.third.taihe.OneKeyRegisterRequest.class, com.ywt.gapi.third.taihe.OneKeyRegisterResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.OneKeyRegisterRequest::parseFrom,
    com.ywt.gapi.third.taihe.OneKeyRegisterResponse::parseFrom);

    private static final StubMethodDescriptor oneKeyRegisterAsyncMethod = new StubMethodDescriptor("oneKeyRegister",
    com.ywt.gapi.third.taihe.OneKeyRegisterRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.OneKeyRegisterRequest::parseFrom,
    com.ywt.gapi.third.taihe.OneKeyRegisterResponse::parseFrom);

    private static final StubMethodDescriptor oneKeyRegisterProxyAsyncMethod = new StubMethodDescriptor("oneKeyRegisterAsync",
    com.ywt.gapi.third.taihe.OneKeyRegisterRequest.class, com.ywt.gapi.third.taihe.OneKeyRegisterResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.OneKeyRegisterRequest::parseFrom,
    com.ywt.gapi.third.taihe.OneKeyRegisterResponse::parseFrom);

    /**
         * <pre>
         *  获取患者诊断详情 
         * </pre>
         */
    private static final StubMethodDescriptor getDiagnoseRecordMethod = new StubMethodDescriptor("getDiagnoseRecord",
    com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest.class, com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse::parseFrom);

    private static final StubMethodDescriptor getDiagnoseRecordAsyncMethod = new StubMethodDescriptor("getDiagnoseRecord",
    com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse::parseFrom);

    private static final StubMethodDescriptor getDiagnoseRecordProxyAsyncMethod = new StubMethodDescriptor("getDiagnoseRecordAsync",
    com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest.class, com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse::parseFrom);

    /**
         * <pre>
         *  体检缴费 查找待缴费记录  
         * </pre>
         */
    private static final StubMethodDescriptor phyPayListMethod = new StubMethodDescriptor("phyPayList",
    com.ywt.gapi.third.taihe.PhyPayListRequest.class, com.ywt.gapi.third.taihe.PhyPayListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayListRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayListResponse::parseFrom);

    private static final StubMethodDescriptor phyPayListAsyncMethod = new StubMethodDescriptor("phyPayList",
    com.ywt.gapi.third.taihe.PhyPayListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayListRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayListResponse::parseFrom);

    private static final StubMethodDescriptor phyPayListProxyAsyncMethod = new StubMethodDescriptor("phyPayListAsync",
    com.ywt.gapi.third.taihe.PhyPayListRequest.class, com.ywt.gapi.third.taihe.PhyPayListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayListRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayListResponse::parseFrom);

    /**
         * <pre>
         *  体检缴费 查找待缴费项目 
         * </pre>
         */
    private static final StubMethodDescriptor phyPayDetailMethod = new StubMethodDescriptor("phyPayDetail",
    com.ywt.gapi.third.taihe.PhyPayDetailRequest.class, com.ywt.gapi.third.taihe.PhyPayDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayDetailResponse::parseFrom);

    private static final StubMethodDescriptor phyPayDetailAsyncMethod = new StubMethodDescriptor("phyPayDetail",
    com.ywt.gapi.third.taihe.PhyPayDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayDetailResponse::parseFrom);

    private static final StubMethodDescriptor phyPayDetailProxyAsyncMethod = new StubMethodDescriptor("phyPayDetailAsync",
    com.ywt.gapi.third.taihe.PhyPayDetailRequest.class, com.ywt.gapi.third.taihe.PhyPayDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayDetailResponse::parseFrom);

    /**
         * <pre>
         *  体检缴费 支付接口 
         * </pre>
         */
    private static final StubMethodDescriptor phyPayOrderMethod = new StubMethodDescriptor("phyPayOrder",
    com.ywt.gapi.third.taihe.PhyPayOrderRequest.class, com.ywt.gapi.third.taihe.PhyPayOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayOrderResponse::parseFrom);

    private static final StubMethodDescriptor phyPayOrderAsyncMethod = new StubMethodDescriptor("phyPayOrder",
    com.ywt.gapi.third.taihe.PhyPayOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayOrderResponse::parseFrom);

    private static final StubMethodDescriptor phyPayOrderProxyAsyncMethod = new StubMethodDescriptor("phyPayOrderAsync",
    com.ywt.gapi.third.taihe.PhyPayOrderRequest.class, com.ywt.gapi.third.taihe.PhyPayOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyPayOrderRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyPayOrderResponse::parseFrom);

    /**
         * <pre>
         *  电子票据接口 
         * </pre>
         */
    private static final StubMethodDescriptor getEInvoiceMethod = new StubMethodDescriptor("getEInvoice",
    com.ywt.gapi.third.taihe.GetEInvoiceRequest.class, com.ywt.gapi.third.taihe.GetEInvoiceResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetEInvoiceRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetEInvoiceResponse::parseFrom);

    private static final StubMethodDescriptor getEInvoiceAsyncMethod = new StubMethodDescriptor("getEInvoice",
    com.ywt.gapi.third.taihe.GetEInvoiceRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetEInvoiceRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetEInvoiceResponse::parseFrom);

    private static final StubMethodDescriptor getEInvoiceProxyAsyncMethod = new StubMethodDescriptor("getEInvoiceAsync",
    com.ywt.gapi.third.taihe.GetEInvoiceRequest.class, com.ywt.gapi.third.taihe.GetEInvoiceResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetEInvoiceRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetEInvoiceResponse::parseFrom);

    /**
         * <pre>
         *  获取住院发票列表
         * </pre>
         */
    private static final StubMethodDescriptor getInPayListMethod = new StubMethodDescriptor("getInPayList",
    com.ywt.gapi.third.taihe.GetInPayListRequest.class, com.ywt.gapi.third.taihe.GetInPayListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInPayListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInPayListResponse::parseFrom);

    private static final StubMethodDescriptor getInPayListAsyncMethod = new StubMethodDescriptor("getInPayList",
    com.ywt.gapi.third.taihe.GetInPayListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInPayListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInPayListResponse::parseFrom);

    private static final StubMethodDescriptor getInPayListProxyAsyncMethod = new StubMethodDescriptor("getInPayListAsync",
    com.ywt.gapi.third.taihe.GetInPayListRequest.class, com.ywt.gapi.third.taihe.GetInPayListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInPayListRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInPayListResponse::parseFrom);

    /**
         * <pre>
         *  调用医保线上接口 
         * </pre>
         */
    private static final StubMethodDescriptor getInsuOPDividePreMethod = new StubMethodDescriptor("getInsuOPDividePre",
    com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest.class, com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse::parseFrom);

    private static final StubMethodDescriptor getInsuOPDividePreAsyncMethod = new StubMethodDescriptor("getInsuOPDividePre",
    com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse::parseFrom);

    private static final StubMethodDescriptor getInsuOPDividePreProxyAsyncMethod = new StubMethodDescriptor("getInsuOPDividePreAsync",
    com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest.class, com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse::parseFrom);

    /**
         * <pre>
         *  获取医保登记信息 
         * </pre>
         */
    private static final StubMethodDescriptor getInsuAdmInfoMethod = new StubMethodDescriptor("getInsuAdmInfo",
    com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest.class, com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse::parseFrom);

    private static final StubMethodDescriptor getInsuAdmInfoAsyncMethod = new StubMethodDescriptor("getInsuAdmInfo",
    com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse::parseFrom);

    private static final StubMethodDescriptor getInsuAdmInfoProxyAsyncMethod = new StubMethodDescriptor("getInsuAdmInfoAsync",
    com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest.class, com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse::parseFrom);

    /**
         * <pre>
         *  保存医保结算结果 
         * </pre>
         */
    private static final StubMethodDescriptor saveInsuResultMethod = new StubMethodDescriptor("saveInsuResult",
    com.ywt.gapi.third.taihe.SaveInsuResultRequest.class, com.ywt.gapi.third.taihe.SaveInsuResultResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.SaveInsuResultRequest::parseFrom,
    com.ywt.gapi.third.taihe.SaveInsuResultResponse::parseFrom);

    private static final StubMethodDescriptor saveInsuResultAsyncMethod = new StubMethodDescriptor("saveInsuResult",
    com.ywt.gapi.third.taihe.SaveInsuResultRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.SaveInsuResultRequest::parseFrom,
    com.ywt.gapi.third.taihe.SaveInsuResultResponse::parseFrom);

    private static final StubMethodDescriptor saveInsuResultProxyAsyncMethod = new StubMethodDescriptor("saveInsuResultAsync",
    com.ywt.gapi.third.taihe.SaveInsuResultRequest.class, com.ywt.gapi.third.taihe.SaveInsuResultResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.SaveInsuResultRequest::parseFrom,
    com.ywt.gapi.third.taihe.SaveInsuResultResponse::parseFrom);

    /**
         * <pre>
         *  体检报告列表
         * </pre>
         */
    private static final StubMethodDescriptor phyReportListMethod = new StubMethodDescriptor("phyReportList",
    com.ywt.gapi.third.taihe.PhyReportListRequest.class, com.ywt.gapi.third.taihe.PhyReportListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyReportListRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyReportListResponse::parseFrom);

    private static final StubMethodDescriptor phyReportListAsyncMethod = new StubMethodDescriptor("phyReportList",
    com.ywt.gapi.third.taihe.PhyReportListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyReportListRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyReportListResponse::parseFrom);

    private static final StubMethodDescriptor phyReportListProxyAsyncMethod = new StubMethodDescriptor("phyReportListAsync",
    com.ywt.gapi.third.taihe.PhyReportListRequest.class, com.ywt.gapi.third.taihe.PhyReportListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyReportListRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyReportListResponse::parseFrom);

    /**
         * <pre>
         *  体检报告详情
         * </pre>
         */
    private static final StubMethodDescriptor phyReportDetailMethod = new StubMethodDescriptor("phyReportDetail",
    com.ywt.gapi.third.taihe.PhyReportDetailRequest.class, com.ywt.gapi.third.taihe.PhyReportDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyReportDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyReportDetailResponse::parseFrom);

    private static final StubMethodDescriptor phyReportDetailAsyncMethod = new StubMethodDescriptor("phyReportDetail",
    com.ywt.gapi.third.taihe.PhyReportDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyReportDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyReportDetailResponse::parseFrom);

    private static final StubMethodDescriptor phyReportDetailProxyAsyncMethod = new StubMethodDescriptor("phyReportDetailAsync",
    com.ywt.gapi.third.taihe.PhyReportDetailRequest.class, com.ywt.gapi.third.taihe.PhyReportDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PhyReportDetailRequest::parseFrom,
    com.ywt.gapi.third.taihe.PhyReportDetailResponse::parseFrom);

    /**
         * <pre>
         *  省中台医保预结算
         * </pre>
         */
    private static final StubMethodDescriptor preSettleMethod = new StubMethodDescriptor("preSettle",
    com.ywt.gapi.third.taihe.PreSettleRequest.class, com.ywt.gapi.third.taihe.PreSettleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PreSettleRequest::parseFrom,
    com.ywt.gapi.third.taihe.PreSettleResponse::parseFrom);

    private static final StubMethodDescriptor preSettleAsyncMethod = new StubMethodDescriptor("preSettle",
    com.ywt.gapi.third.taihe.PreSettleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PreSettleRequest::parseFrom,
    com.ywt.gapi.third.taihe.PreSettleResponse::parseFrom);

    private static final StubMethodDescriptor preSettleProxyAsyncMethod = new StubMethodDescriptor("preSettleAsync",
    com.ywt.gapi.third.taihe.PreSettleRequest.class, com.ywt.gapi.third.taihe.PreSettleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PreSettleRequest::parseFrom,
    com.ywt.gapi.third.taihe.PreSettleResponse::parseFrom);

    /**
         * <pre>
         *  根据 HIS 返回的订单类型字符串，判断医保类型
         * </pre>
         */
    private static final StubMethodDescriptor getMedInsTypeByOrderInsTypeMethod = new StubMethodDescriptor("getMedInsTypeByOrderInsType",
    com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest.class, com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse::parseFrom);

    private static final StubMethodDescriptor getMedInsTypeByOrderInsTypeAsyncMethod = new StubMethodDescriptor("getMedInsTypeByOrderInsType",
    com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse::parseFrom);

    private static final StubMethodDescriptor getMedInsTypeByOrderInsTypeProxyAsyncMethod = new StubMethodDescriptor("getMedInsTypeByOrderInsTypeAsync",
    com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest.class, com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest::parseFrom,
    com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse::parseFrom);

    /**
         * <pre>
         *  医保费用确认
         * </pre>
         */
    private static final StubMethodDescriptor payConfirmMethod = new StubMethodDescriptor("payConfirm",
    com.ywt.gapi.third.taihe.PayConfirmRequest.class, com.ywt.gapi.third.taihe.PayConfirmResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayConfirmRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayConfirmResponse::parseFrom);

    private static final StubMethodDescriptor payConfirmAsyncMethod = new StubMethodDescriptor("payConfirm",
    com.ywt.gapi.third.taihe.PayConfirmRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayConfirmRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayConfirmResponse::parseFrom);

    private static final StubMethodDescriptor payConfirmProxyAsyncMethod = new StubMethodDescriptor("payConfirmAsync",
    com.ywt.gapi.third.taihe.PayConfirmRequest.class, com.ywt.gapi.third.taihe.PayConfirmResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PayConfirmRequest::parseFrom,
    com.ywt.gapi.third.taihe.PayConfirmResponse::parseFrom);

    /**
         * <pre>
         *  预结算撤销
         * </pre>
         */
    private static final StubMethodDescriptor prePayCancelMethod = new StubMethodDescriptor("prePayCancel",
    com.ywt.gapi.third.taihe.PrePayCancelRequest.class, com.ywt.gapi.third.taihe.PrePayCancelResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PrePayCancelRequest::parseFrom,
    com.ywt.gapi.third.taihe.PrePayCancelResponse::parseFrom);

    private static final StubMethodDescriptor prePayCancelAsyncMethod = new StubMethodDescriptor("prePayCancel",
    com.ywt.gapi.third.taihe.PrePayCancelRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PrePayCancelRequest::parseFrom,
    com.ywt.gapi.third.taihe.PrePayCancelResponse::parseFrom);

    private static final StubMethodDescriptor prePayCancelProxyAsyncMethod = new StubMethodDescriptor("prePayCancelAsync",
    com.ywt.gapi.third.taihe.PrePayCancelRequest.class, com.ywt.gapi.third.taihe.PrePayCancelResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.PrePayCancelRequest::parseFrom,
    com.ywt.gapi.third.taihe.PrePayCancelResponse::parseFrom);

    /**
         * <pre>
         *  医保预结算撤销
         * </pre>
         */
    private static final StubMethodDescriptor revokeSettleMethod = new StubMethodDescriptor("revokeSettle",
    com.ywt.gapi.third.taihe.RevokeSettleRequest.class, com.ywt.gapi.third.taihe.RevokeSettleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.RevokeSettleRequest::parseFrom,
    com.ywt.gapi.third.taihe.RevokeSettleResponse::parseFrom);

    private static final StubMethodDescriptor revokeSettleAsyncMethod = new StubMethodDescriptor("revokeSettle",
    com.ywt.gapi.third.taihe.RevokeSettleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.RevokeSettleRequest::parseFrom,
    com.ywt.gapi.third.taihe.RevokeSettleResponse::parseFrom);

    private static final StubMethodDescriptor revokeSettleProxyAsyncMethod = new StubMethodDescriptor("revokeSettleAsync",
    com.ywt.gapi.third.taihe.RevokeSettleRequest.class, com.ywt.gapi.third.taihe.RevokeSettleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.third.taihe.RevokeSettleRequest::parseFrom,
    com.ywt.gapi.third.taihe.RevokeSettleResponse::parseFrom);





    public static class TaiheServiceStub implements TaiheService{
        private final Invoker<TaiheService> invoker;

        public TaiheServiceStub(Invoker<TaiheService> invoker) {
            this.invoker = invoker;
        }

        @Override
        public com.ywt.gapi.third.taihe.GetPatientInfoResponse getPatientInfo(com.ywt.gapi.third.taihe.GetPatientInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetPatientInfoResponse> getPatientInfoAsync(com.ywt.gapi.third.taihe.GetPatientInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientInfoAsyncMethod, request);
        }

        @Override
        public void getPatientInfo(com.ywt.gapi.third.taihe.GetPatientInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetPatientInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPatientInfoMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetDeptListResponse getDeptList(com.ywt.gapi.third.taihe.GetDeptListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDeptListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetDeptListResponse> getDeptListAsync(com.ywt.gapi.third.taihe.GetDeptListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDeptListAsyncMethod, request);
        }

        @Override
        public void getDeptList(com.ywt.gapi.third.taihe.GetDeptListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetDeptListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDeptListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetDoctorListResponse getDoctorList(com.ywt.gapi.third.taihe.GetDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetDoctorListResponse> getDoctorListAsync(com.ywt.gapi.third.taihe.GetDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorListAsyncMethod, request);
        }

        @Override
        public void getDoctorList(com.ywt.gapi.third.taihe.GetDoctorListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetMedicalRecordResponse getMedicalRecord(com.ywt.gapi.third.taihe.GetMedicalRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetMedicalRecordResponse> getMedicalRecordAsync(com.ywt.gapi.third.taihe.GetMedicalRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordAsyncMethod, request);
        }

        @Override
        public void getMedicalRecord(com.ywt.gapi.third.taihe.GetMedicalRecordRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetMedicalRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMedicalRecordMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetLaboratoryListResponse getLaboratoryList(com.ywt.gapi.third.taihe.GetLaboratoryListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLaboratoryListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetLaboratoryListResponse> getLaboratoryListAsync(com.ywt.gapi.third.taihe.GetLaboratoryListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLaboratoryListAsyncMethod, request);
        }

        @Override
        public void getLaboratoryList(com.ywt.gapi.third.taihe.GetLaboratoryListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getLaboratoryListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse getLaboratoryDetail(com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLaboratoryDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse> getLaboratoryDetailAsync(com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLaboratoryDetailAsyncMethod, request);
        }

        @Override
        public void getLaboratoryDetail(com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getLaboratoryDetailMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetScheduleListResponse getScheduleList(com.ywt.gapi.third.taihe.GetScheduleListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getScheduleListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetScheduleListResponse> getScheduleListAsync(com.ywt.gapi.third.taihe.GetScheduleListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getScheduleListAsyncMethod, request);
        }

        @Override
        public void getScheduleList(com.ywt.gapi.third.taihe.GetScheduleListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetScheduleListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getScheduleListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse getScheduleTimeInfo(com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getScheduleTimeInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse> getScheduleTimeInfoAsync(com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getScheduleTimeInfoAsyncMethod, request);
        }

        @Override
        public void getScheduleTimeInfo(com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getScheduleTimeInfoMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetInspectionListResponse getInspectionList(com.ywt.gapi.third.taihe.GetInspectionListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInspectionListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetInspectionListResponse> getInspectionListAsync(com.ywt.gapi.third.taihe.GetInspectionListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInspectionListAsyncMethod, request);
        }

        @Override
        public void getInspectionList(com.ywt.gapi.third.taihe.GetInspectionListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetInspectionListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getInspectionListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetInspectionDetailResponse getInspectionDetail(com.ywt.gapi.third.taihe.GetInspectionDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInspectionDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetInspectionDetailResponse> getInspectionDetailAsync(com.ywt.gapi.third.taihe.GetInspectionDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInspectionDetailAsyncMethod, request);
        }

        @Override
        public void getInspectionDetail(com.ywt.gapi.third.taihe.GetInspectionDetailRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetInspectionDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getInspectionDetailMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetQueueInfoResponse getQueueInfo(com.ywt.gapi.third.taihe.GetQueueInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getQueueInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetQueueInfoResponse> getQueueInfoAsync(com.ywt.gapi.third.taihe.GetQueueInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getQueueInfoAsyncMethod, request);
        }

        @Override
        public void getQueueInfo(com.ywt.gapi.third.taihe.GetQueueInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetQueueInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getQueueInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 审核医生姓名
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.TakeResponse take(com.ywt.gapi.third.taihe.TakeRequest request){
            return StubInvocationUtil.unaryCall(invoker, takeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.TakeResponse> takeAsync(com.ywt.gapi.third.taihe.TakeRequest request){
            return StubInvocationUtil.unaryCall(invoker, takeAsyncMethod, request);
        }

            /**
         * <pre>
         * 审核医生姓名
         * </pre>
         */
        @Override
        public void take(com.ywt.gapi.third.taihe.TakeRequest request, StreamObserver<com.ywt.gapi.third.taihe.TakeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, takeMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 挂号费
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.CancelResponse cancel(com.ywt.gapi.third.taihe.CancelRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.CancelResponse> cancelAsync(com.ywt.gapi.third.taihe.CancelRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelAsyncMethod, request);
        }

            /**
         * <pre>
         * 挂号费
         * </pre>
         */
        @Override
        public void cancel(com.ywt.gapi.third.taihe.CancelRequest request, StreamObserver<com.ywt.gapi.third.taihe.CancelResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, cancelMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 诊查费
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetRegistrationListResponse getRegistrationList(com.ywt.gapi.third.taihe.GetRegistrationListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getRegistrationListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetRegistrationListResponse> getRegistrationListAsync(com.ywt.gapi.third.taihe.GetRegistrationListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getRegistrationListAsyncMethod, request);
        }

            /**
         * <pre>
         * 诊查费
         * </pre>
         */
        @Override
        public void getRegistrationList(com.ywt.gapi.third.taihe.GetRegistrationListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getRegistrationListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 服务费
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetRegistrationDetailResponse getRegistrationDetail(com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getRegistrationDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse> getRegistrationDetailAsync(com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getRegistrationDetailAsyncMethod, request);
        }

            /**
         * <pre>
         * 服务费
         * </pre>
         */
        @Override
        public void getRegistrationDetail(com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getRegistrationDetailMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 其它费
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.RegisterResponse register(com.ywt.gapi.third.taihe.RegisterRequest request){
            return StubInvocationUtil.unaryCall(invoker, registerMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.RegisterResponse> registerAsync(com.ywt.gapi.third.taihe.RegisterRequest request){
            return StubInvocationUtil.unaryCall(invoker, registerAsyncMethod, request);
        }

            /**
         * <pre>
         * 其它费
         * </pre>
         */
        @Override
        public void register(com.ywt.gapi.third.taihe.RegisterRequest request, StreamObserver<com.ywt.gapi.third.taihe.RegisterResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, registerMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 就诊地址
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PayResponse pay(com.ywt.gapi.third.taihe.PayRequest request){
            return StubInvocationUtil.unaryCall(invoker, payMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PayResponse> payAsync(com.ywt.gapi.third.taihe.PayRequest request){
            return StubInvocationUtil.unaryCall(invoker, payAsyncMethod, request);
        }

            /**
         * <pre>
         * 就诊地址
         * </pre>
         */
        @Override
        public void pay(com.ywt.gapi.third.taihe.PayRequest request, StreamObserver<com.ywt.gapi.third.taihe.PayResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 出诊状态（1-可预约 0-已满 2-停诊 3-其它(不可预约)）
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PayFreeResponse payFree(com.ywt.gapi.third.taihe.PayFreeRequest request){
            return StubInvocationUtil.unaryCall(invoker, payFreeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PayFreeResponse> payFreeAsync(com.ywt.gapi.third.taihe.PayFreeRequest request){
            return StubInvocationUtil.unaryCall(invoker, payFreeAsyncMethod, request);
        }

            /**
         * <pre>
         * 出诊状态（1-可预约 0-已满 2-停诊 3-其它(不可预约)）
         * </pre>
         */
        @Override
        public void payFree(com.ywt.gapi.third.taihe.PayFreeRequest request, StreamObserver<com.ywt.gapi.third.taihe.PayFreeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payFreeMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 该时段可预约的总号源数
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetOutpatientListResponse getOutpatientList(com.ywt.gapi.third.taihe.GetOutpatientListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOutpatientListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetOutpatientListResponse> getOutpatientListAsync(com.ywt.gapi.third.taihe.GetOutpatientListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOutpatientListAsyncMethod, request);
        }

            /**
         * <pre>
         * 该时段可预约的总号源数
         * </pre>
         */
        @Override
        public void getOutpatientList(com.ywt.gapi.third.taihe.GetOutpatientListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetOutpatientListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getOutpatientListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 该时段剩余号源数
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetPaymentDetailResponse getPaymentDetail(com.ywt.gapi.third.taihe.GetPaymentDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPaymentDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetPaymentDetailResponse> getPaymentDetailAsync(com.ywt.gapi.third.taihe.GetPaymentDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPaymentDetailAsyncMethod, request);
        }

            /**
         * <pre>
         * 该时段剩余号源数
         * </pre>
         */
        @Override
        public void getPaymentDetail(com.ywt.gapi.third.taihe.GetPaymentDetailRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetPaymentDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPaymentDetailMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.CalInsuranceResponse calInsurance(com.ywt.gapi.third.taihe.CalInsuranceRequest request){
            return StubInvocationUtil.unaryCall(invoker, calInsuranceMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.CalInsuranceResponse> calInsuranceAsync(com.ywt.gapi.third.taihe.CalInsuranceRequest request){
            return StubInvocationUtil.unaryCall(invoker, calInsuranceAsyncMethod, request);
        }

        @Override
        public void calInsurance(com.ywt.gapi.third.taihe.CalInsuranceRequest request, StreamObserver<com.ywt.gapi.third.taihe.CalInsuranceResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, calInsuranceMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.PayOrderResponse payOrder(com.ywt.gapi.third.taihe.PayOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, payOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PayOrderResponse> payOrderAsync(com.ywt.gapi.third.taihe.PayOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, payOrderAsyncMethod, request);
        }

        @Override
        public void payOrder(com.ywt.gapi.third.taihe.PayOrderRequest request, StreamObserver<com.ywt.gapi.third.taihe.PayOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payOrderMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetAddInfoResponse getAddInfo(com.ywt.gapi.third.taihe.GetAddInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAddInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetAddInfoResponse> getAddInfoAsync(com.ywt.gapi.third.taihe.GetAddInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAddInfoAsyncMethod, request);
        }

        @Override
        public void getAddInfo(com.ywt.gapi.third.taihe.GetAddInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetAddInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getAddInfoMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetTreatmentGuideResponse getTreatmentGuide(com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTreatmentGuideMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse> getTreatmentGuideAsync(com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTreatmentGuideAsyncMethod, request);
        }

        @Override
        public void getTreatmentGuide(com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getTreatmentGuideMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response getTreatmentGuideV2(com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request){
            return StubInvocationUtil.unaryCall(invoker, getTreatmentGuideV2Method, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response> getTreatmentGuideV2Async(com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request){
            return StubInvocationUtil.unaryCall(invoker, getTreatmentGuideV2AsyncMethod, request);
        }

        @Override
        public void getTreatmentGuideV2(com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request, StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getTreatmentGuideV2Method , request, responseObserver);
        }
            /**
         * <pre>
         *  出诊级别code
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetDrugListResponse getDrugList(com.ywt.gapi.third.taihe.GetDrugListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDrugListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetDrugListResponse> getDrugListAsync(com.ywt.gapi.third.taihe.GetDrugListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDrugListAsyncMethod, request);
        }

            /**
         * <pre>
         *  出诊级别code
         * </pre>
         */
        @Override
        public void getDrugList(com.ywt.gapi.third.taihe.GetDrugListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetDrugListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDrugListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  出诊级别name
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.BaseResult pushPresInfo(com.ywt.gapi.third.taihe.PushPresInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, pushPresInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.BaseResult> pushPresInfoAsync(com.ywt.gapi.third.taihe.PushPresInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, pushPresInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  出诊级别name
         * </pre>
         */
        @Override
        public void pushPresInfo(com.ywt.gapi.third.taihe.PushPresInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.BaseResult> responseObserver){
            StubInvocationUtil.unaryCall(invoker, pushPresInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取处方信息
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetPresInfoResponse getPresInfo(com.ywt.gapi.third.taihe.GetPresInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPresInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetPresInfoResponse> getPresInfoAsync(com.ywt.gapi.third.taihe.GetPresInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPresInfoAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取处方信息
         * </pre>
         */
        @Override
        public void getPresInfo(com.ywt.gapi.third.taihe.GetPresInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetPresInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPresInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 根据就诊流水号获取患者基本信息
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse getPatInfoByHisClinicCode(com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatInfoByHisClinicCodeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse> getPatInfoByHisClinicCodeAsync(com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatInfoByHisClinicCodeAsyncMethod, request);
        }

            /**
         * <pre>
         * 根据就诊流水号获取患者基本信息
         * </pre>
         */
        @Override
        public void getPatInfoByHisClinicCode(com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPatInfoByHisClinicCodeMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  东华 HIS 挂号锁号
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.LockOrderResponse lockOrder(com.ywt.gapi.third.taihe.LockOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, lockOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.LockOrderResponse> lockOrderAsync(com.ywt.gapi.third.taihe.LockOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, lockOrderAsyncMethod, request);
        }

            /**
         * <pre>
         *  东华 HIS 挂号锁号
         * </pre>
         */
        @Override
        public void lockOrder(com.ywt.gapi.third.taihe.LockOrderRequest request, StreamObserver<com.ywt.gapi.third.taihe.LockOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, lockOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取就诊记录列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetClinicListResponse getClinicList(com.ywt.gapi.third.taihe.GetClinicListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getClinicListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetClinicListResponse> getClinicListAsync(com.ywt.gapi.third.taihe.GetClinicListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getClinicListAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取就诊记录列表
         * </pre>
         */
        @Override
        public void getClinicList(com.ywt.gapi.third.taihe.GetClinicListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetClinicListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getClinicListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取医生当前排班信息
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse getDoctorCurrentSchedule(com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorCurrentScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse> getDoctorCurrentScheduleAsync(com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorCurrentScheduleAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取医生当前排班信息
         * </pre>
         */
        @Override
        public void getDoctorCurrentSchedule(com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorCurrentScheduleMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  预结算
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PrePayConfirmResponse prePayConfirm(com.ywt.gapi.third.taihe.PrePayConfirmRequest request){
            return StubInvocationUtil.unaryCall(invoker, prePayConfirmMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PrePayConfirmResponse> prePayConfirmAsync(com.ywt.gapi.third.taihe.PrePayConfirmRequest request){
            return StubInvocationUtil.unaryCall(invoker, prePayConfirmAsyncMethod, request);
        }

            /**
         * <pre>
         *  预结算
         * </pre>
         */
        @Override
        public void prePayConfirm(com.ywt.gapi.third.taihe.PrePayConfirmRequest request, StreamObserver<com.ywt.gapi.third.taihe.PrePayConfirmResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, prePayConfirmMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  查询药品库存
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetDrugInventoryResponse getDrugInventory(com.ywt.gapi.third.taihe.GetDrugInventoryRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDrugInventoryMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetDrugInventoryResponse> getDrugInventoryAsync(com.ywt.gapi.third.taihe.GetDrugInventoryRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDrugInventoryAsyncMethod, request);
        }

            /**
         * <pre>
         *  查询药品库存
         * </pre>
         */
        @Override
        public void getDrugInventory(com.ywt.gapi.third.taihe.GetDrugInventoryRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetDrugInventoryResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDrugInventoryMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  插入诊断
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.AddDiagnosisResponse addDiagnosis(com.ywt.gapi.third.taihe.AddDiagnosisRequest request){
            return StubInvocationUtil.unaryCall(invoker, addDiagnosisMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.AddDiagnosisResponse> addDiagnosisAsync(com.ywt.gapi.third.taihe.AddDiagnosisRequest request){
            return StubInvocationUtil.unaryCall(invoker, addDiagnosisAsyncMethod, request);
        }

            /**
         * <pre>
         *  插入诊断
         * </pre>
         */
        @Override
        public void addDiagnosis(com.ywt.gapi.third.taihe.AddDiagnosisRequest request, StreamObserver<com.ywt.gapi.third.taihe.AddDiagnosisResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, addDiagnosisMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  插入医嘱
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.AddOEORIInfoResponse addOEORIInfo(com.ywt.gapi.third.taihe.AddOEORIInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, addOEORIInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.AddOEORIInfoResponse> addOEORIInfoAsync(com.ywt.gapi.third.taihe.AddOEORIInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, addOEORIInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  插入医嘱
         * </pre>
         */
        @Override
        public void addOEORIInfo(com.ywt.gapi.third.taihe.AddOEORIInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.AddOEORIInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, addOEORIInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  作废医嘱
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.CancelOEORIInfoResponse cancelOEORIInfo(com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelOEORIInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse> cancelOEORIInfoAsync(com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelOEORIInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  作废医嘱
         * </pre>
         */
        @Override
        public void cancelOEORIInfo(com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, cancelOEORIInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取住院患者信息
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetInPatInfoResponse getInPatInfo(com.ywt.gapi.third.taihe.GetInPatInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInPatInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetInPatInfoResponse> getInPatInfoAsync(com.ywt.gapi.third.taihe.GetInPatInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInPatInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取住院患者信息
         * </pre>
         */
        @Override
        public void getInPatInfo(com.ywt.gapi.third.taihe.GetInPatInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetInPatInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getInPatInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  日清单列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetDayFeeListResponse getDayFeeList(com.ywt.gapi.third.taihe.GetDayFeeListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDayFeeListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetDayFeeListResponse> getDayFeeListAsync(com.ywt.gapi.third.taihe.GetDayFeeListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDayFeeListAsyncMethod, request);
        }

            /**
         * <pre>
         *  日清单列表
         * </pre>
         */
        @Override
        public void getDayFeeList(com.ywt.gapi.third.taihe.GetDayFeeListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetDayFeeListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDayFeeListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  住院充值押金
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PayCashResponse payCash(com.ywt.gapi.third.taihe.PayCashRequest request){
            return StubInvocationUtil.unaryCall(invoker, payCashMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PayCashResponse> payCashAsync(com.ywt.gapi.third.taihe.PayCashRequest request){
            return StubInvocationUtil.unaryCall(invoker, payCashAsyncMethod, request);
        }

            /**
         * <pre>
         *  住院充值押金
         * </pre>
         */
        @Override
        public void payCash(com.ywt.gapi.third.taihe.PayCashRequest request, StreamObserver<com.ywt.gapi.third.taihe.PayCashResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payCashMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  查询住院押金
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetCashListResponse getCashList(com.ywt.gapi.third.taihe.GetCashListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getCashListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetCashListResponse> getCashListAsync(com.ywt.gapi.third.taihe.GetCashListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getCashListAsyncMethod, request);
        }

            /**
         * <pre>
         *  查询住院押金
         * </pre>
         */
        @Override
        public void getCashList(com.ywt.gapi.third.taihe.GetCashListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetCashListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getCashListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 在线自助报到
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetCheckInResponse getCheckIn(com.ywt.gapi.third.taihe.GetCheckInRequest request){
            return StubInvocationUtil.unaryCall(invoker, getCheckInMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetCheckInResponse> getCheckInAsync(com.ywt.gapi.third.taihe.GetCheckInRequest request){
            return StubInvocationUtil.unaryCall(invoker, getCheckInAsyncMethod, request);
        }

            /**
         * <pre>
         * 在线自助报到
         * </pre>
         */
        @Override
        public void getCheckIn(com.ywt.gapi.third.taihe.GetCheckInRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetCheckInResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getCheckInMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  创建病人主索引
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.CreatePatInfoResponse createPatInfo(com.ywt.gapi.third.taihe.CreatePatInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, createPatInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.CreatePatInfoResponse> createPatInfoAsync(com.ywt.gapi.third.taihe.CreatePatInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, createPatInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  创建病人主索引
         * </pre>
         */
        @Override
        public void createPatInfo(com.ywt.gapi.third.taihe.CreatePatInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.CreatePatInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, createPatInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  一键挂号
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.OneKeyRegisterResponse oneKeyRegister(com.ywt.gapi.third.taihe.OneKeyRegisterRequest request){
            return StubInvocationUtil.unaryCall(invoker, oneKeyRegisterMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.OneKeyRegisterResponse> oneKeyRegisterAsync(com.ywt.gapi.third.taihe.OneKeyRegisterRequest request){
            return StubInvocationUtil.unaryCall(invoker, oneKeyRegisterAsyncMethod, request);
        }

            /**
         * <pre>
         *  一键挂号
         * </pre>
         */
        @Override
        public void oneKeyRegister(com.ywt.gapi.third.taihe.OneKeyRegisterRequest request, StreamObserver<com.ywt.gapi.third.taihe.OneKeyRegisterResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, oneKeyRegisterMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取患者诊断详情 
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse getDiagnoseRecord(com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDiagnoseRecordMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse> getDiagnoseRecordAsync(com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDiagnoseRecordAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取患者诊断详情 
         * </pre>
         */
        @Override
        public void getDiagnoseRecord(com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDiagnoseRecordMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  体检缴费 查找待缴费记录  
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PhyPayListResponse phyPayList(com.ywt.gapi.third.taihe.PhyPayListRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyPayListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PhyPayListResponse> phyPayListAsync(com.ywt.gapi.third.taihe.PhyPayListRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyPayListAsyncMethod, request);
        }

            /**
         * <pre>
         *  体检缴费 查找待缴费记录  
         * </pre>
         */
        @Override
        public void phyPayList(com.ywt.gapi.third.taihe.PhyPayListRequest request, StreamObserver<com.ywt.gapi.third.taihe.PhyPayListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, phyPayListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  体检缴费 查找待缴费项目 
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PhyPayDetailResponse phyPayDetail(com.ywt.gapi.third.taihe.PhyPayDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyPayDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PhyPayDetailResponse> phyPayDetailAsync(com.ywt.gapi.third.taihe.PhyPayDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyPayDetailAsyncMethod, request);
        }

            /**
         * <pre>
         *  体检缴费 查找待缴费项目 
         * </pre>
         */
        @Override
        public void phyPayDetail(com.ywt.gapi.third.taihe.PhyPayDetailRequest request, StreamObserver<com.ywt.gapi.third.taihe.PhyPayDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, phyPayDetailMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  体检缴费 支付接口 
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PhyPayOrderResponse phyPayOrder(com.ywt.gapi.third.taihe.PhyPayOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyPayOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PhyPayOrderResponse> phyPayOrderAsync(com.ywt.gapi.third.taihe.PhyPayOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyPayOrderAsyncMethod, request);
        }

            /**
         * <pre>
         *  体检缴费 支付接口 
         * </pre>
         */
        @Override
        public void phyPayOrder(com.ywt.gapi.third.taihe.PhyPayOrderRequest request, StreamObserver<com.ywt.gapi.third.taihe.PhyPayOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, phyPayOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  电子票据接口 
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetEInvoiceResponse getEInvoice(com.ywt.gapi.third.taihe.GetEInvoiceRequest request){
            return StubInvocationUtil.unaryCall(invoker, getEInvoiceMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetEInvoiceResponse> getEInvoiceAsync(com.ywt.gapi.third.taihe.GetEInvoiceRequest request){
            return StubInvocationUtil.unaryCall(invoker, getEInvoiceAsyncMethod, request);
        }

            /**
         * <pre>
         *  电子票据接口 
         * </pre>
         */
        @Override
        public void getEInvoice(com.ywt.gapi.third.taihe.GetEInvoiceRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetEInvoiceResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getEInvoiceMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取住院发票列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetInPayListResponse getInPayList(com.ywt.gapi.third.taihe.GetInPayListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInPayListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetInPayListResponse> getInPayListAsync(com.ywt.gapi.third.taihe.GetInPayListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInPayListAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取住院发票列表
         * </pre>
         */
        @Override
        public void getInPayList(com.ywt.gapi.third.taihe.GetInPayListRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetInPayListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getInPayListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  调用医保线上接口 
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse getInsuOPDividePre(com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInsuOPDividePreMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse> getInsuOPDividePreAsync(com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInsuOPDividePreAsyncMethod, request);
        }

            /**
         * <pre>
         *  调用医保线上接口 
         * </pre>
         */
        @Override
        public void getInsuOPDividePre(com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getInsuOPDividePreMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取医保登记信息 
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse getInsuAdmInfo(com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInsuAdmInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse> getInsuAdmInfoAsync(com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getInsuAdmInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取医保登记信息 
         * </pre>
         */
        @Override
        public void getInsuAdmInfo(com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getInsuAdmInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  保存医保结算结果 
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.SaveInsuResultResponse saveInsuResult(com.ywt.gapi.third.taihe.SaveInsuResultRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveInsuResultMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.SaveInsuResultResponse> saveInsuResultAsync(com.ywt.gapi.third.taihe.SaveInsuResultRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveInsuResultAsyncMethod, request);
        }

            /**
         * <pre>
         *  保存医保结算结果 
         * </pre>
         */
        @Override
        public void saveInsuResult(com.ywt.gapi.third.taihe.SaveInsuResultRequest request, StreamObserver<com.ywt.gapi.third.taihe.SaveInsuResultResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, saveInsuResultMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  体检报告列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PhyReportListResponse phyReportList(com.ywt.gapi.third.taihe.PhyReportListRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyReportListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PhyReportListResponse> phyReportListAsync(com.ywt.gapi.third.taihe.PhyReportListRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyReportListAsyncMethod, request);
        }

            /**
         * <pre>
         *  体检报告列表
         * </pre>
         */
        @Override
        public void phyReportList(com.ywt.gapi.third.taihe.PhyReportListRequest request, StreamObserver<com.ywt.gapi.third.taihe.PhyReportListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, phyReportListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  体检报告详情
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PhyReportDetailResponse phyReportDetail(com.ywt.gapi.third.taihe.PhyReportDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyReportDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PhyReportDetailResponse> phyReportDetailAsync(com.ywt.gapi.third.taihe.PhyReportDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, phyReportDetailAsyncMethod, request);
        }

            /**
         * <pre>
         *  体检报告详情
         * </pre>
         */
        @Override
        public void phyReportDetail(com.ywt.gapi.third.taihe.PhyReportDetailRequest request, StreamObserver<com.ywt.gapi.third.taihe.PhyReportDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, phyReportDetailMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  省中台医保预结算
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PreSettleResponse preSettle(com.ywt.gapi.third.taihe.PreSettleRequest request){
            return StubInvocationUtil.unaryCall(invoker, preSettleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PreSettleResponse> preSettleAsync(com.ywt.gapi.third.taihe.PreSettleRequest request){
            return StubInvocationUtil.unaryCall(invoker, preSettleAsyncMethod, request);
        }

            /**
         * <pre>
         *  省中台医保预结算
         * </pre>
         */
        @Override
        public void preSettle(com.ywt.gapi.third.taihe.PreSettleRequest request, StreamObserver<com.ywt.gapi.third.taihe.PreSettleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, preSettleMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  根据 HIS 返回的订单类型字符串，判断医保类型
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse getMedInsTypeByOrderInsType(com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedInsTypeByOrderInsTypeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse> getMedInsTypeByOrderInsTypeAsync(com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedInsTypeByOrderInsTypeAsyncMethod, request);
        }

            /**
         * <pre>
         *  根据 HIS 返回的订单类型字符串，判断医保类型
         * </pre>
         */
        @Override
        public void getMedInsTypeByOrderInsType(com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest request, StreamObserver<com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMedInsTypeByOrderInsTypeMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  医保费用确认
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PayConfirmResponse payConfirm(com.ywt.gapi.third.taihe.PayConfirmRequest request){
            return StubInvocationUtil.unaryCall(invoker, payConfirmMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PayConfirmResponse> payConfirmAsync(com.ywt.gapi.third.taihe.PayConfirmRequest request){
            return StubInvocationUtil.unaryCall(invoker, payConfirmAsyncMethod, request);
        }

            /**
         * <pre>
         *  医保费用确认
         * </pre>
         */
        @Override
        public void payConfirm(com.ywt.gapi.third.taihe.PayConfirmRequest request, StreamObserver<com.ywt.gapi.third.taihe.PayConfirmResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payConfirmMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  预结算撤销
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.PrePayCancelResponse prePayCancel(com.ywt.gapi.third.taihe.PrePayCancelRequest request){
            return StubInvocationUtil.unaryCall(invoker, prePayCancelMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.PrePayCancelResponse> prePayCancelAsync(com.ywt.gapi.third.taihe.PrePayCancelRequest request){
            return StubInvocationUtil.unaryCall(invoker, prePayCancelAsyncMethod, request);
        }

            /**
         * <pre>
         *  预结算撤销
         * </pre>
         */
        @Override
        public void prePayCancel(com.ywt.gapi.third.taihe.PrePayCancelRequest request, StreamObserver<com.ywt.gapi.third.taihe.PrePayCancelResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, prePayCancelMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  医保预结算撤销
         * </pre>
         */
        @Override
        public com.ywt.gapi.third.taihe.RevokeSettleResponse revokeSettle(com.ywt.gapi.third.taihe.RevokeSettleRequest request){
            return StubInvocationUtil.unaryCall(invoker, revokeSettleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.third.taihe.RevokeSettleResponse> revokeSettleAsync(com.ywt.gapi.third.taihe.RevokeSettleRequest request){
            return StubInvocationUtil.unaryCall(invoker, revokeSettleAsyncMethod, request);
        }

            /**
         * <pre>
         *  医保预结算撤销
         * </pre>
         */
        @Override
        public void revokeSettle(com.ywt.gapi.third.taihe.RevokeSettleRequest request, StreamObserver<com.ywt.gapi.third.taihe.RevokeSettleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, revokeSettleMethod , request, responseObserver);
        }



    }

    public static abstract class TaiheServiceImplBase implements TaiheService, ServerService<TaiheService> {

        private <T, R> BiConsumer<T, StreamObserver<R>> syncToAsync(java.util.function.Function<T, R> syncFun) {
            return new BiConsumer<T, StreamObserver<R>>() {
                @Override
                public void accept(T t, StreamObserver<R> observer) {
                    try {
                        R ret = syncFun.apply(t);
                        observer.onNext(ret);
                        observer.onCompleted();
                    } catch (Throwable e) {
                        observer.onError(e);
                    }
                }
            };
        }

        @Override
        public final Invoker<TaiheService> getInvoker(URL url) {
            PathResolver pathResolver = url.getOrDefaultFrameworkModel()
            .getExtensionLoader(PathResolver.class)
            .getDefaultExtension();
            Map<String,StubMethodHandler<?, ?>> handlers = new HashMap<>();

            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDeptList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDeptListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecord" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLaboratoryList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLaboratoryListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLaboratoryDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLaboratoryDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getScheduleList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getScheduleListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getScheduleTimeInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getScheduleTimeInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInspectionList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInspectionListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInspectionDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInspectionDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getQueueInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getQueueInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/take" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/takeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancel" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getRegistrationList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getRegistrationListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getRegistrationDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getRegistrationDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/register" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/registerAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/pay" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payFree" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payFreeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOutpatientList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOutpatientListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPaymentDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPaymentDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/calInsurance" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/calInsuranceAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAddInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAddInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTreatmentGuide" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTreatmentGuideAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTreatmentGuideV2" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTreatmentGuideV2Async" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDrugList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDrugListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/pushPresInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/pushPresInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPresInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPresInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatInfoByHisClinicCode" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatInfoByHisClinicCodeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/lockOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/lockOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getClinicList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getClinicListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorCurrentSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorCurrentScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/prePayConfirm" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/prePayConfirmAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDrugInventory" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDrugInventoryAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addDiagnosis" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addDiagnosisAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addOEORIInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addOEORIInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelOEORIInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelOEORIInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInPatInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInPatInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDayFeeList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDayFeeListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payCash" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payCashAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getCashList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getCashListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getCheckIn" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getCheckInAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createPatInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createPatInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/oneKeyRegister" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/oneKeyRegisterAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDiagnoseRecord" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDiagnoseRecordAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyPayList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyPayListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyPayDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyPayDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyPayOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyPayOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getEInvoice" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getEInvoiceAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInPayList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInPayListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInsuOPDividePre" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInsuOPDividePreAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInsuAdmInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getInsuAdmInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveInsuResult" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveInsuResultAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyReportList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyReportListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyReportDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/phyReportDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/preSettle" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/preSettleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedInsTypeByOrderInsType" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedInsTypeByOrderInsTypeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payConfirm" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payConfirmAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/prePayCancel" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/prePayCancelAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/revokeSettle" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/revokeSettleAsync" );

            BiConsumer<com.ywt.gapi.third.taihe.GetPatientInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPatientInfoResponse>> getPatientInfoFunc = this::getPatientInfo;
            handlers.put(getPatientInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetPatientInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPatientInfoResponse>> getPatientInfoAsyncFunc = syncToAsync(this::getPatientInfo);
            handlers.put(getPatientInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDeptListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDeptListResponse>> getDeptListFunc = this::getDeptList;
            handlers.put(getDeptListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDeptListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDeptListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDeptListResponse>> getDeptListAsyncFunc = syncToAsync(this::getDeptList);
            handlers.put(getDeptListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDeptListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDoctorListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDoctorListResponse>> getDoctorListFunc = this::getDoctorList;
            handlers.put(getDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDoctorListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDoctorListResponse>> getDoctorListAsyncFunc = syncToAsync(this::getDoctorList);
            handlers.put(getDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetMedicalRecordRequest, StreamObserver<com.ywt.gapi.third.taihe.GetMedicalRecordResponse>> getMedicalRecordFunc = this::getMedicalRecord;
            handlers.put(getMedicalRecordMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetMedicalRecordRequest, StreamObserver<com.ywt.gapi.third.taihe.GetMedicalRecordResponse>> getMedicalRecordAsyncFunc = syncToAsync(this::getMedicalRecord);
            handlers.put(getMedicalRecordProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetLaboratoryListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryListResponse>> getLaboratoryListFunc = this::getLaboratoryList;
            handlers.put(getLaboratoryListMethod.getMethodName(), new UnaryStubMethodHandler<>(getLaboratoryListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetLaboratoryListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryListResponse>> getLaboratoryListAsyncFunc = syncToAsync(this::getLaboratoryList);
            handlers.put(getLaboratoryListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getLaboratoryListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse>> getLaboratoryDetailFunc = this::getLaboratoryDetail;
            handlers.put(getLaboratoryDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(getLaboratoryDetailFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse>> getLaboratoryDetailAsyncFunc = syncToAsync(this::getLaboratoryDetail);
            handlers.put(getLaboratoryDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getLaboratoryDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetScheduleListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetScheduleListResponse>> getScheduleListFunc = this::getScheduleList;
            handlers.put(getScheduleListMethod.getMethodName(), new UnaryStubMethodHandler<>(getScheduleListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetScheduleListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetScheduleListResponse>> getScheduleListAsyncFunc = syncToAsync(this::getScheduleList);
            handlers.put(getScheduleListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getScheduleListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse>> getScheduleTimeInfoFunc = this::getScheduleTimeInfo;
            handlers.put(getScheduleTimeInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getScheduleTimeInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse>> getScheduleTimeInfoAsyncFunc = syncToAsync(this::getScheduleTimeInfo);
            handlers.put(getScheduleTimeInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getScheduleTimeInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInspectionListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInspectionListResponse>> getInspectionListFunc = this::getInspectionList;
            handlers.put(getInspectionListMethod.getMethodName(), new UnaryStubMethodHandler<>(getInspectionListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInspectionListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInspectionListResponse>> getInspectionListAsyncFunc = syncToAsync(this::getInspectionList);
            handlers.put(getInspectionListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getInspectionListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInspectionDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInspectionDetailResponse>> getInspectionDetailFunc = this::getInspectionDetail;
            handlers.put(getInspectionDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(getInspectionDetailFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInspectionDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInspectionDetailResponse>> getInspectionDetailAsyncFunc = syncToAsync(this::getInspectionDetail);
            handlers.put(getInspectionDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getInspectionDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetQueueInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetQueueInfoResponse>> getQueueInfoFunc = this::getQueueInfo;
            handlers.put(getQueueInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getQueueInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetQueueInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetQueueInfoResponse>> getQueueInfoAsyncFunc = syncToAsync(this::getQueueInfo);
            handlers.put(getQueueInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getQueueInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.TakeRequest, StreamObserver<com.ywt.gapi.third.taihe.TakeResponse>> takeFunc = this::take;
            handlers.put(takeMethod.getMethodName(), new UnaryStubMethodHandler<>(takeFunc));
            BiConsumer<com.ywt.gapi.third.taihe.TakeRequest, StreamObserver<com.ywt.gapi.third.taihe.TakeResponse>> takeAsyncFunc = syncToAsync(this::take);
            handlers.put(takeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(takeAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CancelRequest, StreamObserver<com.ywt.gapi.third.taihe.CancelResponse>> cancelFunc = this::cancel;
            handlers.put(cancelMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CancelRequest, StreamObserver<com.ywt.gapi.third.taihe.CancelResponse>> cancelAsyncFunc = syncToAsync(this::cancel);
            handlers.put(cancelProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetRegistrationListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationListResponse>> getRegistrationListFunc = this::getRegistrationList;
            handlers.put(getRegistrationListMethod.getMethodName(), new UnaryStubMethodHandler<>(getRegistrationListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetRegistrationListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationListResponse>> getRegistrationListAsyncFunc = syncToAsync(this::getRegistrationList);
            handlers.put(getRegistrationListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getRegistrationListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetRegistrationDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse>> getRegistrationDetailFunc = this::getRegistrationDetail;
            handlers.put(getRegistrationDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(getRegistrationDetailFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetRegistrationDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetRegistrationDetailResponse>> getRegistrationDetailAsyncFunc = syncToAsync(this::getRegistrationDetail);
            handlers.put(getRegistrationDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getRegistrationDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.RegisterRequest, StreamObserver<com.ywt.gapi.third.taihe.RegisterResponse>> registerFunc = this::register;
            handlers.put(registerMethod.getMethodName(), new UnaryStubMethodHandler<>(registerFunc));
            BiConsumer<com.ywt.gapi.third.taihe.RegisterRequest, StreamObserver<com.ywt.gapi.third.taihe.RegisterResponse>> registerAsyncFunc = syncToAsync(this::register);
            handlers.put(registerProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(registerAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayRequest, StreamObserver<com.ywt.gapi.third.taihe.PayResponse>> payFunc = this::pay;
            handlers.put(payMethod.getMethodName(), new UnaryStubMethodHandler<>(payFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayRequest, StreamObserver<com.ywt.gapi.third.taihe.PayResponse>> payAsyncFunc = syncToAsync(this::pay);
            handlers.put(payProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayFreeRequest, StreamObserver<com.ywt.gapi.third.taihe.PayFreeResponse>> payFreeFunc = this::payFree;
            handlers.put(payFreeMethod.getMethodName(), new UnaryStubMethodHandler<>(payFreeFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayFreeRequest, StreamObserver<com.ywt.gapi.third.taihe.PayFreeResponse>> payFreeAsyncFunc = syncToAsync(this::payFree);
            handlers.put(payFreeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payFreeAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetOutpatientListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetOutpatientListResponse>> getOutpatientListFunc = this::getOutpatientList;
            handlers.put(getOutpatientListMethod.getMethodName(), new UnaryStubMethodHandler<>(getOutpatientListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetOutpatientListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetOutpatientListResponse>> getOutpatientListAsyncFunc = syncToAsync(this::getOutpatientList);
            handlers.put(getOutpatientListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getOutpatientListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetPaymentDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPaymentDetailResponse>> getPaymentDetailFunc = this::getPaymentDetail;
            handlers.put(getPaymentDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(getPaymentDetailFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetPaymentDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPaymentDetailResponse>> getPaymentDetailAsyncFunc = syncToAsync(this::getPaymentDetail);
            handlers.put(getPaymentDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPaymentDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CalInsuranceRequest, StreamObserver<com.ywt.gapi.third.taihe.CalInsuranceResponse>> calInsuranceFunc = this::calInsurance;
            handlers.put(calInsuranceMethod.getMethodName(), new UnaryStubMethodHandler<>(calInsuranceFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CalInsuranceRequest, StreamObserver<com.ywt.gapi.third.taihe.CalInsuranceResponse>> calInsuranceAsyncFunc = syncToAsync(this::calInsurance);
            handlers.put(calInsuranceProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(calInsuranceAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayOrderRequest, StreamObserver<com.ywt.gapi.third.taihe.PayOrderResponse>> payOrderFunc = this::payOrder;
            handlers.put(payOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(payOrderFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayOrderRequest, StreamObserver<com.ywt.gapi.third.taihe.PayOrderResponse>> payOrderAsyncFunc = syncToAsync(this::payOrder);
            handlers.put(payOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetAddInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetAddInfoResponse>> getAddInfoFunc = this::getAddInfo;
            handlers.put(getAddInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getAddInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetAddInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetAddInfoResponse>> getAddInfoAsyncFunc = syncToAsync(this::getAddInfo);
            handlers.put(getAddInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getAddInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetTreatmentGuideRequest, StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse>> getTreatmentGuideFunc = this::getTreatmentGuide;
            handlers.put(getTreatmentGuideMethod.getMethodName(), new UnaryStubMethodHandler<>(getTreatmentGuideFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetTreatmentGuideRequest, StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideResponse>> getTreatmentGuideAsyncFunc = syncToAsync(this::getTreatmentGuide);
            handlers.put(getTreatmentGuideProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getTreatmentGuideAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request, StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response>> getTreatmentGuideV2Func = this::getTreatmentGuideV2;
            handlers.put(getTreatmentGuideV2Method.getMethodName(), new UnaryStubMethodHandler<>(getTreatmentGuideV2Func));
            BiConsumer<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request, StreamObserver<com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response>> getTreatmentGuideV2AsyncFunc = syncToAsync(this::getTreatmentGuideV2);
            handlers.put(getTreatmentGuideV2ProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getTreatmentGuideV2AsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDrugListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDrugListResponse>> getDrugListFunc = this::getDrugList;
            handlers.put(getDrugListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDrugListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDrugListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDrugListResponse>> getDrugListAsyncFunc = syncToAsync(this::getDrugList);
            handlers.put(getDrugListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDrugListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PushPresInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.BaseResult>> pushPresInfoFunc = this::pushPresInfo;
            handlers.put(pushPresInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(pushPresInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PushPresInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.BaseResult>> pushPresInfoAsyncFunc = syncToAsync(this::pushPresInfo);
            handlers.put(pushPresInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(pushPresInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetPresInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPresInfoResponse>> getPresInfoFunc = this::getPresInfo;
            handlers.put(getPresInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getPresInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetPresInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPresInfoResponse>> getPresInfoAsyncFunc = syncToAsync(this::getPresInfo);
            handlers.put(getPresInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPresInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse>> getPatInfoByHisClinicCodeFunc = this::getPatInfoByHisClinicCode;
            handlers.put(getPatInfoByHisClinicCodeMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatInfoByHisClinicCodeFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest, StreamObserver<com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse>> getPatInfoByHisClinicCodeAsyncFunc = syncToAsync(this::getPatInfoByHisClinicCode);
            handlers.put(getPatInfoByHisClinicCodeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatInfoByHisClinicCodeAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.LockOrderRequest, StreamObserver<com.ywt.gapi.third.taihe.LockOrderResponse>> lockOrderFunc = this::lockOrder;
            handlers.put(lockOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(lockOrderFunc));
            BiConsumer<com.ywt.gapi.third.taihe.LockOrderRequest, StreamObserver<com.ywt.gapi.third.taihe.LockOrderResponse>> lockOrderAsyncFunc = syncToAsync(this::lockOrder);
            handlers.put(lockOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(lockOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetClinicListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetClinicListResponse>> getClinicListFunc = this::getClinicList;
            handlers.put(getClinicListMethod.getMethodName(), new UnaryStubMethodHandler<>(getClinicListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetClinicListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetClinicListResponse>> getClinicListAsyncFunc = syncToAsync(this::getClinicList);
            handlers.put(getClinicListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getClinicListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse>> getDoctorCurrentScheduleFunc = this::getDoctorCurrentSchedule;
            handlers.put(getDoctorCurrentScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorCurrentScheduleFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse>> getDoctorCurrentScheduleAsyncFunc = syncToAsync(this::getDoctorCurrentSchedule);
            handlers.put(getDoctorCurrentScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorCurrentScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PrePayConfirmRequest, StreamObserver<com.ywt.gapi.third.taihe.PrePayConfirmResponse>> prePayConfirmFunc = this::prePayConfirm;
            handlers.put(prePayConfirmMethod.getMethodName(), new UnaryStubMethodHandler<>(prePayConfirmFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PrePayConfirmRequest, StreamObserver<com.ywt.gapi.third.taihe.PrePayConfirmResponse>> prePayConfirmAsyncFunc = syncToAsync(this::prePayConfirm);
            handlers.put(prePayConfirmProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(prePayConfirmAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDrugInventoryRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDrugInventoryResponse>> getDrugInventoryFunc = this::getDrugInventory;
            handlers.put(getDrugInventoryMethod.getMethodName(), new UnaryStubMethodHandler<>(getDrugInventoryFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDrugInventoryRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDrugInventoryResponse>> getDrugInventoryAsyncFunc = syncToAsync(this::getDrugInventory);
            handlers.put(getDrugInventoryProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDrugInventoryAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.AddDiagnosisRequest, StreamObserver<com.ywt.gapi.third.taihe.AddDiagnosisResponse>> addDiagnosisFunc = this::addDiagnosis;
            handlers.put(addDiagnosisMethod.getMethodName(), new UnaryStubMethodHandler<>(addDiagnosisFunc));
            BiConsumer<com.ywt.gapi.third.taihe.AddDiagnosisRequest, StreamObserver<com.ywt.gapi.third.taihe.AddDiagnosisResponse>> addDiagnosisAsyncFunc = syncToAsync(this::addDiagnosis);
            handlers.put(addDiagnosisProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(addDiagnosisAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.AddOEORIInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.AddOEORIInfoResponse>> addOEORIInfoFunc = this::addOEORIInfo;
            handlers.put(addOEORIInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(addOEORIInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.AddOEORIInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.AddOEORIInfoResponse>> addOEORIInfoAsyncFunc = syncToAsync(this::addOEORIInfo);
            handlers.put(addOEORIInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(addOEORIInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CancelOEORIInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse>> cancelOEORIInfoFunc = this::cancelOEORIInfo;
            handlers.put(cancelOEORIInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelOEORIInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CancelOEORIInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.CancelOEORIInfoResponse>> cancelOEORIInfoAsyncFunc = syncToAsync(this::cancelOEORIInfo);
            handlers.put(cancelOEORIInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelOEORIInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInPatInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInPatInfoResponse>> getInPatInfoFunc = this::getInPatInfo;
            handlers.put(getInPatInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getInPatInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInPatInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInPatInfoResponse>> getInPatInfoAsyncFunc = syncToAsync(this::getInPatInfo);
            handlers.put(getInPatInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getInPatInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDayFeeListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDayFeeListResponse>> getDayFeeListFunc = this::getDayFeeList;
            handlers.put(getDayFeeListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDayFeeListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDayFeeListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDayFeeListResponse>> getDayFeeListAsyncFunc = syncToAsync(this::getDayFeeList);
            handlers.put(getDayFeeListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDayFeeListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayCashRequest, StreamObserver<com.ywt.gapi.third.taihe.PayCashResponse>> payCashFunc = this::payCash;
            handlers.put(payCashMethod.getMethodName(), new UnaryStubMethodHandler<>(payCashFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayCashRequest, StreamObserver<com.ywt.gapi.third.taihe.PayCashResponse>> payCashAsyncFunc = syncToAsync(this::payCash);
            handlers.put(payCashProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payCashAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetCashListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetCashListResponse>> getCashListFunc = this::getCashList;
            handlers.put(getCashListMethod.getMethodName(), new UnaryStubMethodHandler<>(getCashListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetCashListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetCashListResponse>> getCashListAsyncFunc = syncToAsync(this::getCashList);
            handlers.put(getCashListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getCashListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetCheckInRequest, StreamObserver<com.ywt.gapi.third.taihe.GetCheckInResponse>> getCheckInFunc = this::getCheckIn;
            handlers.put(getCheckInMethod.getMethodName(), new UnaryStubMethodHandler<>(getCheckInFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetCheckInRequest, StreamObserver<com.ywt.gapi.third.taihe.GetCheckInResponse>> getCheckInAsyncFunc = syncToAsync(this::getCheckIn);
            handlers.put(getCheckInProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getCheckInAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CreatePatInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.CreatePatInfoResponse>> createPatInfoFunc = this::createPatInfo;
            handlers.put(createPatInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(createPatInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.CreatePatInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.CreatePatInfoResponse>> createPatInfoAsyncFunc = syncToAsync(this::createPatInfo);
            handlers.put(createPatInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(createPatInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.OneKeyRegisterRequest, StreamObserver<com.ywt.gapi.third.taihe.OneKeyRegisterResponse>> oneKeyRegisterFunc = this::oneKeyRegister;
            handlers.put(oneKeyRegisterMethod.getMethodName(), new UnaryStubMethodHandler<>(oneKeyRegisterFunc));
            BiConsumer<com.ywt.gapi.third.taihe.OneKeyRegisterRequest, StreamObserver<com.ywt.gapi.third.taihe.OneKeyRegisterResponse>> oneKeyRegisterAsyncFunc = syncToAsync(this::oneKeyRegister);
            handlers.put(oneKeyRegisterProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(oneKeyRegisterAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse>> getDiagnoseRecordFunc = this::getDiagnoseRecord;
            handlers.put(getDiagnoseRecordMethod.getMethodName(), new UnaryStubMethodHandler<>(getDiagnoseRecordFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest, StreamObserver<com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse>> getDiagnoseRecordAsyncFunc = syncToAsync(this::getDiagnoseRecord);
            handlers.put(getDiagnoseRecordProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDiagnoseRecordAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyPayListRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyPayListResponse>> phyPayListFunc = this::phyPayList;
            handlers.put(phyPayListMethod.getMethodName(), new UnaryStubMethodHandler<>(phyPayListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyPayListRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyPayListResponse>> phyPayListAsyncFunc = syncToAsync(this::phyPayList);
            handlers.put(phyPayListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(phyPayListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyPayDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyPayDetailResponse>> phyPayDetailFunc = this::phyPayDetail;
            handlers.put(phyPayDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(phyPayDetailFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyPayDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyPayDetailResponse>> phyPayDetailAsyncFunc = syncToAsync(this::phyPayDetail);
            handlers.put(phyPayDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(phyPayDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyPayOrderRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyPayOrderResponse>> phyPayOrderFunc = this::phyPayOrder;
            handlers.put(phyPayOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(phyPayOrderFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyPayOrderRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyPayOrderResponse>> phyPayOrderAsyncFunc = syncToAsync(this::phyPayOrder);
            handlers.put(phyPayOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(phyPayOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetEInvoiceRequest, StreamObserver<com.ywt.gapi.third.taihe.GetEInvoiceResponse>> getEInvoiceFunc = this::getEInvoice;
            handlers.put(getEInvoiceMethod.getMethodName(), new UnaryStubMethodHandler<>(getEInvoiceFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetEInvoiceRequest, StreamObserver<com.ywt.gapi.third.taihe.GetEInvoiceResponse>> getEInvoiceAsyncFunc = syncToAsync(this::getEInvoice);
            handlers.put(getEInvoiceProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getEInvoiceAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInPayListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInPayListResponse>> getInPayListFunc = this::getInPayList;
            handlers.put(getInPayListMethod.getMethodName(), new UnaryStubMethodHandler<>(getInPayListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInPayListRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInPayListResponse>> getInPayListAsyncFunc = syncToAsync(this::getInPayList);
            handlers.put(getInPayListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getInPayListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse>> getInsuOPDividePreFunc = this::getInsuOPDividePre;
            handlers.put(getInsuOPDividePreMethod.getMethodName(), new UnaryStubMethodHandler<>(getInsuOPDividePreFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse>> getInsuOPDividePreAsyncFunc = syncToAsync(this::getInsuOPDividePre);
            handlers.put(getInsuOPDividePreProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getInsuOPDividePreAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse>> getInsuAdmInfoFunc = this::getInsuAdmInfo;
            handlers.put(getInsuAdmInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getInsuAdmInfoFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest, StreamObserver<com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse>> getInsuAdmInfoAsyncFunc = syncToAsync(this::getInsuAdmInfo);
            handlers.put(getInsuAdmInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getInsuAdmInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.SaveInsuResultRequest, StreamObserver<com.ywt.gapi.third.taihe.SaveInsuResultResponse>> saveInsuResultFunc = this::saveInsuResult;
            handlers.put(saveInsuResultMethod.getMethodName(), new UnaryStubMethodHandler<>(saveInsuResultFunc));
            BiConsumer<com.ywt.gapi.third.taihe.SaveInsuResultRequest, StreamObserver<com.ywt.gapi.third.taihe.SaveInsuResultResponse>> saveInsuResultAsyncFunc = syncToAsync(this::saveInsuResult);
            handlers.put(saveInsuResultProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(saveInsuResultAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyReportListRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyReportListResponse>> phyReportListFunc = this::phyReportList;
            handlers.put(phyReportListMethod.getMethodName(), new UnaryStubMethodHandler<>(phyReportListFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyReportListRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyReportListResponse>> phyReportListAsyncFunc = syncToAsync(this::phyReportList);
            handlers.put(phyReportListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(phyReportListAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyReportDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyReportDetailResponse>> phyReportDetailFunc = this::phyReportDetail;
            handlers.put(phyReportDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(phyReportDetailFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PhyReportDetailRequest, StreamObserver<com.ywt.gapi.third.taihe.PhyReportDetailResponse>> phyReportDetailAsyncFunc = syncToAsync(this::phyReportDetail);
            handlers.put(phyReportDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(phyReportDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PreSettleRequest, StreamObserver<com.ywt.gapi.third.taihe.PreSettleResponse>> preSettleFunc = this::preSettle;
            handlers.put(preSettleMethod.getMethodName(), new UnaryStubMethodHandler<>(preSettleFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PreSettleRequest, StreamObserver<com.ywt.gapi.third.taihe.PreSettleResponse>> preSettleAsyncFunc = syncToAsync(this::preSettle);
            handlers.put(preSettleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(preSettleAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest, StreamObserver<com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse>> getMedInsTypeByOrderInsTypeFunc = this::getMedInsTypeByOrderInsType;
            handlers.put(getMedInsTypeByOrderInsTypeMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedInsTypeByOrderInsTypeFunc));
            BiConsumer<com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest, StreamObserver<com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse>> getMedInsTypeByOrderInsTypeAsyncFunc = syncToAsync(this::getMedInsTypeByOrderInsType);
            handlers.put(getMedInsTypeByOrderInsTypeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedInsTypeByOrderInsTypeAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayConfirmRequest, StreamObserver<com.ywt.gapi.third.taihe.PayConfirmResponse>> payConfirmFunc = this::payConfirm;
            handlers.put(payConfirmMethod.getMethodName(), new UnaryStubMethodHandler<>(payConfirmFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PayConfirmRequest, StreamObserver<com.ywt.gapi.third.taihe.PayConfirmResponse>> payConfirmAsyncFunc = syncToAsync(this::payConfirm);
            handlers.put(payConfirmProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payConfirmAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PrePayCancelRequest, StreamObserver<com.ywt.gapi.third.taihe.PrePayCancelResponse>> prePayCancelFunc = this::prePayCancel;
            handlers.put(prePayCancelMethod.getMethodName(), new UnaryStubMethodHandler<>(prePayCancelFunc));
            BiConsumer<com.ywt.gapi.third.taihe.PrePayCancelRequest, StreamObserver<com.ywt.gapi.third.taihe.PrePayCancelResponse>> prePayCancelAsyncFunc = syncToAsync(this::prePayCancel);
            handlers.put(prePayCancelProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(prePayCancelAsyncFunc));
            BiConsumer<com.ywt.gapi.third.taihe.RevokeSettleRequest, StreamObserver<com.ywt.gapi.third.taihe.RevokeSettleResponse>> revokeSettleFunc = this::revokeSettle;
            handlers.put(revokeSettleMethod.getMethodName(), new UnaryStubMethodHandler<>(revokeSettleFunc));
            BiConsumer<com.ywt.gapi.third.taihe.RevokeSettleRequest, StreamObserver<com.ywt.gapi.third.taihe.RevokeSettleResponse>> revokeSettleAsyncFunc = syncToAsync(this::revokeSettle);
            handlers.put(revokeSettleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(revokeSettleAsyncFunc));




            return new StubInvoker<>(this, url, TaiheService.class, handlers);
        }


        @Override
        public com.ywt.gapi.third.taihe.GetPatientInfoResponse getPatientInfo(com.ywt.gapi.third.taihe.GetPatientInfoRequest request){
            throw unimplementedMethodException(getPatientInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetDeptListResponse getDeptList(com.ywt.gapi.third.taihe.GetDeptListRequest request){
            throw unimplementedMethodException(getDeptListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetDoctorListResponse getDoctorList(com.ywt.gapi.third.taihe.GetDoctorListRequest request){
            throw unimplementedMethodException(getDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetMedicalRecordResponse getMedicalRecord(com.ywt.gapi.third.taihe.GetMedicalRecordRequest request){
            throw unimplementedMethodException(getMedicalRecordMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetLaboratoryListResponse getLaboratoryList(com.ywt.gapi.third.taihe.GetLaboratoryListRequest request){
            throw unimplementedMethodException(getLaboratoryListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetLaboratoryDetailResponse getLaboratoryDetail(com.ywt.gapi.third.taihe.GetLaboratoryDetailRequest request){
            throw unimplementedMethodException(getLaboratoryDetailMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetScheduleListResponse getScheduleList(com.ywt.gapi.third.taihe.GetScheduleListRequest request){
            throw unimplementedMethodException(getScheduleListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetScheduleTimeInfoResponse getScheduleTimeInfo(com.ywt.gapi.third.taihe.GetScheduleTimeInfoRequest request){
            throw unimplementedMethodException(getScheduleTimeInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetInspectionListResponse getInspectionList(com.ywt.gapi.third.taihe.GetInspectionListRequest request){
            throw unimplementedMethodException(getInspectionListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetInspectionDetailResponse getInspectionDetail(com.ywt.gapi.third.taihe.GetInspectionDetailRequest request){
            throw unimplementedMethodException(getInspectionDetailMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetQueueInfoResponse getQueueInfo(com.ywt.gapi.third.taihe.GetQueueInfoRequest request){
            throw unimplementedMethodException(getQueueInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.TakeResponse take(com.ywt.gapi.third.taihe.TakeRequest request){
            throw unimplementedMethodException(takeMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.CancelResponse cancel(com.ywt.gapi.third.taihe.CancelRequest request){
            throw unimplementedMethodException(cancelMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetRegistrationListResponse getRegistrationList(com.ywt.gapi.third.taihe.GetRegistrationListRequest request){
            throw unimplementedMethodException(getRegistrationListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetRegistrationDetailResponse getRegistrationDetail(com.ywt.gapi.third.taihe.GetRegistrationDetailRequest request){
            throw unimplementedMethodException(getRegistrationDetailMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.RegisterResponse register(com.ywt.gapi.third.taihe.RegisterRequest request){
            throw unimplementedMethodException(registerMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PayResponse pay(com.ywt.gapi.third.taihe.PayRequest request){
            throw unimplementedMethodException(payMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PayFreeResponse payFree(com.ywt.gapi.third.taihe.PayFreeRequest request){
            throw unimplementedMethodException(payFreeMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetOutpatientListResponse getOutpatientList(com.ywt.gapi.third.taihe.GetOutpatientListRequest request){
            throw unimplementedMethodException(getOutpatientListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetPaymentDetailResponse getPaymentDetail(com.ywt.gapi.third.taihe.GetPaymentDetailRequest request){
            throw unimplementedMethodException(getPaymentDetailMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.CalInsuranceResponse calInsurance(com.ywt.gapi.third.taihe.CalInsuranceRequest request){
            throw unimplementedMethodException(calInsuranceMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PayOrderResponse payOrder(com.ywt.gapi.third.taihe.PayOrderRequest request){
            throw unimplementedMethodException(payOrderMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetAddInfoResponse getAddInfo(com.ywt.gapi.third.taihe.GetAddInfoRequest request){
            throw unimplementedMethodException(getAddInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetTreatmentGuideResponse getTreatmentGuide(com.ywt.gapi.third.taihe.GetTreatmentGuideRequest request){
            throw unimplementedMethodException(getTreatmentGuideMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetTreatmentGuideV2Response getTreatmentGuideV2(com.ywt.gapi.third.taihe.GetTreatmentGuideV2Request request){
            throw unimplementedMethodException(getTreatmentGuideV2Method);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetDrugListResponse getDrugList(com.ywt.gapi.third.taihe.GetDrugListRequest request){
            throw unimplementedMethodException(getDrugListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.BaseResult pushPresInfo(com.ywt.gapi.third.taihe.PushPresInfoRequest request){
            throw unimplementedMethodException(pushPresInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetPresInfoResponse getPresInfo(com.ywt.gapi.third.taihe.GetPresInfoRequest request){
            throw unimplementedMethodException(getPresInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeResponse getPatInfoByHisClinicCode(com.ywt.gapi.third.taihe.GetPatInfoByHisClinicCodeRequest request){
            throw unimplementedMethodException(getPatInfoByHisClinicCodeMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.LockOrderResponse lockOrder(com.ywt.gapi.third.taihe.LockOrderRequest request){
            throw unimplementedMethodException(lockOrderMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetClinicListResponse getClinicList(com.ywt.gapi.third.taihe.GetClinicListRequest request){
            throw unimplementedMethodException(getClinicListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleResponse getDoctorCurrentSchedule(com.ywt.gapi.third.taihe.GetDoctorCurrentScheduleRequest request){
            throw unimplementedMethodException(getDoctorCurrentScheduleMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PrePayConfirmResponse prePayConfirm(com.ywt.gapi.third.taihe.PrePayConfirmRequest request){
            throw unimplementedMethodException(prePayConfirmMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetDrugInventoryResponse getDrugInventory(com.ywt.gapi.third.taihe.GetDrugInventoryRequest request){
            throw unimplementedMethodException(getDrugInventoryMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.AddDiagnosisResponse addDiagnosis(com.ywt.gapi.third.taihe.AddDiagnosisRequest request){
            throw unimplementedMethodException(addDiagnosisMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.AddOEORIInfoResponse addOEORIInfo(com.ywt.gapi.third.taihe.AddOEORIInfoRequest request){
            throw unimplementedMethodException(addOEORIInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.CancelOEORIInfoResponse cancelOEORIInfo(com.ywt.gapi.third.taihe.CancelOEORIInfoRequest request){
            throw unimplementedMethodException(cancelOEORIInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetInPatInfoResponse getInPatInfo(com.ywt.gapi.third.taihe.GetInPatInfoRequest request){
            throw unimplementedMethodException(getInPatInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetDayFeeListResponse getDayFeeList(com.ywt.gapi.third.taihe.GetDayFeeListRequest request){
            throw unimplementedMethodException(getDayFeeListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PayCashResponse payCash(com.ywt.gapi.third.taihe.PayCashRequest request){
            throw unimplementedMethodException(payCashMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetCashListResponse getCashList(com.ywt.gapi.third.taihe.GetCashListRequest request){
            throw unimplementedMethodException(getCashListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetCheckInResponse getCheckIn(com.ywt.gapi.third.taihe.GetCheckInRequest request){
            throw unimplementedMethodException(getCheckInMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.CreatePatInfoResponse createPatInfo(com.ywt.gapi.third.taihe.CreatePatInfoRequest request){
            throw unimplementedMethodException(createPatInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.OneKeyRegisterResponse oneKeyRegister(com.ywt.gapi.third.taihe.OneKeyRegisterRequest request){
            throw unimplementedMethodException(oneKeyRegisterMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetDiagnoseRecordResponse getDiagnoseRecord(com.ywt.gapi.third.taihe.GetDiagnoseRecordRequest request){
            throw unimplementedMethodException(getDiagnoseRecordMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PhyPayListResponse phyPayList(com.ywt.gapi.third.taihe.PhyPayListRequest request){
            throw unimplementedMethodException(phyPayListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PhyPayDetailResponse phyPayDetail(com.ywt.gapi.third.taihe.PhyPayDetailRequest request){
            throw unimplementedMethodException(phyPayDetailMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PhyPayOrderResponse phyPayOrder(com.ywt.gapi.third.taihe.PhyPayOrderRequest request){
            throw unimplementedMethodException(phyPayOrderMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetEInvoiceResponse getEInvoice(com.ywt.gapi.third.taihe.GetEInvoiceRequest request){
            throw unimplementedMethodException(getEInvoiceMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetInPayListResponse getInPayList(com.ywt.gapi.third.taihe.GetInPayListRequest request){
            throw unimplementedMethodException(getInPayListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetInsuOPDividePreResponse getInsuOPDividePre(com.ywt.gapi.third.taihe.GetInsuOPDividePreRequest request){
            throw unimplementedMethodException(getInsuOPDividePreMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetInsuAdmInfoResponse getInsuAdmInfo(com.ywt.gapi.third.taihe.GetInsuAdmInfoRequest request){
            throw unimplementedMethodException(getInsuAdmInfoMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.SaveInsuResultResponse saveInsuResult(com.ywt.gapi.third.taihe.SaveInsuResultRequest request){
            throw unimplementedMethodException(saveInsuResultMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PhyReportListResponse phyReportList(com.ywt.gapi.third.taihe.PhyReportListRequest request){
            throw unimplementedMethodException(phyReportListMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PhyReportDetailResponse phyReportDetail(com.ywt.gapi.third.taihe.PhyReportDetailRequest request){
            throw unimplementedMethodException(phyReportDetailMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PreSettleResponse preSettle(com.ywt.gapi.third.taihe.PreSettleRequest request){
            throw unimplementedMethodException(preSettleMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeResponse getMedInsTypeByOrderInsType(com.ywt.gapi.third.taihe.GetMedInsTypeByOrderInsTypeRequest request){
            throw unimplementedMethodException(getMedInsTypeByOrderInsTypeMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PayConfirmResponse payConfirm(com.ywt.gapi.third.taihe.PayConfirmRequest request){
            throw unimplementedMethodException(payConfirmMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.PrePayCancelResponse prePayCancel(com.ywt.gapi.third.taihe.PrePayCancelRequest request){
            throw unimplementedMethodException(prePayCancelMethod);
        }

        @Override
        public com.ywt.gapi.third.taihe.RevokeSettleResponse revokeSettle(com.ywt.gapi.third.taihe.RevokeSettleRequest request){
            throw unimplementedMethodException(revokeSettleMethod);
        }





        @Override
        public final ServiceDescriptor getServiceDescriptor() {
            return serviceDescriptor;
        }
        private RpcException unimplementedMethodException(StubMethodDescriptor methodDescriptor) {
            return TriRpcStatus.UNIMPLEMENTED.withDescription(String.format("Method %s is unimplemented",
                "/" + serviceDescriptor.getInterfaceName() + "/" + methodDescriptor.getMethodName())).asException();
        }
    }

}
